<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use Illuminate\Support\Facades\Redirect;
use Illuminate\Support\Facades\DB;
use App\Archivo;
use Illuminate\Support\Carbon;
use Illuminate\Support\Facades\Auth;
use App\Http\Requests\ArchivoFormRequest;


class ArchivoController extends Controller
{
    public function __construct()
    {
        $this->middleware('auth');
    }

    public function index(Request $request){
        $query=trim($request->get('searchText'));
        if($request){
            $paciente =DB::table('paciente')->where('codPaciente', $query)->first();
            $archivo = DB::table('archivo')->where('codPaciente', $query)->paginate(10);
            return view('historial.archivo.index',["archivo"=>$archivo, "paciente"=>$paciente,"searchText"=>$query]);
        }
    }

    public function edit( $id)
    {
        return view("historial.archivo.edit", ["archivo" => Archivo::findOrFail($id)]);
    }

    public function store(ArchivoFormRequest $request)
    {
        $mytime = Carbon::now('America/Lima');
        $fecha = $mytime->toDateTimeString();

        // $statement = DB::select("SHOW TABLE STATUS LIKE 'Archivo'");
        // $nro_reg_arch = Archivo::count();
        // $nextId = 1;
        // if ($nro_reg_arch != 0){
        //     $nextId = $statement[0]->Auto_increment;
        // }

        $archivo = new Archivo;
        $archivo->codPaciente =  $request->get('codPaciente');
        $archivo->titulo = $request->get('titulo');
        $archivo->descripcion = $request->get('descripcion');
        $archivo->fechaSubida = $fecha;
        if ($request->hasFile('archivo')) {
            $file = $request->file('archivo');
            $file->move(public_path() . '/'. 'archivo/', strtotime($fecha) . $file->getClientOriginalName());
            $archivo->archivo = strtotime($fecha) . $request->get('npdf');
        }
        $archivo->save();

        return Redirect::to('historial/archivo?searchText=' . $request->get('codPaciente'));

    }

    public function update(ArchivoFormRequest $request, $id)
    {
        $archivo = Archivo::findOrFail($id);
        $archivo->titulo = $request->get('titulo');
        $archivo->descripcion = $request->get('descripcion');
        $codPaciente = $archivo->codPaciente;

        $filePath = !empty($archivo->archivo) ? public_path() . '/'. 'archivo/'. $archivo->archivo : -1;

        if ($request->hasFile('archivo')) {
            $file = $request->file('archivo');
            $file->move(public_path() . '/'. 'archivo/', $archivo->codArchivo . $file->getClientOriginalName());
            $archivo->archivo = $archivo->codArchivo . $request->get('npdf');
            if (file_exists($filePath)) {
                unlink($filePath);
            }
        }
        $archivo->update();
        return Redirect::to('historial/archivo?searchText=' . $codPaciente);
    }
}
