<?php

namespace App\Http\Controllers\Auth;

use App\Http\Controllers\Controller;
use App\Providers\RouteServiceProvider;
use Illuminate\Foundation\Auth\AuthenticatesUsers;
use Illuminate\Support\Facades\Auth;
use Illuminate\Http\Request;

class LoginController extends Controller
{

    public function login(Request $request){

        $credentials = $this->validate(request(), [
            'email' => 'required|string|email',
            'password' => 'required|string'
        ]);

        $remember = $request->filled('remember');

        if (Auth::attempt($credentials)) {
            if (auth()->user()->estado == 'ACTIVO') {
                if (auth()->user()->tipo =="DOCTOR"){
                    return redirect()->route('panel-doctor.index');
                }else if (auth()->user()->tipo =="ADMINISTRADOR"){
                    return redirect()->route('panel-administrador.index');
                }else if (auth()->user()->tipo =="SECRETARIA"){
                    return redirect()->route('panel-secretaria.index');
                }else{
                    return 'ERROR CON TIPO DE USUARIO';
                }
            }else{
                Auth::logout();
                return redirect('login')->with('flash','Su cuenta se encuentra INACTIVA, por favor COMUNIQUESE con el ADMINISTRADOR!');
            }

        }

        if (Auth::guard('webpaciente')->attempt($credentials, $remember)) {
            return redirect()->route('panel-paciente.index');
        }
        return back()
            ->withErrors(['email' => trans('auth.failed')])
            ->withInput(request(['email']));
    }

    use AuthenticatesUsers;

    /**
     * Where to redirect users after login.
     *
     * @var string
     */
    protected $redirectTo = RouteServiceProvider::HOME;

    /**
     * Create a new controller instance.
     *
     * @return void
     */
    public function __construct()
    {
        $this->middleware('guest')->except('logout');
    }

    public function logout()
    {
        Auth::logout();
        Auth::guard('webpaciente')->logout();

        return redirect('/');
    }
}
