<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use Illuminate\Support\Facades\DB;
use App\Empresa;
use Illuminate\Support\Facades\Redirect;
use App\Http\Requests\EmpresaFormRequest;
use Illuminate\Support\Facades\Auth;


class ConfiguracionEmpresaController extends Controller
{
    public function __construct(){
        $this->middleware('auth');
    }

    public function index(Request $request)
    {
        if (auth()->user()->TipoUsuario =="PERSONAL"){
            Auth::logout();
            return redirect('/')
            ->with('flash','Usted no tiene privilegios para ingresar en la ruta solicitada.');
        }
        if($request){
            $empresa = DB::table('empresa')
            ->first();

            return view('configuracion.ajustes.index',["empresa"=>$empresa]);
        }

    }

    public function update(EmpresaFormRequest $request, $id)
    {
        $diasLaborados = "";
        if (!empty($request->get('diasLaborados'))){
            foreach ($request->get('diasLaborados') as $d) {
                $diasLaborados .= '_' . $d;
            }
            $diasLaborados = substr($diasLaborados, 1, strlen($diasLaborados));
        }
        $empresa=Empresa::findOrFail($id);
        $empresa->nomEmpresa = $request->get('Nombre');
        $empresa->direccion = $request->get('Direccion');

        if($request->hasFile('Logo')){
            if(!empty($empresa->logo) && file_exists(public_path('logo/' .$empresa->logo))){
                unlink(public_path('logo/' .$empresa->logo));
            }
            $file = $request->file('Logo');
            $file->move(public_path().'/logo',$file->getClientOriginalName());
            $empresa -> logo=$file->getClientOriginalName();
        }
        $empresa->horaEntrada = $request->get('HoraEntrada');
        $empresa->horaSalida = $request->get('HoraSalida');
        $empresa->intervCita = $request->get('intervCita');
        $empresa->diasHabilitados = $diasLaborados;
        $empresa->update();
        return Redirect::to('configuracion/ajustes')->with(['success' => 'Se modificaron los datos de la empresa.']);
    }
}
