<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use Illuminate\Support\Facades\Redirect;
use Illuminate\Support\Facades\DB;
use App\Http\Requests\ConsultorioFormRequest;
use App\Http\Requests\ConsultorioEditFormRequest;
use App\Consultorio;


class ConsultorioController extends Controller
{
    public function index(Request $request){
        $query=trim($request->get('searchText'));
        if($request){
            $consultorio = DB::table('consultorio')
            ->where('nomConsul', 'LIKE', '%' . $query . '%')
            ->where('nomConsul', '!=', 'SIN CONSULTORIO')
            ->paginate(8);
             return view('mantenimiento.consultorio.index',["consultorio"=>$consultorio,"searchText"=>$query]);
        }
    }
    public function create()
    {
        // $autor = DB::table('')->get();
        return view('mantenimiento.consultorio.create');
    }
    public function store(ConsultorioFormRequest $request)

    {
        // primera letra Mayuscula ucwords
        $consultorio = new Consultorio;
        $consultorio->nomConsul =  strtoupper($request->get('nomConsul'));
        // $consultorio->nomEspecialidad =  strtoupper($request->get('nomEspecialidad'));
        $consultorio->desConsul = $request->get('desConsul');
        $consultorio->save();
        return Redirect::to('mantenimiento/consultorio')->with(['success' => 'Se agregó el consultorio, ' . $consultorio->nomConsul .'.']);
    }
    public function edit( $id)
    {
        return view("mantenimiento.consultorio.edit", ["consultorio" => Consultorio::findOrFail($id)]);
    }
    public function update(ConsultorioFormRequest $request, $id)
    {
        $consultorio = Consultorio::findOrFail($id);
        $consultorio->nomConsul = strtoupper($request->get('nomConsul'));
        // $consultorio->nomEspecialidad = strtoupper($request->get('nomEspecialidad'));
        $consultorio->desConsul = $request->get('desConsul');
        $consultorio->update();
        return Redirect::to('mantenimiento/consultorio')->with(['success' => 'Se modificaron los datos de ' . $consultorio->nomConsul .'.']);
    }

    public function destroy(Request $request, $id)
    {


        try {
            if ($request->ajax()) {

                $docu   = Consultorio::findOrFail($id);

                if ($docu->delete()) {
                    return response()->json([
                        'success' => true,
                        'message' => '¡Satisfactorio!, Registro eliminado con éxito.',
                    ]);
                } else {
                    return response()->json([
                        'success' => false,
                        'message' => '¡Error!, No se pudo eliminar.',
                    ]);
                }
            }
        } catch (\Exception $e) {
            if ($request->ajax()) {
                return response()->json([
                    'success' => false,
                    'message' => '¡Error!, Este registro tiene enlazado uno o mas registros.',
                ]);
            }
        }
    }

}
