<?php

namespace App\Http\Controllers;
use App\Especialidad;
use Illuminate\Support\Facades\Redirect;
use Illuminate\Support\Facades\DB;
use App\Http\Requests\EspecialidadFormRequest;
use Illuminate\Http\Request;

class EspecialidadController extends Controller
{
    public function index(Request $request){
        $query=trim($request->get('searchText'));
        if($request){
            $especialidad = DB::table('especialidad')
            ->where('nomEspecialidad', 'LIKE', '%' . $query . '%')
            ->where('nomEspecialidad', '!=', 'SIN ESPECIALIDAD')
            ->paginate(10);
             return view('mantenimiento.especialidad.index',["especialidad"=>$especialidad,"searchText"=>$query]);
        }
    }
    public function create()
    {
        // $autor = DB::table('')->get();
        return view('mantenimiento.especialidad.create');
    }
    public function store(EspecialidadFormRequest $request)

    {
        // primera letra Mayuscula ucwords
        $especialidad = new Especialidad;
        $especialidad->nomEspecialidad =  strtoupper($request->get('nomEspecialidad'));
        $especialidad->save();
        return Redirect::to('mantenimiento/especialidad');
    }
    public function edit( $id)
    {

        return view("mantenimiento.especialidad.edit", ["especialidad" => Especialidad::findOrFail($id)]);
    }
    public function update(EspecialidadFormRequest $request, $id)
    {
        $especialidad = Especialidad::findOrFail($id);
        $especialidad->nomEspecialidad = strtoupper($request->get('nomEspecialidad'));
        $especialidad->update();
        return Redirect::to('mantenimiento/especialidad');
    }

    public function destroy(Request $request, $id)
    {


        try {
            if ($request->ajax()) {

                $docu   = Especialidad::findOrFail($id);

                if ($docu->delete()) {
                    return response()->json([
                        'success' => true,
                        'message' => '¡Satisfactorio!, Registro eliminado con éxito.',
                    ]);
                } else {
                    return response()->json([
                        'success' => false,
                        'message' => '¡Error!, No se pudo eliminar.',
                    ]);
                }
            }
        } catch (\Exception $e) {
            if ($request->ajax()) {
                return response()->json([
                    'success' => false,
                    'message' => '¡Error!, Este registro tiene enlazado uno o mas registros.',
                ]);
            }
        }
    }
}
