<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use Illuminate\Support\Facades\DB;
use Illuminate\Support\Carbon;

class HistoriaController extends Controller
{
    public function __construct()
    {
        $this->middleware('auth');
    }

    public function index(Request $request){
        $query=trim($request->get('searchText'));
        $query2=trim($request->get('searchText2'));
        if($request){
            $paciente =DB::table('paciente')->where('codPaciente', $query)->first();
            $cita = DB::table('cita as c')
            ->join('usuario as u', 'c.codUsuario', 'u.codUsuario')
            ->join('consultorio as co', 'u.codConsultorio', 'co.codConsultorio')
            ->where('c.estado', 'CULMINADO')
            ->where('codPaciente', $query)
            ->Where(function ($q)  use ($query2) {
                $q->orWhere('nombres', 'LIKE', '%' . $query2 . '%')
                    ->orWhere('nomConsul', 'LIKE', '%' . $query2 . '%')
                    ->orWhere('asunto', 'LIKE', '%' . $query2 . '%');
            })
            ->orderByDesc('fechaCita')
            ->orderByDesc('horaCita')
            ->paginate(10);
            return view('historial.historia.index',["cita"=>$cita, "paciente"=>$paciente,"searchText"=>$query, "searchText2"=>$query2]);
        }
    }

    public function reportPdf($id, $id2){
        $mytime = Carbon::now('America/Lima');
        $fecha_hora = $mytime->toDateTimeString();

        $id2 = $id2 == 'TODO' ? '' : $id2;

        $paciente =DB::table('paciente')->where('codPaciente', $id)->first();

        $cita = DB::table('cita as c')
            ->join('usuario as u', 'c.codUsuario', 'u.codUsuario')
            ->join('consultorio as co', 'u.codConsultorio', 'co.codConsultorio')
            ->where('c.estado', 'CULMINADO')
            ->where('codPaciente', $id)
            ->Where(function ($q)  use ($id2) {
                $q->orWhere('nombres', 'LIKE', '%' . $id2 . '%')
                    ->orWhere('nomConsul', 'LIKE', '%' . $id2 . '%')
                    ->orWhere('asunto', 'LIKE', '%' . $id2 . '%');
            })
            ->orderByDesc('fechaCita')
            ->orderByDesc('horaCita')
            ->get();
        $empresa = DB::table('empresa')->first();

        $pdf = \PDF::loadView('historial/historia.report', ["paciente" => $paciente, "fecha_hora" => $fecha_hora,
            "id" => $id, "empresa" => $empresa, "cita"=>$cita]);
        // ->setPaper('a4', 'landscape');
        return $pdf->stream();
    }

    public static function calculaedad($fechanacimiento){
        list($ano,$mes,$dia) = explode("-",$fechanacimiento);
        $ano_diferencia  = date("Y") - $ano;
        $mes_diferencia = date("m") - $mes;
        $dia_diferencia   = date("d") - $dia;
        if ($dia_diferencia < 0 || $mes_diferencia < 0)
          $ano_diferencia--;
        return $ano_diferencia . ' años, ' . $mes_diferencia . ' meses y ' . $dia_diferencia . ' dias.';
    }

    // Solo calcula los años
    public static function calculaedad2($fechanacimiento){
        list($ano,$mes,$dia) = explode("-",$fechanacimiento);
        $ano_diferencia  = date("Y") - $ano;
        $mes_diferencia = date("m") - $mes;
        $dia_diferencia   = date("d") - $dia;
        if ($dia_diferencia < 0 || $mes_diferencia < 0)
          $ano_diferencia--;
        return $ano_diferencia;
    }


    public static function fechaCastellano ($fecha) {
        $fecha = substr($fecha, 0, 10);
        $numeroDia = date('d', strtotime($fecha));
        $dia = date('l', strtotime($fecha));
        $mes = date('F', strtotime($fecha));
        $anio = date('Y', strtotime($fecha));
        $dias_ES = array("Lunes", "Martes", "Miércoles", "Jueves", "Viernes", "Sábado", "Domingo");
        $dias_EN = array("Monday", "Tuesday", "Wednesday", "Thursday", "Friday", "Saturday", "Sunday");
        $nombredia = str_replace($dias_EN, $dias_ES, $dia);
        $meses_ES = array("Enero", "Febrero", "Marzo", "Abril", "Mayo", "Junio", "Julio", "Agosto", "Septiembre", "Octubre", "Noviembre", "Diciembre");
        $meses_EN = array("January", "February", "March", "April", "May", "June", "July", "August", "September", "October", "November", "December");
        $nombreMes = str_replace($meses_EN, $meses_ES, $mes);
        return $nombredia." ".$numeroDia." de ".$nombreMes." de ".$anio;
    }

}
