<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use Illuminate\Support\Facades\DB;
use App\Http\Requests\PacienteFormRequest;
use Illuminate\Support\Carbon;
use App\Paciente;
use Illuminate\Support\Facades\Redirect;

class MPerfil2Controller extends Controller
{
    public function __construct()
    {
        $this->middleware('auth:webpaciente');
    }

    public function index(Request $request)
    {
        if ($request) {
            $paciente = DB::table('paciente as p')
            ->Where('codPaciente', auth()->guard('webpaciente')->user()->codPaciente)
            ->first();
            return view('configuracion.mi_perfil2.index',["paciente"=>$paciente]);

        }
    }

    public function update(PacienteFormRequest $request,$id)
    {
        $paciente = Paciente::findOrFail($id);
        $paciente->nombres = ucfirst($request->get('nombres'));
        // $paciente->genero = $request->get('Genero');
        $paciente->numDocumento = $request->get('numDocumento');
        $paciente->direccion = $request->get('direccion');
        // $paciente->fechaNac = $request->get('fechaNac');
        // $paciente->alergia = $request->get('alergia');
        // $paciente->enfermedad = $request->get('enfermedad');
        // $paciente->medicamento = $request->get('medicamento');
        $paciente->email = $request->get('email');
        if ($request->get('password') != ''){
            $paciente->password = bcrypt($request->get('password'));
        }
        $paciente->telefono = $request->get('telefono');
        if ($request->hasFile('foto')) {
            $file = $request->file('foto');
            $file->move(public_path() . '/Imagenes/Fotos/', $file->getClientOriginalName());
            $paciente->foto = $file->getClientOriginalName();
        }

        // $paciente->estado = $request->get('estado');
        $paciente->update();
        return Redirect::to('configuracion/mi_perfil2')->with(['success' => 'Se modificaron tus datos personales.']);
    }
}
