<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use Illuminate\Support\Facades\DB;
use App\Http\Requests\UsuarioFormRequest;
use Illuminate\Support\Carbon;
use App\User;
use Illuminate\Support\Facades\Redirect;

class MPerfilController extends Controller
{
    public function __construct()
    {
        $this->middleware('auth');
    }

    public function index(Request $request)
    {
        if ($request) {
            $usuario = DB::table('usuario as u')
            ->join('consultorio as c', 'u.codConsultorio', 'c.codConsultorio')
            ->Where('codUsuario', '=', auth()->user()->codUsuario)
            ->first();
            return view('configuracion.mi_perfil.index',["usuario"=>$usuario]);

        }
    }

    public function update(UsuarioFormRequest $request,$id)
    {
        $usuario=User::findOrFail($id);
        $usuario->nombres=$request->get('nombres');
        $usuario->numDocumento=$request->get('numDocumento');
        $usuario->direccion=$request->get('direccion');
        $usuario->telefono=$request->get('telefono');
        $usuario->email=$request->get('email');
        if ($request->get('password') != ''){
            $usuario->password = bcrypt($request->get('password'));
        }

        if($request->hasFile('foto')){
            if(!empty($usuario->foto) && file_exists(public_path('Imagen/' . $usuario->foto))){
                unlink(public_path('Imagen/' . $usuario->foto));
            }
            $file = $request->file('foto');
            $file->move(public_path().'/Imagen',$file->getClientOriginalName());
            $usuario -> foto=$file->getClientOriginalName();
        }
        $usuario->update();
        return Redirect::to('configuracion/mi_perfil')->with(['success' => 'Se modificaron tus datos personales.']);
    }
}
