<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use Illuminate\Support\Facades\DB;
use App\Http\Requests\PacienteFormRequest;
use App\Http\Requests\PacienteEditFormRequest;
use App\Paciente;
use Illuminate\Support\Carbon;
use Illuminate\Support\Facades\Redirect;

class PacienteController extends Controller
{
    public function __construct()
    {
        $this->middleware('auth');
    }
    public function index(Request $request){
        $query=trim($request->get('searchText'));
        if($request){
            $query = $query == 'TODO' ? '': $query;
            $paciente = DB::table('paciente')
            ->orwhere('nombres', 'LIKE', '%' . $query . '%')
            ->orwhere('numDocumento', 'LIKE', '%' . $query . '%')
            ->orwhere('genero', 'LIKE', '%' . $query . '%')
            ->orwhere('fechaNac', 'LIKE', '%' . $query . '%')
            ->orwhere('email', 'LIKE', '%' . $query . '%')
            ->orwhere('estado', 'LIKE', '%' . $query . '%')
            ->orwhere('telefono', 'LIKE', '%' . $query . '%')
            ->orderByDesc('codPaciente')
            ->paginate(10);
            $query = empty($query) ? 'TODO': $query;

             return view('historial.paciente.index',["paciente"=>$paciente,"searchText"=>$query]);
        }
    }
    public function create()
    {
        // $autor = DB::table('')->get();
        return view('historial.paciente.create');
    }
    public function store(PacienteFormRequest $request)

    {
        $mytime = Carbon::now('America/Lima');
        $fecha_hora = $mytime->toDateTimeString();
        $paciente = new Paciente;
        $paciente->nombres =  ucwords($request->get('nombres'));
        $paciente->Genero = $request->get('Genero');
        $paciente->numDocumento = $request->get('numDocumento');
        $paciente->creacion = $fecha_hora;
        $paciente->direccion = $request->get('direccion');
        $paciente->fechaNac = $request->get('fechaNac');
        $paciente->password = bcrypt($request->get('numDocumento'));
        $paciente->alergia = $request->get('alergia');
        $paciente->email = $request->get('correo');
        $paciente->telefono = $request->get('telefono');
        // echo $request->get('alergia')  . ' ' . $request->get('correo');
        if ($request->hasFile('foto')) {
            $file = $request->file('foto');
            $file->move(public_path() . '/Imagenes/Fotos/', $file->getClientOriginalName());
            $paciente->foto = $file->getClientOriginalName();
        }
        $paciente->estado = 'ACTIVO';
        $paciente->save();

        $verbo = $request->get('Genero') == 'F'? 'la' : 'el';
        return redirect()->back()->with(['success' => 'Se agregó '. $verbo. ' paciente, ' . $paciente->nombres . '.']);
    }
    public function show($id)
    {
        $n_id = substr($id, 1);
        $vuser = DB::table('paciente')
            ->where('codPaciente', '=', $n_id)
            ->first();
        if (isset($vuser->estado)) {
            if ($vuser->estado == 'ACTIVO') {
                $estado = "INACTIVO";
            } else {
                $estado = "ACTIVO";
            }
        }

        $paciente = Paciente::findOrFail($n_id);
        $paciente->estado = $estado;
        $paciente->update();
        return Redirect::to('historial/paciente');
    }
    public function edit( $id)
    {
        return view("historial.paciente.edit", ["paciente" => Paciente::findOrFail($id)]);
    }

    public function update(PacienteEditFormRequest $request, $id)
    {
        $paciente = Paciente::findOrFail($id);
        $paciente->nombres = ucfirst($request->get('nombresedit'));
        $paciente->genero = $request->get('Genero');
        $paciente->numDocumento = $request->get('numDocumentoedit');
        $paciente->direccion = $request->get('direccionedit');
        $paciente->fechaNac = $request->get('fechaNac');
        $paciente->alergia = $request->get('alergiaedit');
        $paciente->enfermedad = $request->get('enfermedad');
        $paciente->medicamento = $request->get('medicamento');
        $paciente->email = $request->get('correoedit');
        if ($request->get('password') != ''){
            $paciente->password = bcrypt($request->get('password'));
        }
        $paciente->telefono = $request->get('telefonoedit');
        if ($request->hasFile('foto')) {
            $file = $request->file('foto');
            $file->move(public_path() . '/Imagenes/Fotos/', $file->getClientOriginalName());
            $paciente->foto = $file->getClientOriginalName();
        }

        // $paciente->estado = $request->get('estado');
        $paciente->update();
        return Redirect::to('historial/paciente')->with(['success' => 'Se modificaron los datos de ' . $paciente->nombres .'.']);
    }

    public function destroy(Request $request, $id)
    {
        try {
            if ($request->ajax()) {

                $docu   = Paciente::findOrFail($id);

                if ($docu->delete()) {
                    return response()->json([
                        'success' => true,
                        'message' => '¡Satisfactorio!, Registro eliminado con éxito.',
                    ]);
                } else {
                    return response()->json([
                        'success' => false,
                        'message' => '¡Error!, No se pudo eliminar.',
                    ]);
                }
            }
        } catch (\Exception $e) {
            if ($request->ajax()) {
                return response()->json([
                    'success' => false,
                    'message' => '¡Error!, Este registro tiene enlazado uno o mas registros.',
                ]);
            }
        }
    }

    public function listPdf($id)
    {
        $mytime = Carbon::now('America/Lima');
        $fecha_hora = $mytime->toDateTimeString();

        $id = $id == 'TODO' ? '' : $id;

        $paciente = DB::table('paciente')
            ->orwhere('nombres', 'LIKE', '%' . $id . '%')
            ->orwhere('numDocumento', 'LIKE', '%' . $id . '%')
            ->orwhere('genero', 'LIKE', '%' . $id . '%')
            ->orwhere('fechaNac', 'LIKE', '%' . $id . '%')
            ->orwhere('email', 'LIKE', '%' . $id . '%')
            ->orwhere('estado', 'LIKE', '%' . $id . '%')
            ->orwhere('telefono', 'LIKE', '%' . $id . '%')
            ->orderByDesc('codPaciente')
            ->get();

        $empresa = DB::table('empresa')->first();

        $pdf = \PDF::loadView('historial/paciente.report', ["paciente" => $paciente, "fecha_hora" => $fecha_hora,
            "id" => $id, "empresa" => $empresa]);
        // ->setPaper('a4', 'landscape');
        return $pdf->stream();
    }
}
