<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use Carbon\Carbon;
use Illuminate\Support\Facades\Auth;
use Illuminate\Support\Facades\DB;


class PanelAdminController extends Controller
{
    public function __construct(){
        $this->middleware('auth');
    }

    public function index(Request $request)
    {

        if (auth()->user()->tipo !="ADMINISTRADOR"){
            Auth::logout();
            return redirect('/')
            ->with('flash','Usted no tiene privilegios para ingresar en la ruta solicitada.');
        }
        $mytime = Carbon::now('America/Lima');
        $fecha_actual = $mytime->toDateString();
        $dia_uno = date('Y-m-01', strtotime($fecha_actual));
        $dia_final = date('Y-m-t', strtotime($fecha_actual));

        $query = trim($request->get('searchText'));
        $query2 = trim($request->get('searchText2'));

        $query = empty($query) ? $dia_uno : $query;
        $query2 = empty($query2) ? $dia_final : $query2;

        if ($request){
            // $empresa = DB::table('empresa')
            // ->first();
            // Cantidad de Personal
            $cant_personal = count(DB::table('usuario')->where('estado', '=', 'ACTIVO')->get());

            // Cantidad de Asistencias registradas hoy
            $cant_citas_hoy = count(DB::table('cita')->whereBetween('fechaCita',  [$query, $query2])->get());

            $cant_citas_termin = count(DB::table('cita')->where('estado','CULMINADO')->whereBetween('fechaCita',  [$query, $query2])->get());

            $cant_citas_sin_ter = count(DB::table('cita')->where('estado','PENDIENTE')->whereBetween('fechaCita',  [$query, $query2])->get());

            $data = [$cant_personal, $cant_citas_hoy, $cant_citas_termin, $cant_citas_sin_ter];

            // $cita = DB::table('cita')->whereBetween('fechaCita',  [$query, $query2])->get()->toJson();

            $informe1 = [];
            $val_aux = $query;
            while (strtotime($val_aux) <= strtotime($query2)){

                $nroCita=DB::table('cita')->select(DB::raw('COUNT(codCita) as nroCita'))->where('fechaCita', $val_aux)
                // ->where('r.Estado','!=','RESERVAR')
                ->first();
                $informe1[] = array("fecha" => $val_aux, "cantidad"=> $nroCita->nroCita);
                $val_aux = date('Y-m-d', strtotime ('+1 day' , strtotime ($val_aux)));
            }

            $informe2 = [];
            foreach(DB::table('consultorio')->where('nomConsul', '!=', 'SIN CONSULTORIO')->get() as $i){
                $nroCita2 = DB::table('cita as c')->whereBetween('fechaCita',  [$query, $query2])
                            ->join('usuario as u', 'c.codUsuario', 'u.codUsuario')
                            ->where('u.codConsultorio', $i->codConsultorio)->get();
                $informe2[] = array("consultorio" => $i->nomConsul, "cantidad"=> count($nroCita2));

            }


            $informe3 = [];
            foreach(DB::table('usuario')->where('tipo', 'DOCTOR')->get() as $i){
                $nroCita3 = DB::table('cita')->whereBetween('fechaCita',  [$query, $query2])
                            ->where('codUsuario', $i->codUsuario)->get();
                $informe3[] = array("especialista" => $i->nombres, "cantidad"=> count($nroCita3));

            }

            // $informe1 = json_encode($informe1);
            // $informe2 = json_encode($informe2);
            // $informe3 = json_encode($informe3);


            // foreach ($informe3 as $i){
            //     echo $i['especialista'] . ' ' . $i['cantidad'] . '<br>';
            // }




            // foreach(array($query, $query2) as $i){
            //     echo $i . '<br>';
            // }


            // return $cita;
            return view('panel-administrador.index', ["data"=>$data, "informe1"=>$informe1, "informe2"=>$informe2, "informe3"=>$informe3,
            "searchText"=>$query, "searchText2"=>$query2]);
        }

    }
}
