<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use Carbon\Carbon;
use Illuminate\Support\Facades\Auth;
use Illuminate\Support\Facades\DB;

class PanelDocController extends Controller
{
    public function __construct(){
        $this->middleware('auth');
    }

    public function index(Request $request)
    {

        if (auth()->user()->tipo !="DOCTOR"){
            Auth::logout();
            return redirect('/')
            ->with('flash','Usted no tiene privilegios para ingresar en la ruta solicitada.');
        }
        if ($request){
            $mytime = Carbon::now('America/Lima');
            $fecha_actual = $mytime->toDateString();
            $dia_uno = date('Y-m-01', strtotime($fecha_actual));
            $dia_final = date('Y-m-t', strtotime($fecha_actual));

            $query = trim($request->get('searchText'));
            $query2 = trim($request->get('searchText2'));

            $query = empty($query) ? $dia_uno : $query;
            $query2 = empty($query2) ? $dia_final : $query2;


            $cant_citas_hoy = count(DB::table('cita')
            ->whereBetween('fechaCita',  [$query, $query2])
            ->where('codUsuario', auth()->user()->codUsuario)
            ->get());

            $cant_citas_termin = count(DB::table('cita')->where('estado','CULMINADO')
            ->whereBetween('fechaCita',  [$query, $query2])
            ->where('codUsuario', auth()->user()->codUsuario)
            ->get());

            $cant_citas_sin_ter = count(DB::table('cita')->where('estado','PENDIENTE')
            ->whereBetween('fechaCita',  [$query, $query2])
            ->where('codUsuario', auth()->user()->codUsuario)
            ->get());


            $data = [$cant_citas_hoy, $cant_citas_termin, $cant_citas_sin_ter];

            return view('panel-doctor.index',["data"=>$data, "searchText"=>$query, "searchText2"=>$query2]);
        }

    }
}
