<?php

namespace App\Http\Middleware;

use App\Providers\RouteServiceProvider;
use Closure;
use Illuminate\Support\Facades\Auth;
use Illuminate\Http\Request;

class RedirectIfAuthenticated
{
    /**
     * Handle an incoming request.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  \Closure  $next
     * @param  string|null  $guard
     * @return mixed
     */
    // public function handle($request, Closure $next, $guard = null)
    // {
    //     if (Auth::guard($guard)->check()) {
    //         if (auth()->user()->tipo =="DOCTOR"){
    //             return redirect()->route('panel-doctor.index');
    //         }else if (auth()->user()->tipo =="ADMINISTRADOR"){
    //             return redirect()->route('panel-administrador.index');
    //         }else if (auth()->user()->tipo =="SECRETARIA"){
    //             return redirect()->route('panel-secretaria.index');
    //         }
    //     }elseif(Auth::guard('webpaciente')->check()){
    //         return redirect()->route('panel-paciente.index');
    //     }

    //     return $next($request);
    // }
    public function handle(Request $request, Closure $next, ...$guards)
    {
        $guards = empty($guards) ? [null] : $guards;

        if (Auth::guard('web')->check()) {
            if (auth()->user()->tipo =="DOCTOR"){
                return redirect()->route('panel-doctor.index');
            }else if (auth()->user()->tipo =="ADMINISTRADOR"){
                return redirect()->route('panel-administrador.index');
            }else if (auth()->user()->tipo =="SECRETARIA"){
                return redirect()->route('panel-secretaria.index');
            }
        }elseif(Auth::guard('webpaciente')->check()){
            return redirect()->route('panel-paciente.index');
        }

        return $next($request);
    }
}
