<?php

namespace App\Http\Requests;

use Illuminate\Foundation\Http\FormRequest;

class ConsultorioEditFormRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return True;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array
     */
    public function rules()
    {
        return [
            'nomConsuledit' => 'required|regex:/^[a-zA-Z0-9-ZÀ-ÿ\_\-\ ]{4,40}$/|max:40|unique:consultorio,nomConsul,'.$this->codConsultorio.',codConsultorio',
            'nomEspecialidadedit' => 'required|regex:/^[a-zA-Z0-9-ZÀ-ÿ\_\-\ ]{4,40}$/|max:40|unique:consultorio,nomEspecialidad,'.$this->codConsultorio.',codConsultorio',
            'desConsuledit' => 'max:100'
        ];
    }
    public function messages()
    {
        return [
            'nomConsuledit.required' => 'El Nombre del Consultorio es un campo requerido.',
            'nomConsuledit.unique' => 'El Nombre del Consultorio ya esta registrado.',
            'nomConsuledit.regex' => 'Nombre de consultorio invalido , verifique el caracter ingresado.',
            'nomConsuledit.max' => 'El Tamaño del campo consultorio no debe ser mayor a 40 caracteres.',
            'desConsuledit.max' => 'El Tamaño del campo Descripción no debe ser mayor a 100 caracteres.',
            'nomEspecialidadedit.required' => 'El Nombre de Especialidad es un campo requerido.',
            'nomEspecialidadedit.unique' => 'El Nombre de Especialidad ya esta registrado.',
            'nomEspecialidadedit.regex' => 'Nombre de Especialidad invalido , verifique el caracter ingresado.',
            'nomEspecialidadedit.max' => 'El Tamaño del campo especialidad no debe ser mayor a 40 caracteres.',

        ];
    }
}
