<?php

namespace App\Http\Requests;

use Illuminate\Foundation\Http\FormRequest;

class ConsultorioFormRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return True;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array
     */
    public function rules()
    {
        return [
            'nomConsul' => 'required|regex:/^[a-zA-Z0-9-ZÀ-ÿ\_\-\ ]{4,40}$/|max:40|unique:consultorio,nomConsul,'.$this->codConsultorio.',codConsultorio',
            // 'nomEspecialidad' => 'required|regex:/^[a-zA-Z0-9-ZÀ-ÿ\_\-\ ]{4,40}$/|max:40|unique:consultorio,nomEspecialidad,'.$this->codConsultorio.',codConsultorio',
            'desConsul' => 'max:500'
        ];
    }
    public function messages()
    {
        return [
            'nomConsul.required' => 'El Nombre del Consultorio es un campo requerido.',
            'nomConsul.unique' => 'El Nombre del Consultorio ya esta registrado.',
            'nomConsul.regex' => 'Nombre de consultorio invalido , verifique el caracter ingresado.',
            'nomConsul.max' => 'El Tamaño del campo consultorio no debe ser mayor a 40 caracteres.',
            'desConsul.max' => 'El Tamaño del campo Descripción no debe ser mayor a 100 caracteres.',
            'nomEspecialidad.required' => 'El Nombre de Especialidad es un campo requerido.',
            'nomEspecialidad.unique' => 'El Nombre de Especialidad ya esta registrado.',
            'nomEspecialidad.regex' => 'Nombre de Especialidad invalido , verifique el caracter ingresado.',
            'nomEspecialidad.max' => 'El Tamaño del campo Especialidad no debe ser mayor a 40 caracteres.',

        ];
    }
}
