<?php

namespace App\Http\Requests;

use Illuminate\Foundation\Http\FormRequest;

class PacienteEditFormRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return True;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array
     */
    public function rules()
    {
        return [
            'nombresedit' => 'max:80|required|regex:/^[a-zA-Z0-9-ZÀ-ÿ\_\-\ ]{4,40}$/',
            'numDocumentoedit' => 'max:15|required|regex:/^\d{1,14}$/|unique:paciente,numDocumento,' .  $this->codPaciente . ',codPaciente',
            'direccionedit' => 'max:40',
            'telefonoedit' => 'max:15',
            // 'correoedit' => 'max:50||unique:paciente,correo,' .  $this->codPaciente . ',codPaciente',
            'correoedit' => 'max:50',
            'estadoedit' => 'max:20',
            'tipoedit' => 'max:20',
            'fotoedit' => 'mimes:jpg,jpeg,bmp,png'
        ];
    }

    public function messages()
    {

        return [
            'nombresedit.required' => 'El Nombre de Paciente es un campo requerido.',
            'nombresedit.regex' => 'Nombre de Paciente inválido , verifique el nombre ingresado.',
            'nombreedits.max' => 'El Tamaño del campo Paciente no debe ser mayor a 80 caracteres.',
            'numDocumentoedit.required' => 'El Número de Documento es un campo requerido.',
            'numDocumentoedit.unique' => 'El Número de Documento ya esta registrado.',
            'numDocumentoedit.regex' => 'Número de Documento inválido , verifique el Número de Documento ingresado.',
            'numDocumentoedit.max' => 'El Tamaño del Número de Documento no debe ser mayor a 15 caracteres.',
            'direccionedit.max' => 'El Tamaño de Dirección no debe ser mayor a 40 caracteres.',
            'telefonoedit.regex' => 'Teléfono inválido , verifique el Teléfono ingresado.',
            'telefonoedit.max' => 'El Tamaño de Teléfono no debe ser mayor a 15 caracteres.',
            'correoedit.required' => 'correo es un campo requerido.',
            'correoedit.email' => 'correo inválido , verifique el correo ingresado.',
            'correoedit.max' => 'El Tamaño del correo no debe ser mayor a 50 caracteres.',
            'correoedit.unique' => 'El Correo Electrónico ya esta registrado.',
        ];
    }
}
