<?php

namespace App\Http\Requests;

use Illuminate\Foundation\Http\FormRequest;

class TriajeFormRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array
     */
    public function rules()
    {
        return [
            // 'fechaTriaje' => 'required',     Cargado desde el controlador
            // 'horaTriaje' => 'required',
            'precionArterial' => 'required|max:15',
            'temperatura' => 'required|numeric',
            'fRespiratoria' => 'required|numeric',
            'fCardiaca' => 'required|numeric',
            'saturacion' => 'required|numeric',
            'peso' => 'required|numeric',
            'talla' => 'required|numeric',
            'imc' => 'required|numeric',
            'estadoFisico' => 'required|max:30',
            'codPaciente' => 'required',
            'codUsuario' => 'required',
        ];
    }

    public function messages()
    {
        return [
            'precionArterial.required' => 'El campo Presión arterial es obligatorio.',
            'temperatura.required' => 'El campo Temperatura es obligatorio.',
            'fRespiratoria.required' => 'El campo Frecuencia respiratoria es obligatorio.',
            'fCardiaca.required' => 'El campo Frecuencia cardiaca es obligatorio.',
            'saturacion.required' => 'El campo Saturación es obligatorio.',
            'peso.required' => 'El campo Peso es obligatorio.',
            'talla.required' => 'El campo Talla es obligatorio.',
            'imc.required' => 'El campo Imc es obligatorio.',
            'estadoFisico.required' => 'El campo estado fisico es obligatorio.',
        ];
    }
}
