<?php

namespace App\Http\Requests;

use Illuminate\Foundation\Http\FormRequest;

class UsuarioEditFormRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return True;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array
     */
    public function rules()
    {
        return [
            'nombresedit' => 'max:80|required|regex:/^[a-zA-Z0-9-ZÀ-ÿ\_\-\ ]{4,40}$/',
            'numDocumentoedit' => 'max:15|required|regex:/^\d{1,14}$/|unique:usuario,numDocumento,' .  $this->codUsuario . ',codUsuario',
            'passwordedit' => 'max:200',
            'direccionedit' => 'max:40',
            'telefonoedit' => 'max:15',
            'emailedit' => 'required|max:50|email|unique:usuario,email,' .  $this->codUsuario . ',codUsuario',
            'estado' => 'max:20',
            'tipo' => 'max:20',
            'foto' => 'mimes:jpg,jpeg,bmp,png'
        ];
    }
    public function messages()
    {
        return [
            'nombresedit.required' => 'El Nombre de Usuario es un campo requerido.',
            'nombresedit.regex' => 'Nombre de Usuario inválido , verifique el nombre ingresado.',
            'nombresedit.max' => 'El Tamaño del campo Usuario no debe ser mayor a 80 caracteres.',
            'numDocumentoedit.required' => 'El Número de Documento es un campo requerido.',
            'numDocumentoedit.unique' => 'El Número de Documento ya esta registrado.',
            'numDocumentoedit.regex' => 'Número de Documento inválido , verifique el Número de Documento ingresado.',
            'numDocumentoedit.max' => 'El Tamaño del Número de Documento no debe ser mayor a 8 caracteres.',
            'passwordedit.max' => 'El Tamaño del password no debe ser mayor a 200 caracteres.',
            'direccionedit.max' => 'El Tamaño de Dirección no debe ser mayor a 40 caracteres.',
            'telefonoedit.regex' => 'Teléfono inválido , verifique el Teléfono ingresado.',
            'telefonoedit.max' => 'El Tamaño de Teléfono no debe ser mayor a 15 caracteres.',
            'emailedit.required' => 'correo es un campo requerido.',
            'emailedit.email' => 'correo inválido , verifique el correo ingresado.',
            'emailedit.max' => 'El Tamaño del correo no debe ser mayor a 50 caracteres.',
            'emailedit.unique' => 'El Correo Electrónico ya esta registrado.',
        ];
    }
}
