<div class="modal fade modal-slide-in-center" aria-hidden="true" role="dialog" tabindex="-1" id="modal-add">
    {!! Form::open(['url' => 'acceso/usuario', 'method' => 'POST', 'autocomplete' => 'off', 'files' => 'true']) !!}
    {!! Form::token() !!}
    <style>
        .imagen img {
            width: 100px;
            height: auto;
        }

    </style>
    <div class="modal-dialog modal-dialog-centered" role="document">
        <div class="modal-content">
            <div class="modal-header" style="background:#F1D31F;color:#FFF;">
                <span class="title_header_formulario">
                    @if (auth()->user()->tipo == 'SECRETARIA')
                        Nuevo Doctor
                    @else
                        Nuevo Usuario
                    @endif
                </span>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
            <div class="card-body" id="formulario">
                @if (count($errors) > 0)
                    <div style="margin: 0px auto 0px auto">
                        <div class="alert alert-danger">
                            <ul>
                                @foreach ($errors->all() as $error)
                                    <li>{{ $error }}</li>
                                @endforeach
                            </ul>
                        </div>
                    </div>
                @endif
                <div class="modal-body">
                    <div class="form-group a row" id="grupo__nombres">
                        <div class="input-group mb-3">
                            <div class="formulario__grupo-input input-group">
                                <div class="input-group-prepend">
                                    <span class="input-group-text"><span class="fas fa-pen"></span><span
                                    class="tooltiptext">Ingrese Nombre de Usuario</span></span>
                                </div>
                                <input type="text" class="form-control fi" name="nombres" placeholder="Nombres"
                                    value="{{ old('nombres') }}" required>
                                <i style="margin-bottom:-50px;"
                                    class="formulario__validacion-estado fa fa-times-circle"></i>
                                <span style="color: #c92020" title="Campo obligatorio">*</span>
                            </div>
                            <p class="formulario__input-error">El nombre del Usuario debe tener de 3 a 40 caracteres
                                y puede a contener
                                los siguientes símbolos (-)(_).
                            </p>
                        </div>
                    </div>
                    <div class="form-group row" id="grupo__numDocumento">
                        <div class="input-group a mb-3">
                            <div class="formulario__grupo-input input-group">
                                <div class="input-group-prepend">
                                    <span class="input-group-text"><span class="fas fa-id-card"></span><span
                                    class="tooltiptext">Ingrese número de Documento </span></span>
                                </div>
                                <input type="text" class="form-control fi" name="numDocumento"
                                    placeholder="Número de Documento" value="{{ old('numDocumento') }}" required>
                                <i style="margin-bottom:-50px;"
                                    class="formulario__validacion-estado fa fa-times-circle"></i>
                                <span style="color: #c92020" title="Campo obligatorio">*</span>

                            </div>
                            <p class="formulario__input-error">El Número de Documento solo acepta valores numericos.
                            </p>
                        </div>
                    </div>
                    <div class="form-group row" id="grupo__direccion">
                        <div class="input-group a mb-3">
                            <div class="formulario__grupo-input input-group">
                                <div class="input-group-prepend">
                                    <span class="input-group-text"><span class="fas fa-map-marker-alt"></span><span
                                    class="tooltiptext">Ingrese Dirección</span></span>
                                </div>
                                <input type="text" class="form-control fi" name="direccion"
                                    placeholder="Dirección Ejm:Jr.Los Claveles 121 " value="{{ old('direccion') }}">
                                <i style="margin-bottom:-50px;"
                                    class="formulario__validacion-estado fa fa-times-circle"></i>
                            </div>
                            <p class="formulario__input-error">El nombre del consultorio debe tener de 3 a 40 caracteres
                                y puede a contener
                                los siguientes símbolos (-)(_).
                            </p>
                        </div>
                    </div>
                    <div class="form-group row" id="grupo__telefono">
                        <div class="input-group a mb-3">
                            <div class="formulario__grupo-input input-group">
                                <div class="input-group-prepend">
                                    <span class="input-group-text"><span class="fas fa-phone"></span><span
                                    class="tooltiptext">Ingrese número de Teléfono</span></span>
                                </div>
                                <input type="text" onkeypress='return event.charCode >= 48 && event.charCode <= 57'
                                    maxlength="10" class="form-control fi" name="telefono" placeholder="Teléfono"
                                    value="{{ old('telefono') }}">
                                <i style="margin-bottom:-50px;"
                                    class="formulario__validacion-estado fa fa-times-circle"></i>
                            </div>
                            <p class="formulario__input-error">El nombre del consultorio debe tener de 3 a 40 caracteres
                                y puede a contener
                                los siguientes símbolos (-)(_).
                            </p>
                        </div>
                    </div>
                    <div class="form-group row" id="grupo__email">
                        <div class="input-group a  mb-3">
                            <div class="formulario__grupo-input input-group">
                                <div class="input-group-prepend">
                                    <span class="input-group-text"><span class="fas fa-at"></span><span
                                    class="tooltiptext">Ingrese Correo Electrónico</span></span>
                                </div>
                                <input type="email" class="form-control fi" name="email" placeholder="Correo Electrónico"
                                    value="{{ old('email') }}" required>
                                <i style="margin-bottom:-50px;"
                                    class="formulario__validacion-estado fa fa-times-circle"></i>
                            </div>
                            <p class="formulario__input-error">El Correo electrónico debe tener el siguiente formato :
                                exemplo@gmail.com .
                            </p>
                        </div>
                    </div>
                    {{-- ----------------------------------------------------------------------------------------------------------------- --}}
                    @if (auth()->user()->tipo == 'SECRETARIA')
                        <input type="hidden" name="tipo" value="DOCTOR">
                    @else
                        <div class="form-group row" id="grupo__correoedit">
                            <div class="input-group a mb-3">
                                <div class="input-group-prepend">
                                    <span class="input-group-text"><i class="fas fa-user"></i><span
                                        class="tooltiptext">Seleccione un Rol</span></span>
                                </div>
                                <select class="custom-select tipo" name="tipo" required id="tipo">
                                    <option value="" hidden selected> Seleccionar un Rol </option>
                                    @foreach ($tipos as $item)
                                        @if (old('tipo') == $item)
                                            <option value="{{ $item }}" selected>
                                                {{ $item }}</option>
                                        @else
                                            <option value="{{ $item }}">
                                                {{ $item }}</option>
                                        @endif
                                    @endforeach
                                </select>
                            </div>
                        </div>
                    @endif
                    <div class="form-group row" id="codConsultorio">
                        <div class="input-group a mb-3">
                            <div class="input-group-prepend">
                                <span class="input-group-text"><i class="fas fa-user-tie"></i><span
                                    class="tooltiptext">Seleccione Consultorio</span></span>
                            </div>
                            <select class="form-control selectpicker" name="codConsultorio" required data-live-search="true">
                                {{-- <option value="" hidden selected> Seleccionar un Consultorio </option> --}}
                                @foreach ($consultorio as $item)
                                    @if ($item->codConsultorio == old('codConsultorio'))
                                        <option value="{{ $item->codConsultorio }}" selected>
                                            {{ $item->nomConsul }}
                                        </option>
                                    @else
                                        <option value="{{ $item->codConsultorio }}">
                                            {{ $item->nomConsul }}</option>
                                    @endif
                                @endforeach
                            </select>
                        </div>
                    </div>
                    <div class="form-group row" id="grupo__correoedit">
                        <div class="input-group a mb-3">
                            <div class="input-group-prepend">
                                <span class="input-group-text"><i class="far fa-image"></i><span
                                    class="tooltiptext">Ingrese Fotografia</span></span>
                            </div>
                            <input type="file" class="form-control " id="Imagen" name="foto">
                        </div>
                    </div>
                    <div id="img" class="imagen"></div>
                </div>

                <div class="modal-footer">

                    <div style="margin: 0px auto 0px auto">
                        <button type="button" class="btn btn-danger" data-dismiss="modal">Cerrar</button>
                        <button type="submit" class="btn btn-info">Guardar</button>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
{{ Form::Close() }}
