@extends('layouts.admin')
@section ('contenido')
<section class="content-header">
    <div class="container-fluid">
        <div class="row mb-2">
            <div class="col-sm-6">
                <span class="title_header">
                    @if (auth()->user()->tipo == 'SECRETARIA')
                        Listado de Doctores
                    @else
                        Listado de Usuarios
                    @endif
                </span>
            </div>
            <div class="col-sm-6">
                <ol class="breadcrumb float-sm-right">
                    <a href="{{route('usuario.pdf',[$searchText])}}" target="_blank" title="Reporte en PDF"
                        class="btn btn-default btn-sm" >
                        <i class="fas fa-file-pdf" style="color: #df4747"></i>
                    </a>
                </ol>
            </div>
        </div>
    </div><!-- /.container-fluid -->
</section>

@include('acceso.usuario.create')
<div class="row">
    <div class="col-12">
        <div class="card">
            @include('acceso.usuario.search')

            <!-- /.card-header -->
            <div class="card-body table-responsive p-0">
                <table class="table table-hover text-nowrap">
                    <thead style="background: #eaf3fa; color: #24292c">
                        <tr>
                            @php($cont=1)
                            {{-- <th>N°</th> --}}
                            <th>N° Doc.</th>
                            <th>Nombres</th>
                            <th>N° Teléfono</th>
                            <th>Correo Electrónico</th>
                            @if (auth()->user()->tipo == 'ADMINISTRADOR')
                                <th>Rol</th>
                            @endif
                            <th>Consultorio</th>
                            <th style="text-align: center">Estado</th>
                            <th colspan="2" style="text-align: center">Opciones</th>
                        </tr>
                    </thead>
                    <tbody>
                        @foreach ($usuario as $u)
                        <tr>
                            {{-- <td>{{$cont++}}</td> --}}
                            <td>{{ $u->numDocumento}}</td>
                            @php($nombres = explode(' ', $u->nombres))
                            <td>
                                @php($nombres = count($nombres) > 1 ? $nombres[0] . ' ' . $nombres[1] : $u->nombres)
                                {{$nombres}}
                            </td>
                            <td>{{ $u->telefono}}</td>
                            <td>{{ $u->email}}</td>
                            @if (auth()->user()->tipo == 'ADMINISTRADOR')
                                <td>{{ $u->tipo}}</td>
                            @endif
                            @php($val_consultorio = $u->nomConsul == 'SIN CONSULTORIO' ? '' : $u->nomConsul)
                            <td>{{ $val_consultorio}}</td>
                            <td align="center">
                                @if ($u->codUsuario != '1')
                                    @if ($u->estado == "ACTIVO")
                                    <button class="btn apertura" title="Cambiar de estado a {{ $u->nombres }}" data-nombre="{{ $u->codUsuario }}">
                                        <span class="badge badge-success" >{{ $u->estado}}</span>
                                    @else
                                        <button class="btn apertura" title="Cambiar de estado a {{ $u->nombres }}" data-nombre="{{ $u->codUsuario }}">
                                            <span class="badge badge-danger">{{ $u->estado}}</span>
                                    @endif
                                @endif
                            </td>
                            <td align="center">
                                <a class="btn btn-default btn-sm" href="{{URL::action('UsuarioController@edit',$u->codUsuario)}}">
                                    <i class="far fa-edit text-info"  title="Editar"></i>
                                </a>
                            </td>
                            <td>
                                @if ($u->codUsuario != '1')
                                <form
                                    action="{{ URL::action('UsuarioController@destroy', $u->codUsuario) }}"
                                    method="POST">
                                    {!! csrf_field() !!}
                                    {!! method_field('DELETE') !!}
                                    <button class="btn btn-default borrar text-danger btn-sm"
                                        title="ELIMINAR {{ $nombres}}"
                                        data-nombre="{{ $nombres }}"><i class="fa fa-trash"
                                            aria-hidden="true"></i></button>
                                </form>
                                @endif
                            </td>
                        </tr>
                        {{-- @include('acceso.usuario.edit') --}}
                        @endforeach
                    </tbody>
                </table>
                {{-- <input type="text" value="{{old('IdUsuario')}}"> --}}
            </div>
            <!-- /.card-body -->
        </div>
        {{$usuario->appends(['searchText' => $searchText])}}

        <!-- /.card -->
    </div>
</div>
{{-- <script>
    if (document.getElementById('tipo').value === 'ADMINISTRADOR'){
        document.getElementById('codConsultorio').style.display = 'none';
    }
</script> --}}
<script>
    const selectElement = document.querySelector('.tipo');
    selectElement.addEventListener('change', (event) => {
        if(event.target.value.toString() === 'ADMINISTRADOR' || event.target.value.toString() === 'SECRETARIA'){
            document.getElementById('codConsultorio').style.display = 'none';
        }else{
            document.getElementById('codConsultorio').style.display = 'block';
        }

    });
</script>
<script>
    document.getElementById("Imagen").onchange = function(e) {
        // Creamos el objeto de la clase FileReader
        let reader = new FileReader();

        // Leemos el archivo subido y se lo pasamos a nuestro fileReader
        reader.readAsDataURL(e.target.files[0]);

        // Le decimos que cuando este listo ejecute el código interno
        reader.onload = function() {
            let preview = document.getElementById('img'),
                image = document.createElement('img');

            image.src = reader.result;

            preview.innerHTML = '';
            preview.append(image);
        };
    }
</script>

@push ('scripts')
@if (Session::has('success'))
<script>
    toastr.success('{{ Session::get('success') }}', 'Operación Correcta', {
        "positionClass": "toast-top-right"
    })
</script>
@endif
<script>
    $('.apertura').unbind().click(function() {
        var $button = $(this);
        var data_nombre = $button.attr('data-nombre');
        Swal.fire({
            title: '¿Desea cambiar el estado del Usuario?',
            showDenyButton: true,
            confirmButtonText: `Cambiar`,
            denyButtonText: `Cancelar`,
        }).then((result) => {
            /* Read more about isConfirmed, isDenied below */
            if (result.isConfirmed) {
                var d = '{{URL::action('UsuarioController@show', 0)}}' + data_nombre
                window.location.href = d;
            } else if (result.isDenied) {
                Swal.fire('No se realizó ningún cambio', '', 'info')
            }
        })
        return false;
    });
</script>


@if (count($errors) > 0)
    <script type="text/javascript">
        $(document).ready(function(){
        <?php if (old('codUsuario') == '') {?>
            $('#modal-add').modal('show');
            $("#modal-add").on('hidden.bs.modal', function () {
                location.reload();
            });
        <?php } else { ?>
            $('#modal-add-<?php echo old("codUsuario") ?>').modal('show');
            $("#modal-add-<?php echo old("codUsuario") ?>").on('hidden.bs.modal', function () {
                location.reload();
            });
        <?php }?>
        });
    </script>

@endif

@endpush
@endsection
