@extends('layouts.app')

@section('content')

<div class="row">
    <div class="col-md-5 col-md-offset-4" style="margin-left:auto; margin-right:auto; margin-left: auto; margin-top:60px">
        <div class="card">
            <div class="card-header p-3 mb-2  text-dark" >
                <p align="center"> {{$empresa_ini->nomEmpresa}}</p>
                <p align="center">
                <img src="{{asset('logo/' . $empresa_ini->logo)}}" width="90"
                style="margin-bottom: -20px;"  alt="">
                </p>
            </div>
            <div class="card-body">
                <form method="POST" action="{{ route('login')}}">
                    {{ csrf_field() }}
                    <div class="form-group {{ $errors->has('email') ? 'has-error' : '' }} ">
                        <label for="">Correo Electrónico</label>
                        <input type="email" class="form-control {{ $errors->has('email') ? 'is-invalid' : '' }}"
                        name="email" placeholder="Ingrese su correo electrónico." value="{{old ('email')}}">
                        {!! $errors->first('email', '<span class="help-block text-danger">:message </span>') !!}
                    </div>
                    <div class="form-group {{ $errors->has('password') ? 'has-error' : '' }}">
                        <label for="">Contraseña</label>
                        <input type="password" class="form-control {{ $errors->has('password') ? 'is-invalid' : '' }}"
                         name="password" placeholder="Ingrese su Contraseña">
                        {!! $errors->first('password', '<span class="help-block text-danger">:message </span>') !!}
                        <a href="{{asset('password/reset')}}" style="text-decoration: none; float:right; margin-bottom: 10px;">
                        <b>¿Olvidé mi contraseña?</b></a>
                    </div>
                    <button class="btn btn-primary btn-block">INICIAR SESIÓN</button>
                    {{-- <div style="text-align: center;">
                        o  <a href="{{asset('registro/nueva-cuenta')}}" style="text-decoration: none;">Crear una Cuenta</a>
                    </div> --}}
                </form>
            </div>
            <div class="card-footer" style="text-align: center;">
                <span class="text-primary" ><b > <a style="text-decoration: none;"
                     href="#" >
                    Desarrollado por &copy Torres Cubas, Deisy Yudith - 2023</b>
                    </a>
                </span>
            </div>
        </div>
    </div>
</div>

@endsection
