@extends('layouts.admin')
@section('contenido')

    {!!Form::open(array('url'=> route('archivo.update',$archivo->codArchivo) ,'method'=>'PUT','autocomplete'=>'off', 'files'=>true))!!}
    <div class="row mt-2">
        <div class="col-md-12">
            <div class="card">
                <div class="card-header">
                    <h5 class="modal-title title_header" id="exampleModalLongTitle">

                            Editar Archivo

                    </h5>
                </div>
                <div class="card-body">
                    <div class="row justify-content-center">
                        <div class="col-md-8">
                            <div class="row">
                                <div class="col-md-12">
                                    <label for="">Título</label>
                                    <div class="form-group">
                                        <div class="input-group a mb-3">
                                            <div class="input-group-prepend">
                                                <span class="input-group-text"><span class="fas fa-pen"></span></span>
                                            </div>
                                            {{-- Código de Usuario para que función el unique de los campos --}}
                                            <input type="hidden" name="codArchivo" id="" value="{{$archivo->codArchivo }}">
                                            <input type="text" class="form-control {{ $errors->has('titulo') ? 'is-invalid' : '' }}" id="titulo" name="titulo"
                                                placeholder="Título del Archivo" @if (empty(old('titulo'))) value="{{ $archivo->titulo }}"
                                                                    @else
                                            value="{{ old('titulo') }}" @endif>
                                        </div>
                                        @if ($errors->has('titulo'))
                                            <div>
                                                <span class="text-danger">{{ $errors->first('titulo') }}</span>
                                            </div>
                                        @endif
                                    </div>
                                </div>

                                <div class="col-md-12">
                                    <label for="">Descripción</label>
                                    <div class="form-group">
                                        <div class="input-group a mb-3">
                                            <div class="input-group-prepend">
                                                <span class="input-group-text"><i class="fas fa-pen"></i></span>
                                            </div>
                                            <textarea name="descripcion" id="" cols="50" rows="5"
                                                class="form-control">@if (empty(old('descripcion'))){{ $archivo->descripcion }}@else{{ old('descripcion') }} @endif</textarea>
                                        </div>
                                        @if ($errors->has('descripcion'))
                                            <div>
                                                <span class="text-danger">{{ $errors->first('descripcion') }}</span>
                                            </div>
                                        @endif
                                    </div>
                                </div>
                                <div class="col-md-12">
                                    <label for="">Archivo</label>
                                    <div class="form-group">
                                        <div class="input-group a mb-3">
                                            <div class="input-group-prepend">
                                                <span class="input-group-text"><i class="fas fa-file-pdf"></i></span>
                                            </div>
                                            <input type="hidden" name="npdf" id="npdf" value="{{ $archivo->archivo }}">
                                            <input type="file"  id="archivo" name="archivo" onchange="mostrar()" accept="application/pdf">
                                            <br>

                                        </div>
                                        <span style="margin-top: 10px">
                                            <i class="fas fa-file-pdf text-danger" style="font-size: 3em;"></i><br>
                                            <span id="nom_pdf">{{ $archivo->archivo }}</span>
                                        </span>
                                        @if ($errors->has('archivo'))
                                            <div>
                                                <span class="text-danger">{{ $errors->first('archivo') }}</span>
                                            </div>
                                        @endif
                                    </div>
                                </div>


                            </div>
                        </div>

                    </div>
                </div>
                <div class="card-footer text-center">
                    <div style="margin: 0px auto 0px auto">
                        <div style="margin: 0px auto 0px auto">
                            <a href="{{ asset('historial/archivo?searchText=' . $archivo->codPaciente) }}" type="button" class="btn btn-danger ">Cancelar</a>
                            <button type="submit" class="btn btn-primary">Guardar</button>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>

    {{ Form::close() }}
@endsection

<script>
    function mostrar(){
        var recurso_pdf=document.getElementById('archivo').files[0];
        document.getElementById("npdf").value = recurso_pdf.name;
        document.getElementById("nom_pdf").innerHTML = recurso_pdf.name;
    }
</script>
