@extends ('layouts.admin')
@section('contenido')
    <section class="content-header">
        <div class="container-fluid">
            <div class="row mb-2">
                <div class="col-sm-6">
                    <span class="title_header">
                        Archivos de: <span style="color: #293144">{{$paciente->nombres}}</span>
                    </span>
                </div>
                <div class="col-sm-6">

                </div>
            </div>
        </div><!-- /.container-fluid -->
    </section>
    @include('historial.archivo.create')
    <div class="row">
        <div class="col-12">
            <div class="card">
                <div class="card-header">
                    <h3 class="card-title">
                        <a href="{{asset('historial/paciente')}}"><i class="fas fa-arrow-alt-circle-left text-danger"></i></a>
                        <a class="btn btn-success btn-sm" href="" data-target="#modal-add" data-toggle="modal" style="margin-left: 20px">
                            Nuevo <i class="fas fa-folder-open" style="color: #cef5e1; margin-left: 10px"></i>
                        </a>
                    </h3>
                </div>
                <div class="card-body table-responsive p-0">
                    <table class="table table-hover text-nowrap">
                        @foreach ($archivo as $a)
                        <tr>
                            {{-- <td style="width:15px;"></td> --}}
                            <td>
                                {{-- <div style="width: 10px; height: 70px; background-color: #F1C40F; border-radius: 25px;">
                                </div> --}}
                                @if ($a->archivo != null)
                                    <a href="{{asset('archivo/'.$a->archivo)}}" class="text-danger" target="_blank" title="{{$a->archivo}}">
                                        <i class="fas fa-file-pdf"></i>
                                    </a>
                                @endif
                            </td>

                            <td style="width: 500px;"><b style="color: #45154B;">{{ $a->titulo }}</b><br>
                                <p style="font-size: 0.8em;"><b class="text-primary"></b>{{ $a->descripcion }}</p>
                            </td>

                            <td class="text-secondary" ><b>Fecha:</b>
                                {{ date('d/m/Y', strtotime($a->fechaSubida)) }}
                            </td>
                            <td>
                                <a href="{{URL::action('ArchivoController@edit',$a->codArchivo)}}" class="btn btn-default text-info btn-sm"
                                            title="Editar {{ $a->titulo }}">
                                            <i class="far fa-edit text-info" ></i>
                                </a>
                            </td>
                        </tr>
                        @endforeach
                    </table>
                </div>
            </div>

        </div>
    </div>

@push ('scripts')
    @if (count($errors) > 0)
        <script type="text/javascript">
            $(document).ready(function(){
                $('#modal-add').modal('show');
                $("#modal-add").on('hidden.bs.modal', function () {
                    location.reload();
                });
            });
        </script>
    @endif
@endpush

@endsection
