@extends('layouts.admin')
@section('contenido')
    <section class="content-header">
        <div class="container-fluid">
            <div class="row mb-2">
                <div class="col-sm-6">
                    <span class="title_header">
                        Historial de: <span style="color: #293144">{{$paciente->nombres}}</span>
                    </span>
                </div>
                <div class="col-sm-6">
                    <ol class="breadcrumb float-sm-right">
                        @php($searchText2 = empty($searchText2) ? 'TODO': $searchText2)
                        <a href="{{route('historia.pdf',[$searchText, $searchText2])}}" target="_blank" title="Reporte en PDF" class="btn btn-default btn-sm" >
                            <i class="fas fa-file-pdf" style="color: #df4747"></i>
                        </a>
                        @php($searchText2 = $searchText2 == 'TODO' ? '': $searchText2)
                    </ol>

                </div>
            </div>
        </div><!-- /.container-fluid -->
    </section>

    <div class="row">
        <div class="col-12">
            <div class="card">
                {{-- <div class="card-header">
                    <h3 class="card-title">
                        <a href="{{asset('historial/paciente')}}"><i class="fas fa-arrow-alt-circle-left text-danger"></i></a>
                    </h3>
                </div> --}}
                @include('historial.historia.search')
                <div class="card-body table-responsive p-0">
                    <table class="table table-hover text-nowrap">
                        <thead style="background: #eaf3fa; color: #12446b">
                            <tr>
                                {{-- <th>Nro.</th> --}}
                                <th>Fecha</th>
                                <th>Asunto</th>
                                <th>Hora Cita</th>
                                <th>Hora Final</th>
                                <th>Consultorio</th>
                                <th>Doctor</th>
                                <th>Diagnostico / Receta</th>
                            </tr>
                        </thead>
                        <tbody>
                            @foreach ($cita as $c)
                            @php($nomUsuario = explode(' ', $c->nombres))
                                <tr>
                                    <td>{{ date('d/m/Y', strtotime($c->fechaCita)) }}</td>
                                    <td>{{ $c->asunto }}</td>
                                    <td>{{ $c->horaCita }}</td>
                                    <td>{{ $c->horaFinal }}</td>
                                    <td>{{ $c->nomConsul}}</td>
                                    <td>
                                        @php($nomUsuario = count($nomUsuario) > 1 ? $nomUsuario[0] . ' '. $nomUsuario[1] : $c->nombres)
                                        {{ $nomUsuario }}
                                    </td>
                                    <td>{{ $c->diagnostico }}</td>
                                </tr>
                            @endforeach

                        </tbody>
                    </table>
                </div>
                {{$cita->appends(['searchText' => $searchText, 'searchText2' => $searchText2])}}
            </div>
        </div>
    </div>


@endsection
