<?php use App\Http\Controllers\HistoriaController; ?>
<!DOCTYPE html>
<html lang="es">
<head>
    <meta charset="UTF-8">

    <title>HISTORIAL CLINICO DE  {{$paciente->nombres}}</title>
    <style>
        body{
            font-family: Arial, Helvetica, sans-serif;
            font-size: 0.80em;
        }
        table {
            border-collapse: collapse; border-color: rgb(0, 0, 0);
            width: 100%;
        }
        td {
            padding: 3px; border: 1px solid rgb(37, 87, 134);
        }
        th {
            padding: 3px; border: 1px solid rgb(37, 87, 134);
            background: #eaf3fa;
            color: #12446b;
        }
        .data{
        float: right;
        margin: 2% 0% 0% 0%;
        }
    </style>
</head>
<body>
    <div>
        <img src="../public/logo/{{$empresa->logo}}" alt="" width="80" height="80">
        <p class="data">
            {{$empresa->nomEmpresa}} <br>
            Dirección: {{$empresa->direccion}} <br>
            {{$fecha_hora}}
        </p>
    </div>
    <table>
        <thead>
            <tr>
                <th colspan="2">HISTORIAL CLINICO DE  {{$paciente->nombres}}</th>
            </tr>
            <tr>
                <th colspan="2"><u>DATOS PERSONALES</u></th>
            </tr>
        </thead>
        <tbody>
            <tr>
                <td colspan="2" align="center">
                    @if (isset($paciente->foto))
                        <img src="../public/Imagenes/Foto/{{$paciente->foto}}" alt="" width="80" height="80">
                    @endif
                </td>
            </tr>
            <tr>
                <td>Número de Documento: {{$paciente->numDocumento}}</td>
                @php($val_genero = $paciente->genero == 'F' ? 'FEMENINO' : 'MASCULINO')
                <td>Género: {{$val_genero}}</td>
            </tr>

            <tr>
                <td>Dirección: {{$paciente->direccion}}</td>
                <td>Teléfono: {{$paciente->telefono}}</td>
            </tr>
            <tr>
                <td>Fecha de Nacimiento: {{$paciente->fechaNac}}</td>
                @if (!is_null($paciente->fechaNac))
                    @php($val_edad = HistoriaController::calculaedad($paciente->fechaNac))
                    <td>Edad: {{$val_edad}} año{{$val_edad == 1 ? '' : 's'}}</td>
                @else
                    <td>Edad: </td>
                @endif

            </tr>
            <tr>
                <td colspan="2">Alergia: {{$paciente->alergia}}</td>
            </tr>
            <tr>
                <td colspan="2">Enfermedad: {{$paciente->enfermedad}}</td>
            </tr>
            <tr>
                <td colspan="2">Medicamento: {{$paciente->medicamento}}</td>
            </tr>
        </tbody>
    </table>
    <br>
    <table>
        <thead>
            <tr><th colspan="7"><u>HISTORIAL</u></th></tr>
            <tr>
                <th>Fecha</th>
                <th>Asunto</th>
                <th>Hora Cita</th>
                <th>Hora Final</th>
                <th>Consultorio</th>
                <th>Doctor</th>
                <th>Diagnostico / Receta</th>
            </tr>
        </thead>
        <tbody>
            @foreach ($cita as $c)
            @php($nomUsuario = explode(' ', $c->nombres))
                <tr>
                    <td align="center">{{ date('d/m/Y', strtotime($c->fechaCita)) }}</td>
                    <td>{{ $c->asunto }}</td>
                    <td align="center">{{ $c->horaCita }}</td>
                    <td align="center">{{ $c->horaFinal }}</td>
                    <td>{{ $c->nomConsul}}</td>
                    <td>
                        @php($nomUsuario = count($nomUsuario) > 1 ? $nomUsuario[0] . ' '. $nomUsuario[1] : $c->nombres)
                        {{ $nomUsuario }}
                    </td>
                    <td>{{ $c->diagnostico }}</td>
                </tr>
            @endforeach
        </tbody>
    </table>
</body>
</html>
