<!DOCTYPE html>
<html lang="es">
<head>
    <meta charset="UTF-8">
    <title>Listado de Citas</title>
    <style>
        body{
            font-family: Arial, Helvetica, sans-serif;
            font-size: 0.80em;
        }
        table {
            border-collapse: collapse; border-color: rgb(0, 0, 0);
            width: 100%;
        }
        td {
            padding: 3px; border: 1px solid rgb(37, 87, 134);
        }
        th {
            padding: 3px; border: 1px solid rgb(37, 87, 134);
            background: #eaf3fa;
            color: #12446b;
        }
        .data{
        float: right;
        margin: 2% 0% 0% 0%;
        }
    </style>
</head>
<body>
    <div>
        <img src="../public/logo/{{$empresa->logo}}" alt="" width="80" height="80">
        <p class="data">
            {{$empresa->nomEmpresa}} <br>
            Dirección: {{$empresa->direccion}} <br>
            {{$fecha_hora}}
        </p>
    </div>
    <div colspan="3">
        Criterio de Busqueda: {{$id}} - {{$id3}}
    </div>
    <div style="background: #163864; color: #ffffff; text-align: center; padding: 3px; margin-bottom: 5px">
        <span>Listado de Citas</span>
    </div>
    <table>
        <tr>
            <th>Nro.</th>
            <th>Fecha</th>
            <th>Motivo Cita</th>
            <th>Hora Cita</th>
            {{-- <th>Hora Final</th> --}}
            <th>Paciente</th>
            <th>Doctor</th>
            <th>Diagnostico</th>
            <th>Estado</th>
            <th>Costo</th>
        </tr>
        @php($cont = 1)
        @php($totalCosto = 0)
        @foreach ($cita as $c)
            @php($totalCosto += $c->costo)
            @php($explod_nomPaciente = explode(' ', $c->nomPaciente))
            @php($explod_nomUsuario = explode(' ', $c->nomUsuario))
            <tr>
                <td align="center">{{ $cont++ }}</td>
                <td>{{ date('d/m/Y', strtotime($c->fechaCita)) }}</td>
                <td>{{ $c->asunto }}</td>
                <td>{{ $c->horaCita }}</td>
                {{-- <td>{{ $c->horaFinal }}</td> --}}
                <td>
                    {{count($explod_nomPaciente)>1 ? $explod_nomPaciente[0] . ' ' . $explod_nomPaciente[1] : $c->nomPaciente}}
                </td>
                <td>
                    {{count($explod_nomUsuario)>1 ? $explod_nomUsuario[0] . ' ' . $explod_nomUsuario[1] : $c->nomUsuario }}
                </td>
                <td>{{ $c->diagnostico }}</td>
                <td align="center">
                    @if ($c->estado == 'PENDIENTE')
                        <span style="background: #5edbfae1; padding: 30px 10px 30px 10px">{{ $c->estado}}
                        </span>
                    @elseif ($c->estado == 'CULMINADO')
                        <span style="background: #fa5e5ee1; padding: 30px 10px 30px 10px; color: #ffffff">{{ $c->estado}}</span>
                    @endif
                </td>
                <td align="right">{{ $c->costo }}</td>
            </tr>
        @endforeach
            <tr>
                <td colspan="7" style="border: 0px"></td>
                <td align="center">TOTAL</td>
                <td align="right">{{number_format($totalCosto, 2)}}</td>
            </tr>
    </table>
</body>
</html>
