@extends ('layouts.admin')
@section('contenido')
    <section class="content-header">
        <div class="container-fluid">
            <div class="row mb-2">
                <div class="col-sm-6">
                    <span class="title_header">
                        Listado de Pacientes
                    </span>
                </div>
                <div class="col-sm-6">
                    <ol class="breadcrumb float-sm-right">
                        <a href="{{route('paciente.pdf',[$searchText])}}" target="_blank" title="Reporte en PDF" class="btn btn-default btn-md" >
                            <i class="fas fa-file-pdf" style="color: #df4747"></i>
                        </a>
                    </ol>
                </div>
            </div>
        </div><!-- /.container-fluid -->
    </section>
    @include('historial.paciente.create')
    <div class="row">
        <div class="col-12">
            <div class="card">
                @include('historial.paciente.search')
                <div class="card-body table-responsive p-0">
                    <table class="table table-hover text-nowrap">
                        <thead style="background: #eaf3fa; color: #12446b">
                            <tr>
                                <th></th>
                                {{-- <th class="footable-first-visible">N° Documento</th> --}}
                                <th>Paciente</th>
                                <th>Género</th>
                                <th title="Fecha de Nacimiento">Fecha Nac.</th>
                                <th>Correo</th>
                                <th>Teléfono</th>
                                <th colspan="4" style="text-align: center">Opciones</th>
                            </tr>
                        </thead>
                        <tbody>
                            @php($cont = 1)
                            @foreach ($paciente as $p)
                                <tr>
                                    {{-- <td>{{ $cont++ }}</td> --}}
                                    <td><a href="{{asset('historial/archivo?searchText=' . $p->codPaciente)}}" title="Gestión de archivos de {{$p->nombres}}"><i class="fas fa-folder-open text-warning"></i></a></td>
                                    <td>{{ $p->numDocumento}} | {{ $p->nombres }}</td>
                                    <td style="text-align: center">{{$p->genero}}</td>
                                    <td>{{ $p->fechaNac }}</td>
                                    <td>{{ $p->email }}</td>
                                    <td>{{ $p->telefono }}</td>
                                    <td style="text-align: center">
                                       <a href="{{asset('historial/historia?searchText=' . $p->codPaciente)}}" ><span class="badge badge bg-teal">HISTORIAL</span></a>
                                    </td>

                                    <td align="center">
                                        <a href="{{URL::action('PacienteController@edit',$p->codPaciente)}}" class="btn btn-default text-info btn-sm"
                                            title="EDITAR DATOS DEL PACIENTE {{ $p->nombres }}">
                                            <i class="far fa-edit text-info" ></i>
                                        </a>
                                    </td>
                                    <td>
                                        <a href="{{asset('historial/triaje?searchText=' . $p->codPaciente)}}" class="btn btn-sm btn-info" title="TRIAJE">
                                            <i class="fas fa-stethoscope"></i>
                                        </a>
                                    </td>
                                    <td>
                                        <form action="{{ URL::action('PacienteController@destroy', $p->codPaciente) }}"
                                            method="POST">
                                            {!! csrf_field() !!}
                                            {!! method_field('DELETE') !!}
                                            <button class="btn btn-default text-danger borrar btn-sm" title="ELIMINAR {{ $p->nombres }}"
                                                data-nombre="{{ $p->nombres }}"><i class="fa fa-trash"
                                                    aria-hidden="true"></i></button>
                                        </form>
                                    </td>
                                </tr>

                            @endforeach
                        </tbody>
                    </table>
                </div>
            </div>
            {{$paciente->appends(['searchText' => $searchText])}}
        </div>
    </div>
    <script>
        document.getElementById("Imagen").onchange = function(e) {
            // Creamos el objeto de la clase FileReader
            let reader = new FileReader();

            // Leemos el archivo subido y se lo pasamos a nuestro fileReader
            reader.readAsDataURL(e.target.files[0]);

            // Le decimos que cuando este listo ejecute el código interno
            reader.onload = function() {
                let preview = document.getElementById('img'),
                    image = document.createElement('img');

                image.src = reader.result;

                preview.innerHTML = '';
                preview.append(image);
            };
        }
    </script>
@push('scripts')
@if (Session::has('success'))
    <script>
        toastr.success('{{ Session::get('success') }}', 'Operación Correcta', {
            "positionClass": "toast-top-right"
        })
    </script>
@endif
        <script>
            $('.apertura').unbind().click(function() {
                var $button = $(this);
                var data_nombre = $button.attr('data-nombre');
                Swal.fire({
                    title: '¿Desea cambiar el estado del Usuario?',
                    showDenyButton: true,
                    confirmButtonText: `Cambiar`,
                    denyButtonText: `Cancelar`,
                }).then((result) => {
                    /* Read more about isConfirmed, isDenied below */
                    if (result.isConfirmed) {
                        var d = '{{ URL::action('PacienteController@show', 0) }}' + data_nombre
                        window.location.href = d;
                    } else if (result.isDenied) {
                        Swal.fire('No se realizó ningún cambio', '', 'info')
                    }
                })
                return false;
            });
        </script>
        @if (count($errors) > 0)
            <script type="text/javascript">
                $(document).ready(function() {
                    <?php if (old('codPaciente') == '') {?>
                    $('#modal-add').modal('show');
                    $("#modal-add").on('hidden.bs.modal', function() {
                        location.reload();
                    });
                    <?php } else { ?>
                    $('#modal-add-<?php echo old('codPaciente'); ?>').modal('show');
                    $("#modal-add-<?php echo old('codPaciente'); ?>").on('hidden.bs.modal', function() {
                        location.reload();
                    });
                    <?php }?>
                });
            </script>

        @endif
    @endpush
@endsection
