<?php use App\Http\Controllers\HistoriaController; ?>
@extends('layouts.admin')
@section('contenido')
{!!Form::open(array('url'=> route('triaje.update',$triaje->codTriaje) ,'method'=>'PUT','autocomplete'=>'off'))!!}
    <div class="row mt-2">
        <div class="col-md-12">
            <div class="card">
                <div class="card-header">
                    <h5 class="modal-title title_header" id="exampleModalLongTitle">
                            Datos Triaje
                    </h5>
                </div>
                <div class="card-body">


                    <div class="row">
                        <div class="col-md-12">
                            <div class="row">
                                <div class="col-md-6">
                                    <label>Paciente</label>
                                    <input type="text" class="form-control" value="{{$triaje->nomPaciente}}" disabled>
                                    <input type="hidden" class="form-control" value="{{$triaje->codPaciente}}" name="codPaciente">
                                </div>
                                <div class="col-md-3">
                                    <label>N° Documento</label>
                                    <input type="text" class="form-control" value="{{$triaje->numDocumento}}" disabled>
                                </div>
                                <div class="col-md-3">
                                    <label>Edad</label>
                                    @php ($val_fecha = !is_null($triaje->fechaNac) ? HistoriaController::calculaedad($triaje->fechaNac) : '')
                                    <input type="text" class="form-control" value="{{$val_fecha}}" disabled>
                                </div>
                                <div class="col-md-6">
                                    <label>Especialista</label>
                                    <input type="text" class="form-control" value="{{ auth()->user()->nombres }}" disabled>
                                    <input type="hidden" class="form-control" value="{{ auth()->user()->codUsuario }}" name="codUsuario">
                                </div>
                                <div class="col-md-6">
                                    <label>Fecha Registro Triaje</label>
                                    <input type="text" class="form-control" value="{{HistoriaController::fechaCastellano($fecha)}} {{$hora}}" disabled>
                                </div>
                                <br><br><br><br><br>

                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label>Especialista (Anterior)</label>
                                        <input type="text" class="form-control" value="{{ $triaje->nomUsuario }}" disabled>
                                    </div>
                                </div>
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label>Fecha Registro Triaje (Anterior)</label>
                                        <input type="text" class="form-control" value="{{HistoriaController::fechaCastellano($triaje->fechaTriaje)}} {{$triaje->horaTriaje}}" disabled>
                                    </div>
                                </div>
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label for="">Presion Arterial (mmHg):</label>
                                        <div class="input-group a mb-3">
                                            @php($val_precionArterial = empty(old('precionArterial')) ? $triaje->precionArterial : old('precionArterial'))
                                            <input type="text" class="form-control fi {{ $errors->has('precionArterial') ? 'is-invalid' : '' }}" name="precionArterial" placeholder="Ingrese la presion arterial"
                                            value="{{$val_precionArterial}}" id="precionArterial">
                                        </div>
                                        @if ($errors->has('precionArterial'))
                                            <div>
                                                <span class="text-danger">{{ $errors->first('precionArterial') }}</span>
                                            </div>
                                        @endif
                                    </div>
                                </div>
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label for="">Temperatura (C°):</label>
                                        <div class="input-group a mb-3">
                                            @php($val_temperatura = empty(old('temperatura')) ? $triaje->temperatura : old('temperatura'))
                                            <input type="text" class="form-control fi {{ $errors->has('temperatura') ? 'is-invalid' : '' }}" name="temperatura" placeholder="Ingrese la Temperatura"
                                            value="{{$val_temperatura}}" id="temperatura">
                                        </div>
                                        @if ($errors->has('temperatura'))
                                            <div>
                                                <span class="text-danger">{{ $errors->first('temperatura') }}</span>
                                            </div>
                                        @endif
                                    </div>
                                </div>
                                <div class="col-md-4">
                                    <div class="form-group">
                                        <label for="">Frecuencia Respiratoria (x Minuto):</label>
                                        <div class="input-group a mb-3">
                                            @php($val_fRespiratoria = empty(old('fRespiratoria')) ? $triaje->fRespiratoria : old('fRespiratoria'))
                                            <input type="text" class="form-control fi {{ $errors->has('fRespiratoria') ? 'is-invalid' : '' }}" name="fRespiratoria" placeholder="Ingrese la Frecuencia Respiratoria"
                                            value="{{$val_fRespiratoria}}" id="fRespiratoria">
                                        </div>
                                        @if ($errors->has('fRespiratoria'))
                                            <div>
                                                <span class="text-danger">{{ $errors->first('fRespiratoria') }}</span>
                                            </div>
                                        @endif
                                    </div>
                                </div>
                                <div class="col-md-4">
                                    <div class="form-group">
                                        <label for="">Frecuencia Cardiaca (x Minuto):</label>
                                        <div class="input-group a mb-3">
                                            @php($val_fCardiaca = empty(old('fCardiaca')) ? $triaje->fCardiaca : old('fCardiaca'))
                                            <input type="text" class="form-control fi {{ $errors->has('fCardiaca') ? 'is-invalid' : '' }}" name="fCardiaca" placeholder="Ingrese la Frecuencia Cardiaca"
                                            value="{{$val_fCardiaca}}" id="fCardiaca">
                                        </div>
                                        @if ($errors->has('fCardiaca'))
                                            <div>
                                                <span class="text-danger">{{ $errors->first('fCardiaca') }}</span>
                                            </div>
                                        @endif
                                    </div>
                                </div>
                                <div class="col-md-4">
                                    <div class="form-group">
                                        <label for="">Saturación O2:</label>
                                        <div class="input-group a mb-3">
                                            @php($val_saturacion = empty(old('saturacion')) ? $triaje->saturacion : old('saturacion'))
                                            <input type="text" class="form-control fi {{ $errors->has('saturacion') ? 'is-invalid' : '' }}" name="saturacion" placeholder="Ingrese la Saturación O2"
                                            value="{{$val_saturacion}}" id="saturacion">
                                        </div>
                                        @if ($errors->has('saturacion'))
                                            <div>
                                                <span class="text-danger">{{ $errors->first('saturacion') }}</span>
                                            </div>
                                        @endif
                                    </div>
                                </div>
                                <div class="col-md-3">
                                    <div class="form-group">
                                        <label for="">Peso (Kg):</label>
                                        <div class="input-group a mb-3">
                                            @php($val_peso = empty(old('peso')) ? $triaje->peso : old('peso'))
                                            <input type="text" class="form-control fi {{ $errors->has('peso') ? 'is-invalid' : '' }}" name="peso" id="peso" placeholder="Ingrese el Peso en Kg"
                                            value="{{$val_peso}}">
                                        </div>
                                        @if ($errors->has('peso'))
                                            <div>
                                                <span class="text-danger">{{ $errors->first('peso') }}</span>
                                            </div>
                                        @endif
                                    </div>
                                </div>
                                <div class="col-md-3">
                                    <div class="form-group">
                                        <label for="">Talla:</label>
                                        <div class="input-group a mb-3">
                                            @php($val_talla = empty(old('talla')) ? $triaje->talla : old('talla'))
                                            <input type="text" class="form-control fi {{ $errors->has('talla') ? 'is-invalid' : '' }}" name="talla" id="talla" placeholder="Ingrese la talla"
                                            value="{{$val_talla}}">
                                        </div>
                                        @if ($errors->has('talla'))
                                            <div>
                                                <span class="text-danger">{{ $errors->first('talla') }}</span>
                                            </div>
                                        @endif
                                    </div>
                                </div>
                                <div class="col-md-3">
                                    <div class="form-group">
                                        <label for="">Imc:</label>
                                        <div class="input-group a mb-3">
                                            @php($val_imc = empty(old('imc')) ? $triaje->imc : old('imc'))
                                            <input type="text" class="form-control fi {{ $errors->has('imc') ? 'is-invalid' : '' }}" name="imc" id="imc" placeholder="Valor del Imc"
                                            value="{{$val_imc}}" readonly>
                                        </div>
                                        @if ($errors->has('imc'))
                                            <div>
                                                <span class="text-danger">{{ $errors->first('imc') }}</span>
                                            </div>
                                        @endif
                                    </div>
                                </div>
                                <div class="col-md-3">
                                    <div class="form-group">
                                        <label for="">Estado:</label>
                                        <div class="input-group a mb-3">
                                            @php($val_estadoFisico = empty(old('estadoFisico')) ? $triaje->estadoFisico : old('estadoFisico'))
                                            <input type="text" class="form-control fi {{ $errors->has('estadoFisico') ? 'is-invalid' : '' }}" name="estadoFisico" id="estadoFisico"
                                            value="{{$val_estadoFisico}}" readonly>
                                        </div>
                                        @if ($errors->has('estadoFisico'))
                                            <div>
                                                <span class="text-danger">{{ $errors->first('estadoFisico') }}</span>
                                            </div>
                                        @endif
                                    </div>
                                </div>
                            </div>
                        </div>

                    </div>
                </div>
                <div class="card-footer text-center">
                    <div style="margin: 0px auto 0px auto">
                        <div style="margin: 0px auto 0px auto">
                            <a href="{{ asset('historial/triaje') }}" type="button" class="btn btn-danger ">Cancelar</a>
                            <button type="submit" class="btn btn-primary">Guardar</button>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>

{{ Form::close() }}
<script>
    const talla = document.querySelector('#talla');
    talla.addEventListener("keyup", function(event) {
        if (document.getElementById('peso').value !== '' && document.getElementById('talla').value !== ''){
            let imc = parseFloat(document.getElementById('peso').value / Math.pow(document.getElementById('talla').value,2));
            let estado = '';
            if (imc < 18.5) {
                estado = 'BAJO PESO';
            }else if(imc <= 24.9){
                estado = 'PESO NORMAL';
            }else if(imc <= 29.9){
                estado = 'SOBREPESO';
            }else if(imc <= 34.9){
                estado = 'OBESIDAD TIPO I';
            }else if(imc <= 39.9){
                estado = 'OBESIDAD TIPO II';
            }else if (imc <= 49.9){
                estado = 'OBESIDAD TIPO III';
            }else{
                estado = 'OBESIDAD TIPO IV';
            }

            document.getElementById('imc').value = imc;
            document.getElementById('estadoFisico').value = estado;
        }
    }, false);
</script>
{{-- Peso --}}
<script>
    const peso = document.querySelector('#peso');
    peso.addEventListener("keyup", function(event) {
        if (document.getElementById('peso').value !== '' && document.getElementById('talla').value !== ''){
            let imc = parseFloat(document.getElementById('peso').value / Math.pow(document.getElementById('talla').value,2));
            let estado = '';
            if (imc < 18.5) {
                estado = 'BAJO PESO';
            }else if(imc <= 24.9){
                estado = 'PESO NORMAL';
            }else if(imc <= 29.9){
                estado = 'SOBREPESO';
            }else if(imc <= 34.9){
                estado = 'OBESIDAD TIPO I';
            }else if(imc <= 39.9){
                estado = 'OBESIDAD TIPO II';
            }else if (imc <= 49.9){
                estado = 'OBESIDAD TIPO III';
            }else{
                estado = 'OBESIDAD TIPO IV';
            }
            document.getElementById('imc').value = imc;
            document.getElementById('estadoFisico').value = estado;
        }
    }, false);
</script>
@push('scripts')
<script>
    $('#precionArterial').on('input', function () {
        this.value = this.value.replace(/[^0-9,.]/g, '').replace(/,/g, '.');
    });
</script>
<script>
    $('#temperatura').on('input', function () {
        this.value = this.value.replace(/[^0-9,.]/g, '').replace(/,/g, '.');
    });
</script>
<script>
    $('#fRespiratoria').on('input', function () {
        this.value = this.value.replace(/[^0-9,.]/g, '').replace(/,/g, '.');
    });
</script>
<script>
    $('#fCardiaca').on('input', function () {
        this.value = this.value.replace(/[^0-9,.]/g, '').replace(/,/g, '.');
    });
</script>
<script>
    $('#saturacion').on('input', function () {
        this.value = this.value.replace(/[^0-9,.]/g, '').replace(/,/g, '.');
    });
</script>
<script>
    $('#talla').on('input', function () {
        this.value = this.value.replace(/[^0-9,.]/g, '').replace(/,/g, '.');
    });
</script>
<script>
    $('#peso').on('input', function () {
        this.value = this.value.replace(/[^0-9,.]/g, '').replace(/,/g, '.');
    });
</script>
@endpush
@endsection
