@extends('layouts.admin')
@section('contenido')
    <section class="content-header">
        <div class="container-fluid">
            <div class="row mb-2">
                <div class="col-sm-6">
                    <span class="title_header">Triaje</span>
                </div>
                <div class="col-sm-6">
                    <ol class="breadcrumb float-sm-right">
                        {{-- <li class="breadcrumb-item"><a href="#">Home</a></li> --}}
                        {{-- <li class="breadcrumb-item active">Simple Tables</li> --}}
                    </ol>
                </div>
            </div>
        </div>
    </section>
    <div class="row">
        <div class="col-12">
            <div class="card">
                @include('historial.triaje.search')
                <div class="card-body table-responsive p-0">
                    <table class="table table-hover text-nowrap">
                        <thead style="background: #eaf3fa; color: #12446b">
                            <tr>
                                {{-- <th>Nro.</th> --}}
                                <th>Fecha</th>
                                <th>Hora</th>
                                <th>Paciente</th>
                                <th>Especialista</th>
                                <th>Opciones</th>
                            </tr>
                        </thead>
                        <tbody>
                            @foreach ($triaje as $t)
                                <tr>
                                    <td>{{date('d/m/Y', strtotime($t->fechaTriaje))}}</td>
                                    <td>{{$t->horaTriaje}}</td>
                                    <td>{{$t->numDocumento}} | {{$t->nomPaciente}}</td>
                                    <td>{{$t->nomUsuario}}</td>
                                    @if (auth()->user()->tipo =="DOCTOR")
                                        <td>
                                            <a class="btn btn-default btn-sm" href="{{URL::action('TriajeController@edit',$t->codTriaje)}}">
                                                <i class="far fa-edit text-info"  title="Editar"></i>
                                            </a>
                                        </td>
                                    @else
                                        <td>
                                            <a class="btn btn-default btn-sm" href="{{URL::action('TriajeController@show',$t->codTriaje)}}">
                                                <i class="far fa-edit text-info"  title="Editar"></i>
                                            </a>
                                        </td>
                                    @endif
                                </tr>
                            @endforeach

                        </tbody>
                    </table>
                </div>
            </div>
            {{$triaje->appends(['searchText' => $searchText])}}
        </div>
    </div>
<script>
    const selectElement = document.querySelector('.searchText');
    selectElement.addEventListener('change', (event) => {
        $("#buscar").click();
    });
</script>
@push('scripts')
@if (Session::has('success'))
<script>
    toastr.success('{{ Session::get('success') }}', 'Operación Correcta', {
        "positionClass": "toast-top-right"
    })
</script>
@endif
@endpush


@endsection
