<!DOCTYPE html>
<html lang="es">

<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <title>Sistema Control de citas médicas</title>
    {{-- Icono de la Pagina --}}
    <link rel="shortcut icon" type="image/ico" href="{{asset('logo/' . $empresa_ini->logo)}}"/>
    {{-- Meta descripción --}}
    <meta name="description"
    content="Sistema Control de Citas Médicas V. 1.0 - Desarrollado por CWILSOFT.
    El sistema permite programar citas médicas en distintos consultorios y con distintos personales médicos.">
    <meta name="author" content="Wilfredo Vargas Cárdenas - CWILSOFT" />
    <meta name="copyright" content="CWILSOFT" />
    <meta name="keywords" content="Citas Médicas, Sistema Control de Citas Médicas, sistema de citas medicas via internet, sistema de citas medicas en php y mysql, sistema de citas medicas en php,
    sistema de citas medicas tesis, base de datos de un sistema de citas medicas, sistema de citas medicas php, sistema de consulta médica, medical control system,
    medical appointment system, online medical appointment system, virtual medical appointment system">
    <link rel="stylesheet" href="{{ asset('plugins/fontawesome-free/css/all.min.css') }}">
    <link rel="stylesheet" href="{{ asset('dist/css/adminlte.min.css') }}">
    <link rel="stylesheet" href="{{asset('dist/css/bootstrap-select.min.css')}}">

    <link rel="stylesheet" href="{{ asset('dist/css/validacion.css') }}">
    <link rel="stylesheet" href="{{ asset('dist/css/mis_estilos.css') }}">
    <link rel="stylesheet" href="{{ asset('dist/css/toastr.css') }}">

    <link href="{{ asset('fullcalendar/main.css') }}" rel='stylesheet' />
    <link href="{{ asset('fullcalendar/css/personalizado.css') }}" rel='stylesheet' />

</head>
<!--
`body` tag options:

  Apply one or more of the following classes to to the body tag
  to get the desired effect

  * sidebar-collapse
  * sidebar-mini
-->

<body class="hold-transition sidebar-mini">
    <div class="wrapper">
        <!-- Navbar -->
        <nav class="main-header navbar navbar-expand navbar-light ">
            <!-- Left navbar links -->
            <ul class="navbar-nav">
                <li class="nav-item">
                    <a class="nav-link" data-widget="pushmenu" href="#" role="button"><i class="fas fa-bars"></i></a>
                </li>
            </ul>

            <!-- Right navbar links -->
            <ul class="navbar-nav ml-auto">
                <li class="nav-item dropdown">
                    <a class="nav-link" data-toggle="dropdown" href="#">
                        <i class="fas fa-sort-down"></i>
                    </a>
                    <div class="dropdown-menu dropdown-menu-lg dropdown-menu-right">
                        <span class="dropdown-header">{{ auth()->user()->nombres }}<br>
                            <font style="font-weight: bold">{{ auth()->user()->tipo }}</font>
                        </span>

                        <div class="dropdown-divider"></div>
                        <form method="POST" action="{{ route('logout') }}">
                            {{ csrf_field() }}
                            <button class="dropdown-item dropdown-footer">
                                Cerrar Sesión <i class="fas fa-sign-out-alt" style="margin-left: 1em"></i></button>
                        </form>
                    </div>
                </li>
                <li class="nav-item">
                    <a class="nav-link" data-widget="fullscreen" href="#" role="button">
                        <i class="fas fa-expand-arrows-alt"></i>
                    </a>
                </li>
            </ul>
        </nav>
        <!-- /.navbar -->

        <!-- Main Sidebar Container -->
        <aside class="main-sidebar sidebar-light-dark elevation-4 bg-warning" >
            <!-- Brand Logo -->
            <a href="#" class="brand-link">
                @if (!empty($empresa_ini->logo))
                <img src="{{asset('logo/' . $empresa_ini->logo)}}" alt="" class="brand-image img-circle elevation-3"
                    style="opacity: .8">
                @endif
                <span class="brand-text font-weight-light">
                    @if (isset($empresa_ini->nomEmpresa))
                        <font style="font-weight: bold; color: #FFF; font-size: 0.8em;">{{$empresa_ini->nomEmpresa}}</font>
                    @endif
                </span>
            </a>

            <!-- Sidebar -->
            <div class="sidebar bg-warning">
                <!-- Sidebar user panel (optional) -->
                <div class="user-panel mt-3 pb-3 mb-3 d-flex">
                    <div class="image">
                        @if (auth()->user()->foto != '')
                            <img src="{{ asset('Imagen/' . auth()->user()->foto) }}" class="img-circle elevation-2"
                                alt="Imagen de usuario">
                        @endif
                    </div>
                    <div class="info">
                        <a href="#" class="d-block" style="color:#000000;">
                            @php($nombre = explode(' ', auth()->user()->nombres))
                            @if (count($nombre) > 1)
                                {{ $nombre[0] }} {{ $nombre[1] }}
                            @else
                                {{auth()->user()->nombres}}
                            @endif
                        </a>
                    </div>
                </div>

                <!-- SidebarSearch Form -->


                <!-- Sidebar Menu -->
                <nav class="mt-2">
                    <ul class="nav nav-pills nav-sidebar   flex-column" data-widget="treeview" role="menu"
                        data-accordion="false">
                        <!-- Add icons to the links using the .nav-icon class
               with font-awesome or any other icon font library -->

                    @if (auth()->user()->tipo == 'SECRETARIA')
                        <li class="nav-item">
                            <a href="{{ asset('panel-secretaria') }}" class="nav-link
                                    {{ 'panel-secretaria' == request()->segment(1) ? 'active' : '' }}">
                                <i class="nav-icon fas fa-th"></i>
                                <p>Panel de Control
                                    {{-- <span class="right badge badge-danger">New</span> --}}
                                </p>
                            </a>
                        </li>
                        <li class="nav-item menu-open">
                            <a href="#" class="nav-link {{ 'historial' == request()->segment(1) ? 'active' : '' }}">
                                <i class="nav-icon fas fa-clipboard-list"></i>
                                <p>
                                    Historial
                                    <i class="right fas fa-angle-left"></i>
                                </p>
                            </a>
                            <ul class="nav nav-treeview">
                                <li class="nav-item">
                                    <a href="{{ asset('historial/cita') }}"
                                        class="nav-link {{ 'cita' == request()->segment(2) ? 'bg-warning' : '' }}" style="color:#000000">
                                        <i class="far fa-circle nav-icon"></i>
                                        <p>Citas</p>
                                    </a>
                                </li>
                            </ul>
                            <ul class="nav nav-treeview">
                                <li class="nav-item">
                                    <a href="{{ asset('historial/listado-cita') }}"
                                        class="nav-link {{ 'listado-cita' == request()->segment(2) ? 'bg-warning' : '' }}" style="color:#000000">
                                        <i class="far fa-circle nav-icon"></i>
                                        <p>Listado de Citas</p>
                                    </a>
                                </li>
                            </ul>
                            <ul class="nav nav-treeview">
                                <li class="nav-item">
                                    <a href="{{ asset('historial/paciente') }}"
                                        class="nav-link {{ 'paciente' == request()->segment(2) ? 'bg-warning' : '' }}" style="color:#000000">
                                        <i class="far fa-circle nav-icon"></i>
                                        <p>Pacientes</p>
                                    </a>
                                </li>
                            </ul>
                            <ul class="nav nav-treeview">
                                <li class="nav-item">
                                    <a href="{{ asset('historial/triaje') }}"
                                        class="nav-link {{'triaje' == request()->segment(2) ? 'bg-warning' : '' }}" style="color:#000000">
                                        <i class="far fa-circle nav-icon"></i>
                                        <p>Triaje</p>
                                    </a>
                                </li>
                            </ul>
                        </li>

                        <li class="nav-item menu-open">
                            <a href="#" class="nav-link {{ 'acceso' == request()->segment(1) ? 'active' : '' }}" style="color:#FFF">
                                {{-- <i class=" nav-icon fas fa-cash-register"></i> --}}
                                <i class=" nav-icon fas fa-shield-alt"></i>
                                <p>
                                    Acceso
                                    <i class="right fas fa-angle-left"></i>
                                </p>
                            </a>
                            <ul class="nav nav-treeview">
                                <li class="nav-item">
                                    <a href="{{ asset('acceso/usuario') }}"
                                        class="nav-link {{ 'usuario' == request()->segment(2) ? 'bg-warning' : '' }}" style="color:#000000">
                                        <i class="far fa-circle nav-icon"></i>
                                        <p>Doctores</p>
                                    </a>
                                </li>
                            </ul>

                        </li>
                        <li class="nav-item menu-open">
                            <a href="#" class="nav-link {{ 'configuracion' == request()->segment(1) ? 'active' : '' }}">
                                <i class="nav-icon fas fa-tools"></i>
                                <p>
                                    Configuración
                                    <i class="right fas fa-angle-left"></i>
                                </p>
                            </a>
                            <ul class="nav nav-treeview">
                                <li class="nav-item">
                                    <a href="{{ asset('configuracion/mi_perfil') }}"
                                        class="nav-link {{ 'mi_perfil' == request()->segment(2) ? 'bg-light' : '' }}" style="color:#000000">
                                        <i class="far fa-circle nav-icon"></i>
                                        <p>Mi perfíl</p>
                                    </a>
                                </li>
                            </ul>
                        </li>
                    @elseif (auth()->user()->tipo == 'DOCTOR')
                        <li class="nav-item">
                            <a href="{{ asset('panel-doctor') }}" class="nav-link
                                    {{ 'panel-doctor' == request()->segment(1) ? 'active' : '' }}">
                                <i class="nav-icon fas fa-th"></i>
                                <p>Panel de Control
                                    {{-- <span class="right badge badge-danger">New</span> --}}
                                </p>
                            </a>
                        </li>
                        <li class="nav-item menu-open">
                            <a href="#" class="nav-link {{ 'historial' == request()->segment(1) ? 'active' : '' }}">
                                <i class="nav-icon fas fa-clipboard-list"></i>
                                <p>
                                    Historial
                                    <i class="right fas fa-angle-left"></i>
                                </p>
                            </a>
                            <ul class="nav nav-treeview">
                                <li class="nav-item">
                                    <a href="{{ asset('historial/cita') }}"
                                        class="nav-link {{ 'cita' == request()->segment(2) ? 'bg-warning' : '' }}" style="color:#000000">
                                        <i class="far fa-circle nav-icon"></i>
                                        <p>Citas</p>
                                    </a>
                                </li>
                            </ul>
                            <ul class="nav nav-treeview">
                                <li class="nav-item">
                                    <a href="{{ asset('historial/listado-cita') }}"
                                        class="nav-link {{ 'listado-cita' == request()->segment(2) ? 'bg-warning' : '' }}" style="color:#000000">
                                        <i class="far fa-circle nav-icon"></i>
                                        <p>Listado de Citas</p>
                                    </a>
                                </li>
                            </ul>
                            <ul class="nav nav-treeview">
                                <li class="nav-item">
                                    <a href="{{ asset('historial/paciente') }}"
                                        class="nav-link {{'paciente' == request()->segment(2) ||
                                                        'archivo' == request()->segment(2) ||
                                                        'historia' == request()->segment(2) ? 'bg-warning' : '' }}" style="color:#000000">
                                        <i class="far fa-circle nav-icon"></i>
                                        <p>Pacientes</p>
                                    </a>
                                </li>
                                <li class="nav-item">
                                    <a href="{{ asset('historial/triaje') }}"
                                        class="nav-link {{'triaje' == request()->segment(2) ? 'bg-warning' : '' }}" style="color:#000000">
                                        <i class="far fa-circle nav-icon"></i>
                                        <p>Triaje</p>
                                    </a>
                                </li>
                            </ul>
                        </li>
                        <li class="nav-item menu-open">
                            <a href="#" class="nav-link {{ 'configuracion' == request()->segment(1) ? 'active' : '' }}" style="color:#000000">
                                <i class="nav-icon fas fa-tools"></i>
                                <p>
                                    Configuración
                                    <i class="right fas fa-angle-left"></i>
                                </p>
                            </a>
                            <ul class="nav nav-treeview">
                                <li class="nav-item">
                                    <a href="{{ asset('configuracion/mi_perfil') }}"
                                        class="nav-link {{ 'mi_perfil' == request()->segment(2) ? 'bg-warning' : '' }}">
                                        <i class="far fa-circle nav-icon"></i>
                                        <p>Mi perfíl</p>
                                    </a>
                                </li>
                            </ul>
                        </li>
                    @else
                        <li class="nav-item">
                            <a href="{{ asset('panel-administrador') }}" class="nav-link
                                     {{ 'panel-administrador' == request()->segment(1) ? 'active' : '' }}" style="color:#000000">
                                <i class="nav-icon fas fa-th"></i>
                                <p>Panel de Control
                                    {{-- <span class="right badge badge-danger">New</span> --}}
                                </p>
                            </a>
                        </li>
                        <li class="nav-item menu-open">
                            <a href="#" class="nav-link {{ 'historial' == request()->segment(1) ? 'active' : '' }}" style="color:#FFF">
                                <i class="nav-icon fas fa-clipboard-list"></i>
                                <p>
                                    Historial
                                    <i class="right fas fa-angle-left"></i>
                                </p>
                            </a>
                            <ul class="nav nav-treeview">
                                <li class="nav-item">
                                    <a href="{{ asset('historial/cita') }}"
                                        class="nav-link {{ 'cita' == request()->segment(2) ? 'bg-light' : '' }}" style="color:#000000">
                                        <i class="far fa-circle nav-icon"></i>
                                        <p>Citas</p>
                                    </a>
                                </li>
                            </ul>
                            <ul class="nav nav-treeview">
                                <li class="nav-item">
                                    <a href="{{ asset('historial/listado-cita') }}"
                                        class="nav-link {{ 'listado-cita' == request()->segment(2) ? 'bg-light' : '' }}" style="color:#000000">
                                        <i class="far fa-circle nav-icon"></i>
                                        <p>Listado de Citas</p>
                                    </a>
                                </li>
                            </ul>
                            <ul class="nav nav-treeview">
                                <li class="nav-item">
                                    <a href="{{ asset('historial/paciente') }}"
                                        class="nav-link {{'paciente' == request()->segment(2) ||
                                                        'archivo' == request()->segment(2) ||
                                                        'historia' == request()->segment(2) ? 'bg-light' : '' }}" style="color:#000000">
                                        <i class="far fa-circle nav-icon"></i>
                                        <p>Pacientes</p>
                                    </a>
                                </li>
                            </ul>
                            <ul class="nav nav-treeview">
                                <li class="nav-item">
                                    <a href="{{ asset('historial/triaje') }}"
                                        class="nav-link {{'triaje' == request()->segment(2) ? 'bg-light' : '' }}" style="color:#000000">
                                        <i class="far fa-circle nav-icon"></i>
                                        <p>Triaje</p>
                                    </a>
                                </li>
                            </ul>
                        </li>
                        <li class="nav-item menu-open">
                            <a href="#" class="nav-link {{ 'reporte' == request()->segment(1) ? 'active' : '' }}" style="color:#FFF">
                                <i class="nav-icon fas fa-clipboard-list"></i>
                                <p>
                                    Reportes
                                    <i class="right fas fa-angle-left"></i>
                                </p>
                            </a>
                            <ul class="nav nav-treeview">
                                <li class="nav-item">
                                    <a href="{{ asset('reporte/rango') }}"
                                        class="nav-link {{ 'rango' == request()->segment(2) ? 'bg-light' : '' }}" style="color:#000000">
                                        <i class="far fa-circle nav-icon"></i>
                                        <p>Rango de Fecha </p>
                                    </a>
                                </li>
                            </ul>

                        </li>

                        <li class="nav-item menu-open">
                            <a href="#" class="nav-link {{ 'mantenimiento' == request()->segment(1) ? 'active' : '' }}" style="color:#FFF">
                                <i class="nav-icon fas fa-toolbox"></i>
                                <p>
                                    Mantenimiento
                                    <i class="right fas fa-angle-left"></i>
                                </p>
                            </a>

                            <ul class="nav nav-treeview">
                                <li class="nav-item">
                                    <a href="{{ asset('mantenimiento/consultorio') }}"
                                        class="nav-link {{ 'consultorio' == request()->segment(2) ? 'bg-light' : '' }}" style="color:#000000">
                                        <i class="far fa-circle nav-icon"></i>
                                        <p>Consultorios</p>
                                    </a>
                                </li>
                            </ul>
                        </li>
                        <li class="nav-item menu-open">
                            <a href="#" class="nav-link {{ 'acceso' == request()->segment(1) ? 'active' : '' }}" style="color:#FFF">
                                {{-- <i class=" nav-icon fas fa-cash-register"></i> --}}
                                <i class=" nav-icon fas fa-shield-alt"></i>
                                <p>
                                    Acceso
                                    <i class="right fas fa-angle-left"></i>
                                </p>
                            </a>
                            <ul class="nav nav-treeview">
                                <li class="nav-item">
                                    <a href="{{ asset('acceso/usuario') }}"
                                        class="nav-link {{ 'usuario' == request()->segment(2) ? 'bg-light' : '' }}" style="color:#000000">
                                        <i class="far fa-circle nav-icon"></i>
                                        <p>Usuarios</p>
                                    </a>
                                </li>
                            </ul>

                        </li>
                        <li class="nav-item menu-open">
                            <a href="#" class="nav-link {{ 'configuracion' == request()->segment(1) ? 'active' : '' }}" style="color:#FFF">
                                <i class="nav-icon fas fa-tools"></i>
                                <p>
                                    Configuración
                                    <i class="right fas fa-angle-left"></i>
                                </p>
                            </a>
                            <ul class="nav nav-treeview">
                                <!--
                                <li class="nav-item">
                                    <a href="{{ asset('configuracion/mi_perfil') }}"
                                        class="nav-link {{ 'mi_perfil' == request()->segment(2) ? 'bg-light' : '' }}" style="color:#000000">
                                        <i class="far fa-circle nav-icon"></i>
                                        <p>Mi perfíl</p>
                                    </a>
                                </li>
                            -->
                            </ul>
                            <ul class="nav nav-treeview">
                                <li class="nav-item">
                                    <a href="{{ asset('configuracion/ajustes') }}"
                                        class="nav-link {{ 'ajustes' == request()->segment(2) ? 'bg-warning' : '' }}" style="color:#000000">
                                        <i class="far fa-circle nav-icon"></i>
                                        <p>Ajustes</p>
                                    </a>
                                </li>
                            </ul>
                        </li>
                    @endif

                    </ul>
                </nav>
                <!-- /.sidebar-menu -->
            </div>
            <!-- /.sidebar -->
        </aside>

        <!-- Content Wrapper. Contains page content -->
        <div class="content-wrapper">
            <!-- Content Header (Page header) -->
            @yield('encabezado')
            <!-- /.content-header -->

            <!-- Main content -->
            <div class="content">
                <div class="container-fluid">
                    @yield('contenido')
                </div>
                <!-- /.container-fluid -->
            </div>
            <!-- /.content -->
        </div>
        <!-- /.content-wrapper -->

        <!-- Control Sidebar -->
        <aside class="control-sidebar control-sidebar-dark">
            <!-- Control sidebar content goes here -->
        </aside>
        <!-- /.control-sidebar -->

        <!-- Main Footer -->
        <footer class="main-footer">
            {{-- <strong>Copyright &copy; 2020-2021 <a href="https://adminlte.io">WIJGSOFT</a>.</strong> --}}
            <strong>Copyright &copy; Torres Cubas, Deisy Yudith - 2023<a href="#"></a>.</strong>
            Todos los derechos Reservados
            <div class="float-right d-none d-sm-inline-block">
                <b>Sistema Control de Citas Médicas </b>Versión 1.0
            </div>
        </footer>
    </div>
    <!-- ./wrapper -->

    <!-- REQUIRED SCRIPTS -->

    <!-- jQuery -->
    <script src="{{ asset('plugins/jquery/jquery.min.js') }}"></script>
    <!-- Bootstrap -->
    <script src="{{ asset('plugins/bootstrap/js/bootstrap.bundle.min.js') }}"></script>
    <script src="{{asset('dist/js/bootstrap-select.min.js')}}"></script>

    <!-- AdminLTE -->
    <script src="{{ asset('dist/js/adminlte.js') }}"></script>
    <script src="{{ asset('dist/js/toastr.min.js') }}"></script>
    <script src="{{ asset('dist/js/chart.min.js') }}"></script>
    @stack('scripts')
    <script src="{{ asset('dist/sweetalert2/sweetalert2.all.min.js') }}"></script>
    <script src="{{ asset('dist/sweetalert2/eliminar.js') }}"></script>
    <script src="{{ asset('dist/js/pages/formulario.js') }}"></script>


    {{-- }}}}}}}}}}}}}}}}} --}}
    <!-- Moments -->
    <script src="{{ asset('fullcalendar/moment/moment.main.js') }}"></script>
    <script src="{{ asset('fullcalendar/moment/moment-timezone.js') }}"></script>

    <script src="{{ asset('fullcalendar/main.js') }}"></script>
    <script src="{{ asset('fullcalendar/locales-all.js') }}"></script>

</body>

</html>
