@extends('layouts.admin')
@section('contenido')
    <section class="content-header">
        <div class="container-fluid">
            <div class="row mb-2">
                <div class="col-sm-6">
                    <span class="title_header">Listado de Consultorios</span>
                </div>
                <div class="col-sm-6">
                    <ol class="breadcrumb float-sm-right">
                        {{-- <li class="breadcrumb-item"><a href="#">Home</a></li> --}}
                        {{-- <li class="breadcrumb-item active">Simple Tables</li> --}}
                    </ol>
                </div>
            </div>
        </div><!-- /.container-fluid -->
    </section>
    @include('mantenimiento.consultorio.create')
    <div class="row">
        <div class="col-12">
            <div class="card">
                @include('mantenimiento.consultorio.search')
                <div class="card-body table-responsive p-0">
                    <table class="table table-hover text-nowrap">
                        <thead style="background: #eaf3fa; color: #12446b">
                            <tr>
                                {{-- <th>Nro.</th> --}}
                                <th>Consultorio</th>
                                <th>Descripción</th>
                                <th colspan="2" style="text-align: center">Opciones</th>
                            </tr>
                        </thead>
                        <tbody>
                            @foreach ($consultorio as $c)
                                <tr>
                                    {{-- <td>{{ $cont++ }}</td> --}}
                                    <td>{{ $c->nomConsul }}</td>
                                    <td title="{{$c->desConsul}}">{{ strlen($c->desConsul) > 30 ? substr($c->desConsul, 0, 30) . ' ...' : $c->desConsul }}</td>
                                    <td align="center">
                                        <a class="btn btn-default text-info btn-sm" href="{{URL::action('ConsultorioController@edit',$c->codConsultorio)}}">
                                            <i class="far fa-edit text-info"  title="EDITAR {{ $c->nomConsul }} "></i>
                                        </a>
                                    </td>
                                    <td align="center">
                                        <form
                                            action="{{ URL::action('ConsultorioController@destroy', $c->codConsultorio) }}"
                                            method="POST">
                                            {!! csrf_field() !!}
                                            {!! method_field('DELETE') !!}
                                            <button class="btn btn-default borrar text-danger btn-sm"
                                                title="ELIMINAR {{ $c->nomConsul }}"
                                                data-nombre="{{ $c->nomConsul }}"><i class="fa fa-trash"
                                                    aria-hidden="true"></i></button>
                                        </form>
                                    </td>
                                </tr>
                            @endforeach

                        </tbody>
                    </table>
                </div>
            </div>
            {{$consultorio->appends(['searchText' => $searchText])}}
        </div>
    </div>


@push('scripts')
@if (Session::has('success'))
    <script>
        toastr.success('{{ Session::get('success') }}', 'Operación Correcta', {
            "positionClass": "toast-top-right"
        })
    </script>
@endif
        <script>
            $('.apertura').unbind().click(function() {
                var $button = $(this);
                var data_nombre = $button.attr('data-nombre');
                Swal.fire({
                    title: '¿Desea cambiar el estado del Usuario?',
                    showDenyButton: true,
                    confirmButtonText: `Cambiar`,
                    denyButtonText: `Cancelar`,
                }).then((result) => {
                    /* Read more about isConfirmed, isDenied below */
                    if (result.isConfirmed) {
                        var d = '{{ URL::action('ConsultorioController@show', 0) }}' + data_nombre
                        window.location.href = d;
                    } else if (result.isDenied) {
                        Swal.fire('No se realizó ningún cambio', '', 'info')
                    }
                })
                return false;
            });
        </script>
        @if (count($errors) > 0)
            <script type="text/javascript">
                $(document).ready(function() {
                    <?php if (old('codConsultorio') == '') {?>
                    $('#modal-add').modal('show');
                    $("#modal-add").on('hidden.bs.modal', function() {
                        location.reload();
                    });
                    <?php } else { ?>
                    $('#modal-add-<?php echo old('codConsultorio'); ?>').modal('show');
                    $("#modal-add-<?php echo old('codConsultorio'); ?>").on('hidden.bs.modal', function() {
                        location.reload();
                    });
                    <?php }?>
                });
            </script>

        @endif
    @endpush

@endsection
