@extends('layouts.admin')
@section('contenido')
    <section class="content-header">
        <div class="container-fluid">
            <div class="row mb-2">
                <div class="col-sm-6">
                    <span class="title_header">ESPECIALIDADES</span>
                </div>
                <div class="col-sm-6">
                    <ol class="breadcrumb float-sm-right">
                        {{-- <li class="breadcrumb-item"><a href="#">Home</a></li> --}}
                        {{-- <li class="breadcrumb-item active">Simple Tables</li> --}}
                    </ol>
                </div>
            </div>
        </div><!-- /.container-fluid -->
    </section>
    @include('mantenimiento.especialidad.create')
    <div class="row">
        <div class="col-12">
            <div class="card">
                @include('mantenimiento.especialidad.search')
                <div class="card-body table-responsive p-0">
                    <table class="table table-hover text-nowrap">
                        <thead style="background: #eaf3fa; color: #12446b">
                            <tr>
                                <th>Nro.</th>
                                <th>Especialidad</th>
                                <th colspan="2">Opciones</th>
                            </tr>
                        </thead>
                        <tbody>
                            @php($cont = 1)
                            @foreach ($especialidad as $c)
                                <tr>
                                    <td>{{ $cont++ }}</td>
                                    <td>{{ $c->nomEspecialidad }}</td>
                                    <td align="center">
                                        <a href="" class="btn btn-default" data-target="#modal-add-{{ $c->codEspecialidad }}"
                                            data-toggle="modal"><i class="far fa-edit text-info"></i></a>
                                    </td>
                                    <td>
                                        <form
                                            action="{{ URL::action('EspecialidadController@destroy', $c->codEspecialidad) }}"
                                            method="POST">
                                            {!! csrf_field() !!}
                                            {!! method_field('DELETE') !!}
                                            <button class="btn btn-default borrar text-danger"
                                                title="Eliminar {{ $c->codEspecialidad }}"
                                                data-nombre="{{ $c->nomEspecialidad }}"><i class="fa fa-trash"
                                                    aria-hidden="true"></i></button>
                                        </form>
                                    </td>
                                </tr>
                                @include('mantenimiento.especialidad.edit')
                            @endforeach

                        </tbody>
                    </table>
                </div>

                <!-- /.card-body -->
            </div>
        </div>
    </div>
    <script>
        document.getElementById("Imagen").onchange = function(e) {
            // Creamos el objeto de la clase FileReader
            let reader = new FileReader();

            // Leemos el archivo subido y se lo pasamos a nuestro fileReader
            reader.readAsDataURL(e.target.files[0]);

            // Le decimos que cuando este listo ejecute el código interno
            reader.onload = function() {
                let preview = document.getElementById('img'),
                    image = document.createElement('img');

                image.src = reader.result;

                preview.innerHTML = '';
                preview.append(image);
            };
        }
    </script>

    @push('scripts')
        <script>
            $('.apertura').unbind().click(function() {
                var $button = $(this);
                var data_nombre = $button.attr('data-nombre');
                Swal.fire({
                    title: '¿Desea cambiar el estado del Usuario?',
                    showDenyButton: true,
                    confirmButtonText: `Cambiar`,
                    denyButtonText: `Cancelar`,
                }).then((result) => {
                    /* Read more about isConfirmed, isDenied below */
                    if (result.isConfirmed) {
                        var d = '{{ URL::action('EspecialidadController@show', 0) }}' + data_nombre
                        window.location.href = d;
                    } else if (result.isDenied) {
                        Swal.fire('No se realizó ningún cambio', '', 'info')
                    }
                })
                return false;
            });
        </script>
        <script>
            $("#modal-add").on('hidden.bs.modal', function() {
                // $('#actualizar').click();
                location.reload();
            });
        </script>
        @if (count($errors) > 0)
            <script type="text/javascript">
                $(document).ready(function() {
                    <?php if (old('codEspecialidad') == '') {?>
                    $('#modal-add').modal('show');
                    <?php } else { ?>
                    $('#modal-add-<?php echo old('codEspecialidad'); ?>').modal('show');
                    $("#modal-add-<?php echo old('codEspecialidad'); ?>").on('hidden.bs.modal', function() {
                        location.reload();
                    });
                    <?php }?>
                });
            </script>

        @endif
    @endpush

@endsection
