@extends('layouts.person')
@section('contenido')
    <section class="content-header">
        <div class="container-fluid">
            <div class="row mb-2">
                <div class="col-sm-6">
                    <span class="title_header">Listado de Citas</span>
                </div>
                <div class="col-sm-6">
                    <ol class="breadcrumb float-sm-right">
                        {{-- <a href="{{route('listado_cita.pdf',[$searchText, $searchText2, $searchText3, 'TODO'])}}" target="_blank" title="Reporte en PDF del Listado de Citas"
                            class="btn btn-default btn-sm" >
                        <i class="fas fa-file-pdf" style="color: #df4747"></i>
                        </a> --}}

                        {{-- <li class="breadcrumb-item"><a href="#">Home</a></li> --}}
                        {{-- <li class="breadcrumb-item active">Simple Tables</li> --}}
                    </ol>
                </div>
            </div>
        </div><!-- /.container-fluid -->
    </section>

    <div class="row">
        <div class="col-12">
            <div class="card">
                @include('opciones.historial.search')
                <div class="card-body table-responsive p-0">
                    <table class="table table-hover text-nowrap">
                        <thead style="background: #eaf3fa; color: #12446b">
                            <tr>
                                {{-- <th>Nro.</th> --}}
                                <th>Fecha</th>
                                <th>Motivo Cita</th>
                                <th title="Hora Cita" style="text-align: center">H. Cita</th>
                                {{-- <th title="Hora Final">H. Final</th> --}}
                                <th>Consultorio</th>
                                <th>Especialista</th>
                                <th style="text-align: right">Costo</th>
                                <th style="text-align: center">Estado</th>
                                <th style="text-align: center">Opciones</th>
                            </tr>
                        </thead>
                        <tbody>
                            @php($cont = 1)
                            @foreach ($cita as $c)
                                @php($explod_nomUsuario = explode(' ', $c->nomUsuario))
                                <tr>
                                    {{-- <td>{{ $cont++ }}</td> --}}
                                    <td>{{ date('d/m/Y', strtotime($c->fechaCita)) }}</td>
                                    <td>{{ $c->asunto }}</td>
                                    <td align="center">{{ $c->horaCita }}</td>
                                    {{-- <td>{{ $c->horaFinal }}</td> --}}
                                    <td>{{ $c->nomConsul}}</td>
                                    <td>
                                        {{count($explod_nomUsuario)>1 ? $explod_nomUsuario[0] . ' ' . $explod_nomUsuario[1] : $c->nomUsuario }}
                                    </td>
                                    <td align="right">{{ $c->costo }}</td>
                                    <td align="center">
                                        @if ($c->estado == 'PENDIENTE')
                                            <span class="badge badge-info">PENDIENTE</span>
                                        @elseif ($c->estado == 'CULMINADO')
                                            <span class=" badge badge-danger">{{ $c->estado}}</span>
                                        @endif
                                    </td>

                                    <td align="center">
                                        <a href="{{route('detalle_cita2.pdf',[$c->codCita])}}" target="_blank" title="Reporte en PDF"
                                        class="btn btn-default btn-sm" >
                                        <i class="far fa-file-pdf" style="color: #df4747"></i>
                                        </a>
                                    </td>
                                </tr>

                            @endforeach

                        </tbody>
                    </table>
                </div>
            </div>
            {{$cita->appends(['searchText' => $searchText, 'searchText2' => $searchText2, 'searchText3' => $searchText3])}}
        </div>
    </div>
@push('scripts')
@if (Session::has('success'))
<script>
    toastr.success('{{ Session::get('success') }}', 'Operación Correcta', {
        "positionClass": "toast-top-right"
    })
</script>
@endif
        {{-- <script>
            $('.apertura').unbind().click(function() {
                var $button = $(this);
                var data_nombre = $button.attr('data-nombre');
            Swal.fire({
                title: '¿Culminar cita?',
                text: 'Ingrese el diagnostico o receta de la cita para poder culminar, este registro no será modificado posteriormente.',
                input: 'textarea',
                inputAttributes: {
                    autocapitalize: 'off'
                },
                // showCancelButton: true,
                showDenyButton: true,
                denyButtonText: `Cancelar`,
                showCloseButton: true,
                confirmButtonText: 'Culminar',
                showLoaderOnConfirm: true,
                allowOutsideClick: false,
                preConfirm: (login) => {
                    // console.log(login)
                    if (login === ''){
                        Swal.showValidationMessage(
                        `Ingrese el diagnostico`
                        )
                    }
                }
                }).then((result) => {
                    if (result.isConfirmed) {
                        var d = '{{URL::action('CitaController@show', 0)}}' + data_nombre + '_' + result.value
                        window.location.href = d;

                    }else if (result.isDenied) {
                        const Toast = Swal.mixin ({
                            toast: true,
                            position: 'top-end',
                            showConfirmButton: false,
                            timer: 3000,
                            timerProgressBar: true,
                            onOpen: (toast) => {
                                toast.addEventListener('mouseenter', Swal.stopTimer)
                                toast.addEventListener('mouseleave', Swal.resumeTimer)
                            }
                        });
                        Toast.fire ({
                            title: "Cancelado",
                            icon: 'error',
                            title: 'Se canceló la culminación de la cita.',
                            customClass: 'swal-pop',
                        })
                    }
                })
            });
        </script> --}}

@endpush

@endsection
