@extends('layouts.admin')
@section('contenido')
    <section class="content-header">
        <div class="container-fluid">
            <div class="row mb-2">
                <div class="col-sm-6">
                    <span class="title_header">Reporte por rango de Fecha</span>
                </div>
                @php($searchText3 =  empty($searchText3) ? 'TODO' : $searchText3)
                @php($searchText4 =  empty($searchText4) ? 'TODO' : $searchText4)
                <div class="col-sm-6">
                    <ol class="breadcrumb float-sm-right">
                        <a href="{{route('rango.pdf',[$searchText, $searchText2, $searchText3, $searchText4])}}" target="_blank" title="Reporte en PDF"
                            class="btn btn-default btn-sm" >
                            <i class="fas fa-file-pdf" style="color: #df4747"></i>
                        </a>
                        <a href="{{route('rangoExcel.excel',[$searchText, $searchText2, $searchText3, $searchText4])}}" target="_blank" title="Reporte en EXCEL"
                            class="btn btn-default btn-sm" >
                            <i class="fas fa-file-excel" style="color: #368d3b"></i>
                        </a>
                    </ol>
                </div>
            </div>
        </div><!-- /.container-fluid -->
    </section>

    <div class="row">
        <div class="col-12">
            <div class="card">
                @include('reporte.rango.search')
                <div class="card-body table-responsive p-0">
                    <table class="table table-hover text-nowrap">
                        <thead style="background: #eaf3fa; color: #12446b">
                            <tr>
                                {{-- <th>Nro.</th> --}}
                                <th>Fecha</th>
                                <th>Motivo</th>
                                <th title="Hora de Cita" style="text-align: center">H. Cita</th>
                                <th title="Hora Final de la Cita" style="text-align: center">H. Final</th>
                                <th>Consultorio</th>
                                <th>Paciente</th>
                                <th>Especialista</th>
                                <th style="text-align: center">Estado</th>
                                <th>Costo</th>
                                <th>Ver más</th>
                            </tr>
                        </thead>
                        <tbody>
                            @php($cont = 1)
                            @foreach ($cita as $c)
                                @php($explod_nomPaciente = explode(' ', $c->nomPaciente))
                                @php($explod_nomUsuario = explode(' ', $c->nomUsuario))
                                <tr>
                                    {{-- <td>{{ $cont++ }}</td> --}}
                                    <td>{{ date('d/m/Y', strtotime($c->fechaCita)) }}</td>
                                    <td title="{{$c->asunto}}">{{ strlen($c->asunto) > 20 ? substr($c->asunto, 0, 15) . ' ...' : $c->asunto}}</td>
                                    <td align="center">{{ $c->horaCita }}</td>
                                    <td>{{ $c->horaFinal }}</td>
                                    <td>{{ $c->nomConsul}}</td>
                                    <td>
                                        {{count($explod_nomPaciente)>1 ? $explod_nomPaciente[0] . ' ' . $explod_nomPaciente[1] : $c->nomPaciente}}
                                    </td>
                                    <td>
                                        {{count($explod_nomUsuario)>1 ? $explod_nomUsuario[0] . ' ' . $explod_nomUsuario[1] : $c->nomUsuario }}
                                    </td>
                                    <td align="center">
                                        @if ($c->estado == 'PENDIENTE')
                                            <span class="badge badge-info">PENDIENTE</span>
                                        @elseif ($c->estado == 'CULMINADO')
                                            <span class=" badge badge-danger">{{ $c->estado}}</span>
                                        @endif
                                    </td>
                                    <td align="right">{{$c->costo}}</td>
                                    {{-- <td>
                                        <form action="{{ URL::action('ReporteRangoController@destroy', $c->codCita) }}"  method="POST">
                                            {!! csrf_field() !!}
                                            {!! method_field('DELETE') !!}
                                            <button class="btn btn-default btn-sm borrar text-danger"
                                                title="Eliminar {{ $c->nomUsuario }} - {{ $c->nomPaciente }}"
                                                data-nombre="Cita {{ $c->nomUsuario }} - {{ $c->nomPaciente }}"><i class="fa fa-trash"
                                                    aria-hidden="true"></i></button>
                                        </form>
                                    </td> --}}
                                    <td align="center">
                                        <a href="{{route('detalle_cita.pdf',[$c->codCita])}}" target="_blank" title="Reporte en PDF"
                                        class="btn btn-default btn-sm" >
                                        <i class="far fa-file-pdf" style="color: #df4747"></i>
                                        </a>
                                    </td>
                                </tr>

                            @endforeach

                        </tbody>
                    </table>
                </div>
            </div>
            {{$cita->appends(['searchText' => $searchText, 'searchText2' => $searchText2, 'searchText3' => $searchText3, 'searchText4' => $searchText4])}}
        </div>
    </div>


    @push('scripts')
        {{-- <script>
            $('.apertura').unbind().click(function() {
                var $button = $(this);
                var data_nombre = $button.attr('data-nombre');
            Swal.fire({
                title: '¿Culminar cita?',
                text: 'Ingrese el diagnostico o receta de la cita para poder culminar, este registro no será modificado posteriormente.',
                input: 'textarea',
                inputAttributes: {
                    autocapitalize: 'off'
                },
                // showCancelButton: true,
                showDenyButton: true,
                denyButtonText: `Cancelar`,
                confirmButtonText: 'Culminar',
                showLoaderOnConfirm: true,
                preConfirm: (login) => {
                    // console.log(login)
                    if (login === ''){
                        Swal.showValidationMessage(
                        `Ingrese el diagnostico`
                        )
                    }
                }
                }).then((result) => {
                    if (result.isConfirmed) {
                        var d = '{{URL::action('ReporteRangoController@show', 0)}}' + data_nombre + '_' + result.value
                        window.location.href = d;

                    }else if (result.isDenied) {
                        const Toast = Swal.mixin ({
                            toast: true,
                            position: 'top-end',
                            showConfirmButton: false,
                            timer: 3000,
                            timerProgressBar: true,
                            onOpen: (toast) => {
                                toast.addEventListener('mouseenter', Swal.stopTimer)
                                toast.addEventListener('mouseleave', Swal.resumeTimer)
                            }
                        });
                        Toast.fire ({
                            title: "Cancelado",
                            icon: 'error',
                            title: 'Se canceló la culminación de la cita.',
                            customClass: 'swal-pop',
                        })
                    }
                })
            });
        </script> --}}

    @endpush

@endsection
