<!DOCTYPE html>
<html lang="es">
<head>
    <meta charset="UTF-8">
    <title>Reporte por rango de fecha</title>
    <style>
        body{
            font-family: Arial, Helvetica, sans-serif;
            font-size: 0.85em;
        }
        table{
            width: 100%; border-collapse: collapse;
        }
        .data{
            float: right; margin: 2% 0% 0% 0%;
        }
        th {
            padding: 3px; border: 1px solid rgb(37, 87, 134); background: #eaf3fa; color: #12446b;
        }
        tbody td {
            padding: 3px; border: 1px solid rgb(37, 87, 134);
        }

    </style>
</head>
<body>
    <header>
        <div>
            <img src="../public/logo/{{$empresa->logo}}" alt="" width="80" height="80">
            <p class="data">
                {{$empresa->nomEmpresa}} <br>
                Dirección: {{$empresa->direccion}} <br>
                {{$fecha_hora}}
            </p>
        </div>
        <div colspan="3">
            Criterio de Busqueda: {{$id}} - {{$id2}} - {{$id3}}
        </div>
        <div style="background: #235aa3; color: #ffffff; text-align: center; padding: 3px; margin-bottom: 10px">
            <span>Reporte por rango de Fecha</span>
        </div>
    </header>
    <table>
        <thead>
            <tr>
                <th>N°</th>
                <th>Fecha</th>
                <th>Motivo</th>
                <th>Hora Cita</th>
                <th>Hora Final</th>
                <th>Consultorio</th>
                <th>Paciente</th>
                <th>Doctor</th>
                <th>Estado</th>
                <th>Costo</th>
            </tr>
        </thead>
        <tbody>
            @php($cont = 1)
            @php($totalCosto = 0)
            @foreach ($cita as $c)
                @php($explod_nomPaciente = explode(' ', $c->nomPaciente))
                @php($explod_nomUsuario = explode(' ', $c->nomUsuario))
                @php($totalCosto += $c->costo)
                @php($estadoback = $c->estado == 'PENDIENTE' ? '#17a2b8' : '#dc3545')
                <tr>
                    <td align="center">{{ $cont++ }}</td>
                    <td align="center">{{ date('d/m/Y', strtotime($c->fechaCita)) }}</td>
                    <td>{{ $c->asunto }}</td>
                    <td align="center">{{ $c->horaCita }}</td>
                    <td align="center">{{ $c->horaFinal }}</td>
                    <td>{{ $c->nomConsul}}</td>
                    <td>
                        {{count($explod_nomPaciente)>1 ? $explod_nomPaciente[0] . ' ' . $explod_nomPaciente[1] : $c->nomPaciente}}
                    </td>
                    <td>
                        {{count($explod_nomUsuario)>1 ? $explod_nomUsuario[0] . ' ' . $explod_nomUsuario[1] : $c->nomUsuario }}
                    </td>
                    <td align="center"> <span style="background: {{$estadoback}}; color: #ffffff; padding: 5px"> {{ $c->estado }}</span> </td>
                    <td align="right">{{ $c->costo }}</td>
                </tr>
            @endforeach
            <tr>
                <td colspan="8" style="border: 0px"></td>
                <td align="center">TOTAL</td>
                <td align="right">{{number_format($totalCosto, 2)}}</td>
            </tr>
        </tbody>
    </table>
</body>
</html>
