<?php

use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

// Route::get('/','ConsultorioController@index')->middleware('guest');

// Route::get('/', function(){
//     return view ('auth.login');
// });

Route::get('/', function () {
    return view('auth.login');
})->name('login')->middleware('guest');

// Rutas de la Secretaria
Route::resource('panel-paciente','PanelPacienteController');
Route::resource('opciones/consultorio','ConsulPacienteController');
Route::resource('opciones/agenda_paciente','AgendaPacienteController');
Route::resource('opciones/historial','HistoPacienteController');
Route::resource('configuracion/mi_perfil2','MPerfil2Controller');

// Rutas de la Secretaria
Route::resource('panel-secretaria','PanelSecreController');

// Rutas del doctor
Route::resource('panel-doctor','PanelDocController');


// Rutas del Administrador
Route::resource('panel-administrador','PanelAdminController');
Route::resource('historial/cita','AgendaController');

// Route::group(['middleware' => ['auth', 'auth:webpaciene']], function() {
    Route::resource('historial/listado-cita','CitaController');
// });

Route::resource('mantenimiento/consultorio','ConsultorioController');
Route::resource('mantenimiento/especialidad','EspecialidadController');
Route::resource('historial/paciente','PacienteController');
Route::resource('historial/archivo','ArchivoController');
Route::resource('historial/historia','HistoriaController');
Route::resource('historial/triaje','TriajeController');
Route::resource('acceso/usuario','UsuarioController');
Route::resource('configuracion/mi_perfil','MPerfilController');
Route::resource('configuracion/ajustes','ConfiguracionEmpresaController');
Route::resource('reporte/rango','ReporteRangoController');


// Reportes
Route::get('usuario/{id}', 'UsuarioController@reportPdf')->name('usuario.pdf');
Route::get('paciente/{id}', 'PacienteController@listPdf')->name('paciente.pdf');
Route::get('detalle_cita/{id}', 'CitaController@reportPdf')->name('detalle_cita.pdf');
Route::get('detalle_cita2/{id}', 'HistoPacienteController@reportPdf')->name('detalle_cita2.pdf');
// ->middleware('auth:webpaciente', 'auth');
Route::get('listado_cita/{id}/{id2}/{id3}/{id4}', 'CitaController@listPdf')->name('listado_cita.pdf');
Route::get('rango/{id}/{id2}/{id3}/{id4}', 'ReporteRangoController@reportPdf')->name('rango.pdf');
Route::get('rangoExcel/{id}/{id2}/{id3}/{id4}', 'ReporteRangoController@reportExcel')->name('rangoExcel.excel');
Route::get('historia/{id}/{id2}', 'HistoriaController@reportPdf')->name('historia.pdf');


// Rutas Extras
Route::post('ajax_consultorio', 'AgendaController@ajax_consultorio')->name('ajax_consultorio');
Route::post('ajax_consultorio2', 'AgendaController@ajax_consultorio2')->name('ajax_consultorio2');
Route::post('culminaratencion', 'CitaController@culminaratencion')->name('culminaratencion');

// Rutas para recuperar contraseñas
Route::get('password/reset', 'Auth\ForgotPasswordController@showLinkRequestForm')->name('password.request');
Route::get('password/email', 'Auth\ForgotPasswordController@sendResetLinkEmail')->name('password.email');
Route::get('password/email', 'Auth\ResetPasswordController@showResetForm')->name('password.reset');
Route::get('password/email', 'Auth\ResetPasswordController@reset');


Auth::routes();

Route::get('/home', 'HomeController@index')->name('home');
Route::get('/agenda/listar/{id}','AgendaController@listar')->name('listarCita');
Route::get('/agenda_paciente/listar/{id}','AgendaPacienteController@listar')->name('listarCitaPaciente');

Route::post('/agenda/guardar/','AgendaController@guardar')->name('guardarCita');
Route::post('/agenda_paciente/guardar/','AgendaPacienteController@guardar')->name('guardarCitaPaciente');

Route::post('/agenda/editar/','AgendaController@editar')->name('editarCita');
Route::post('/agenda_paciente/editar/','AgendaPacienteController@editar')->name('editarCitaPaciente');

Route::post('/agenda/editar2/','AgendaController@editar2')->name('editarCita2');
Route::post('/agenda_paciente/editar2/','AgendaPacienteController@editar2')->name('editarCitaPaciente2');
