<?php use App\Http\Controllers\HistoriaController; ?>
<!DOCTYPE html>
<html lang="es">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Informe de Cita <?php echo e($cita->codCita); ?></title>
    <style>
        body{
            font-family: Arial, Helvetica, sans-serif;
            font-size: 0.85em;
        }
        table{
            width: 100%; border-collapse: collapse;
        }
        .data{
            float: right; margin: 2% 0% 0% 0%;
        }
        tbody td {
            padding: 3px; border: 0px solid rgb(37, 87, 134);
        }

    </style>
</head>
<body>
    <div class="encabezado">
        <img src="../public/logo/<?php echo e($empresa->logo); ?>" alt="" width="80" height="80">
        <p class="data">
            <?php echo e($empresa->nomEmpresa); ?> <br>
            Dirección: <?php echo e($empresa->direccion); ?>

        </p>
    </div>
    <table>

        <tbody>
            <tr>
                <td style="font-weight: bold">Paciente: </td>
                <td><span><?php echo e($cita->nomPaciente); ?></span></td>
            </tr>
            <tr>
                <td style="font-weight: bold">Fecha Nacimiento:</td>
                <td><?php echo e($cita->fechaNac); ?></td>
                <td style="font-weight: bold">N° Documento:</td>
                <td><?php echo e($cita->numDocumento); ?></td>
            </tr>
            <tr>
                <td style="font-weight: bold">Sexo:</td>
                <td><?php echo e($cita->genero == 'M' ? 'MASCULINO' : 'FEMENINO'); ?></td>
                <td style="font-weight: bold">Edad:</td>
                <td><?php echo e(HistoriaController::calculaedad2($cita->fechaNac)); ?></td>
            </tr>

        </tbody>
    </table>
    <hr>
    <table>
        <tbody>
            <tr>
                <td style="font-weight: bold;">Motivo Cita: </td>
                <td><span><?php echo e($cita->asunto); ?></span></td>
            </tr>
            <tr>
                <td style="font-weight: bold">Consultorio: </td>
                <td><span><?php echo e($cita->nomConsul); ?></span></td>
                <td style="font-weight: bold">Especialista: </td>
                <td><span><?php echo e($cita->nomUsuario); ?></span></td>
            </tr>
            <tr>
                <td style="font-weight: bold">Fecha de Cita: </td>
                <td><span><?php echo e(HistoriaController::fechaCastellano($cita->fechaCita)); ?></span></td>
                <td style="font-weight: bold">Hora Inicio: </td>
                <td><span><?php echo e($cita->horaCita); ?></span></td>
            </tr>
            <tr>
                <td style="font-weight: bold">Hora Final: </td>
                <td><span><?php echo e($cita->horaFinal); ?></span></td>
                <td style="font-weight: bold;">Estado: </td>
                <td><span style="padding: 3px; color: #ffffff; background: <?php echo e($cita->estado == 'PENDIENTE' ? '#1da4b6' : 'eb4f4f'); ?>"><?php echo e($cita->estado); ?></span></td>
            </tr>
            <tr>
                <td style="font-weight: bold">Indicaciones Previas: </td>
                <td><span><?php echo e($cita->indicaciones); ?></span></td>
            </tr>
        </tbody>

    </table>
    <hr>
    <h4>Examen Físico:</h4>
    <p>
        <?php echo e($cita->examenFisico); ?>

    </p>
    <hr>
    <h4>Diagnostico:</h4>
    <p>
        <?php echo e($cita->diagnostico); ?>

    </p>
    <hr>
    <h4>Tratamiento:</h4>
    <p>
        <?php echo e($cita->tratamiento); ?>

    </p>
    <hr>
    <h4>Receta:</h4>
    <p>
        <?php echo e($cita->receta); ?>

    </p>
    <br>
    <p style="text-align: center">-----------------------</p>
    <?php if(!is_null($cita->citaFinal)): ?>
        <?php ($fecha_culminado = HistoriaController::fechaCastellano(explode(' ', $cita->citaFinal)[0]) . ', ' . explode(' ', $cita->citaFinal)[1] ); ?>
        <p style="text-align: right; font-size: 0.90em"><?php echo e($fecha_culminado); ?></p>
    <?php endif; ?>
</body>

</html>
<?php /**PATH C:\SysWeb\sysclinica\resources\views/historial/listado-cita/report.blade.php ENDPATH**/ ?>