<?php use App\Http\Controllers\HistoriaController; ?>

<?php $__env->startSection('contenido'); ?>
<?php echo Form::open(['url' => 'culminaratencion', 'method' => 'POST', 'autocomplete' => 'off']); ?>

<?php echo e(Form::token()); ?>

    <div class="row mt-2">
        <div class="col-md-12">
            <div class="card">
                <div class="card-header">
                    <h5 class="modal-title title_header" id="exampleModalLongTitle">
                            Atención N° <?php echo e($cita->codCita); ?>

                            <input type="hidden" name="codCita" value="<?php echo e($cita->codCita); ?>">
                    </h5>
                </div>
                <div class="card-body">

                    
                    
                    <div class="row">
                        <div class="col-md-12">
                            <div class="row">
                                <div class="col-md-5">
                                    <label>Paciente</label>
                                    <input type="text" class="form-control" value="<?php echo e($paciente->numDocumento); ?> | <?php echo e($paciente->nombres); ?>" disabled>
                                </div>
                                <div class="col-md-1">
                                    <label>Edad</label>
                                    <?php ($val_fecha = !is_null($paciente->fechaNac) ? HistoriaController::calculaedad2($paciente->fechaNac) : ''); ?>
                                    <input type="text" class="form-control" value="<?php echo e($val_fecha); ?>" disabled>
                                </div>
                                <div class="col-md-6">
                                    <label>Motivo Cita</label>
                                    <input type="text" class="form-control" value="<?php echo e($cita->asunto); ?>" name="asunto">
                                </div>
                                <div class="col-md-6">
                                    <label>Alergia</label>
                                    <input type="text" class="form-control"
                                    value="<?php echo e(is_null($paciente->alergia) ? 'SIN ALERGIAS' : $paciente->alergia); ?>" disabled>
                                </div>
                                <div class="col-md-6">
                                    <label>Enfermedad</label>
                                    <input type="text" class="form-control"
                                    value="<?php echo e(is_null($paciente->enfermedad) ? 'SIN ENFERMEDADES' : $paciente->enfermedad); ?>" disabled>
                                </div>
                            </div>
                            <hr>

                            <div class="row">
                                <div class="col-md-6">
                                    <label>Especialista</label>
                                    <input type="text" class="form-control" value="<?php echo e($cita->nomUsuario); ?> | <?php echo e($cita->nomConsul); ?>" disabled>
                                </div>
                            </div>

                            <div class="row">
                            <?php if(isset($triaje)): ?>
                                <div class="col-md-2">
                                    <div class="form-group">
                                        <label for="">P. Arterial (mmHg):</label>
                                        <div class="input-group a mb-3">
                                            <?php ($val_precionArterial = empty(old('precionArterial')) ? $triaje->precionArterial : old('precionArterial')); ?>
                                            <input type="text" class="form-control fi <?php echo e($errors->has('precionArterial') ? 'is-invalid' : ''); ?>" name="precionArterial" placeholder="Ingrese la presion arterial"
                                            value="<?php echo e($val_precionArterial); ?>" id="precionArterial" disabled>
                                        </div>
                                        <?php if($errors->has('precionArterial')): ?>
                                            <div>
                                                <span class="text-danger"><?php echo e($errors->first('precionArterial')); ?></span>
                                            </div>
                                        <?php endif; ?>
                                    </div>
                                </div>
                                <div class="col-md-2">
                                    <div class="form-group">
                                        <label for="">Temperatura (C°):</label>
                                        <div class="input-group a mb-3">
                                            <?php ($val_temperatura = empty(old('temperatura')) ? $triaje->temperatura : old('temperatura')); ?>
                                            <input type="text" class="form-control fi <?php echo e($errors->has('temperatura') ? 'is-invalid' : ''); ?>" name="temperatura" placeholder="Ingrese la Temperatura"
                                            value="<?php echo e($val_temperatura); ?>" id="temperatura" disabled>
                                        </div>
                                        <?php if($errors->has('temperatura')): ?>
                                            <div>
                                                <span class="text-danger"><?php echo e($errors->first('temperatura')); ?></span>
                                            </div>
                                        <?php endif; ?>
                                    </div>
                                </div>
                                <div class="col-md-3">
                                    <div class="form-group">
                                        <label for="">Frecuencia Respiratoria (x Minuto):</label>
                                        <div class="input-group a mb-3">
                                            <?php ($val_fRespiratoria = empty(old('fRespiratoria')) ? $triaje->fRespiratoria : old('fRespiratoria')); ?>
                                            <input type="text" class="form-control fi <?php echo e($errors->has('fRespiratoria') ? 'is-invalid' : ''); ?>" name="fRespiratoria" placeholder="Ingrese la Frecuencia Respiratoria"
                                            value="<?php echo e($val_fRespiratoria); ?>" id="fRespiratoria" disabled>
                                        </div>
                                        <?php if($errors->has('fRespiratoria')): ?>
                                            <div>
                                                <span class="text-danger"><?php echo e($errors->first('fRespiratoria')); ?></span>
                                            </div>
                                        <?php endif; ?>
                                    </div>
                                </div>
                                <div class="col-md-3">
                                    <div class="form-group">
                                        <label for="">Frecuencia Cardiaca (x Minuto):</label>
                                        <div class="input-group a mb-3">
                                            <?php ($val_fCardiaca = empty(old('fCardiaca')) ? $triaje->fCardiaca : old('fCardiaca')); ?>
                                            <input type="text" class="form-control fi <?php echo e($errors->has('fCardiaca') ? 'is-invalid' : ''); ?>" name="fCardiaca" placeholder="Ingrese la Frecuencia Cardiaca"
                                            value="<?php echo e($val_fCardiaca); ?>" id="fCardiaca" disabled>
                                        </div>
                                        <?php if($errors->has('fCardiaca')): ?>
                                            <div>
                                                <span class="text-danger"><?php echo e($errors->first('fCardiaca')); ?></span>
                                            </div>
                                        <?php endif; ?>
                                    </div>
                                </div>
                                <div class="col-md-2">
                                    <div class="form-group">
                                        <label for="">Saturación O2:</label>
                                        <div class="input-group a mb-3">
                                            <?php ($val_saturacion = empty(old('saturacion')) ? $triaje->saturacion : old('saturacion')); ?>
                                            <input type="text" class="form-control fi <?php echo e($errors->has('saturacion') ? 'is-invalid' : ''); ?>" name="saturacion" placeholder="Ingrese la Saturación O2"
                                            value="<?php echo e($val_saturacion); ?>" id="saturacion" disabled>
                                        </div>
                                        <?php if($errors->has('saturacion')): ?>
                                            <div>
                                                <span class="text-danger"><?php echo e($errors->first('saturacion')); ?></span>
                                            </div>
                                        <?php endif; ?>
                                    </div>
                                </div>
                                <div class="col-md-1">
                                    <div class="form-group">
                                        <label for="">Peso (Kg):</label>
                                        <div class="input-group a mb-3">
                                            <?php ($val_peso = empty(old('peso')) ? $triaje->peso : old('peso')); ?>
                                            <input type="text" class="form-control fi <?php echo e($errors->has('peso') ? 'is-invalid' : ''); ?>" name="peso" id="peso" placeholder="Ingrese el Peso en Kg"
                                            value="<?php echo e($val_peso); ?>" disabled>
                                        </div>
                                        <?php if($errors->has('peso')): ?>
                                            <div>
                                                <span class="text-danger"><?php echo e($errors->first('peso')); ?></span>
                                            </div>
                                        <?php endif; ?>
                                    </div>
                                </div>
                                <div class="col-md-1">
                                    <div class="form-group">
                                        <label for="">Talla:</label>
                                        <div class="input-group a mb-3">
                                            <?php ($val_talla = empty(old('talla')) ? $triaje->talla : old('talla')); ?>
                                            <input type="text" class="form-control fi <?php echo e($errors->has('talla') ? 'is-invalid' : ''); ?>" name="talla" id="talla" placeholder="Ingrese la talla"
                                            value="<?php echo e($val_talla); ?>" disabled>
                                        </div>
                                        <?php if($errors->has('talla')): ?>
                                            <div>
                                                <span class="text-danger"><?php echo e($errors->first('talla')); ?></span>
                                            </div>
                                        <?php endif; ?>
                                    </div>
                                </div>
                                <div class="col-md-2">
                                    <div class="form-group">
                                        <label for="">Imc:</label>
                                        <div class="input-group a mb-3">
                                            <?php ($val_imc = empty(old('imc')) ? $triaje->imc : old('imc')); ?>
                                            <input type="text" class="form-control fi <?php echo e($errors->has('imc') ? 'is-invalid' : ''); ?>" name="imc" id="imc" placeholder="Valor del Imc"
                                            value="<?php echo e($val_imc); ?>" disabled>
                                        </div>
                                        <?php if($errors->has('imc')): ?>
                                            <div>
                                                <span class="text-danger"><?php echo e($errors->first('imc')); ?></span>
                                            </div>
                                        <?php endif; ?>
                                    </div>
                                </div>
                                <div class="col-md-3">
                                    <div class="form-group">
                                        <label for="">Estado:</label>
                                        <div class="input-group a mb-3">
                                            <?php ($val_estadoFisico = empty(old('estadoFisico')) ? $triaje->estadoFisico : old('estadoFisico')); ?>
                                            <input type="text" class="form-control fi <?php echo e($errors->has('estadoFisico') ? 'is-invalid' : ''); ?>" name="estadoFisico" id="estadoFisico"
                                            value="<?php echo e($val_estadoFisico); ?>" disabled>
                                        </div>
                                        <?php if($errors->has('estadoFisico')): ?>
                                            <div>
                                                <span class="text-danger"><?php echo e($errors->first('estadoFisico')); ?></span>
                                            </div>
                                        <?php endif; ?>
                                    </div>
                                </div>
                                <?php else: ?>
                                <div class="col-md-12">
                                    <div class="form-group" style="margin-top: 10px; text-align: center; font-size: 2.5em; color: #b1b1b1">
                                        <p>EL PACIENTE NO TIENE NINGUNA EVALUACIÓN EN TRIAJE</p>
                                    </div>
                                </div>
                                <?php endif; ?>
                                <div class="col-md-6">
                                    <label for="">Examen Físico:</label>
                                    <div class="form-group">
                                        <textarea name="examenFisico" id="" cols="30" rows="5" class="form-control" ></textarea>
                                    </div>
                                </div>
                                <div class="col-md-6">
                                    <label for="">Diagnostico:</label>
                                    <div class="form-group">
                                        <textarea name="diagnostico" id="" cols="30" rows="5" class="form-control"></textarea>
                                    </div>
                                </div>
                                <hr>
                                <div class="col-md-6">
                                    <label for="">Tratamiento:</label>
                                    <div class="form-group">
                                        <textarea name="tratamiento" id="" cols="30" rows="5" class="form-control"></textarea>
                                    </div>
                                </div>
                                <div class="col-md-6">
                                    <label for="">Receta:</label>
                                    <div class="form-group">
                                        <textarea name="receta" id="" cols="30" rows="5" class="form-control"></textarea>
                                    </div>
                                </div>
                            </div>
                            <div class="row">
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label for="">Costo:</label>
                                        <div class="input-group a mb-3">
                                            <input type="text" class="form-control" value="<?php echo e($cita->costo); ?>" name="costo" id="costo"
                                            placeholder="Costo de la Cita"  required>
                                        </div>
                                        <div id="error-costo" style="display: none">
                                            <span class="text-danger"><?php echo e('Es obligatorio registrar el costo de la cita.'); ?></span>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>

                    </div>
                </div>
                <div class="card-footer text-center">
                    <div style="margin: 0px auto 0px auto">
                        
                        <a href="<?php echo e(url()->previous()); ?>" type="button" class="btn btn-danger ">Cancelar</a>
                        <a href="#" class="btn btn-primary atender">Culminar Atención</a>
                        <button type="submit" class="btn btn-primary registrar" style="display: none">Guardar</button>
                    </div>
                </div>
            </div>
        </div>
    </div>

<?php echo e(Form::close()); ?>


<?php $__env->startPush('scripts'); ?>
<script>
    $('#costo').on('input', function() {
        this.value = this.value.replace(/[^0-9,.]/g, '').replace(/,/g, '.');
    });
</script>
<script>
    $('.atender').unbind().click(function() {
        var $button = $(this);
        //   var data_nombre = $button.attr('data-nombre');
        var costo = document.getElementById('costo').value;
        var error_costo = document.getElementById("error-costo");
        if (costo === '') {
            error_costo.style.display = "block";
            $("#costo").addClass("is-invalid");
        }else{
            error_costo.style.display = "none";
            $("#costo").removeClass("is-invalid");
            Swal.fire({
                title: '¿Está seguro de culminar la Cita?',
                showDenyButton: true,
                confirmButtonText: `Estoy seguro`,
                denyButtonText: `Cancelar`,
                icon: 'warning',
                confirmButtonColor: '#17a2b8',
                allowOutsideClick: false,
                showCloseButton: true,
            }).then((result) => {
                /* Read more about isConfirmed, isDenied below */
                if (result.isConfirmed) {
                    $(".registrar").click();
                }
                // else if (result.isDenied) {
                //     Swal.fire('No se realizó ningún cambio', '', 'info')
                // }
            })
            return false;
        }

    });

</script>
<?php $__env->stopPush(); ?>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.admin', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\SysWeb\sysclinica\resources\views/historial/listado-cita/show.blade.php ENDPATH**/ ?>