<div class="modal fade modal-slide-in-center" aria-hidden="true" role="dialog" tabindex="-1" id="modal-add">
    <?php echo Form::open(['url' => 'acceso/usuario', 'method' => 'POST', 'autocomplete' => 'off', 'files' => 'true']); ?>

    <?php echo Form::token(); ?>

    <style>
        .imagen img {
            width: 100px;
            height: auto;
        }

    </style>
    <div class="modal-dialog modal-dialog-centered" role="document">
        <div class="modal-content">
            <div class="modal-header bg-info">
                <span class="title_header_formulario">
                    <?php if(auth()->user()->tipo == 'SECRETARIA'): ?>
                        Nuevo Doctor
                    <?php else: ?>
                        Nuevo Usuario
                    <?php endif; ?>
                </span>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
            <div class="card-body" id="formulario">
                <?php if(count($errors) > 0): ?>
                    <div style="margin: 0px auto 0px auto">
                        <div class="alert alert-danger">
                            <ul>
                                <?php $__currentLoopData = $errors->all(); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $error): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <li><?php echo e($error); ?></li>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </ul>
                        </div>
                    </div>
                <?php endif; ?>
                <div class="modal-body">
                    <div class="form-group a row" id="grupo__nombres">
                        <div class="input-group mb-3">
                            <div class="formulario__grupo-input input-group">
                                <div class="input-group-prepend">
                                    <span class="input-group-text"><span class="fas fa-pen"></span><span
                                    class="tooltiptext">Ingrese Nombre de Usuario</span></span>
                                </div>
                                <input type="text" class="form-control fi" name="nombres" placeholder="Nombres"
                                    value="<?php echo e(old('nombres')); ?>" required>
                                <i style="margin-bottom:-50px;"
                                    class="formulario__validacion-estado fa fa-times-circle"></i>
                                <span style="color: #c92020" title="Campo obligatorio">*</span>
                            </div>
                            <p class="formulario__input-error">El nombre del Usuario debe tener de 3 a 40 caracteres
                                y puede a contener
                                los siguientes símbolos (-)(_).
                            </p>
                        </div>
                    </div>
                    <div class="form-group row" id="grupo__numDocumento">
                        <div class="input-group a mb-3">
                            <div class="formulario__grupo-input input-group">
                                <div class="input-group-prepend">
                                    <span class="input-group-text"><span class="fas fa-id-card"></span><span
                                    class="tooltiptext">Ingrese número de Documento </span></span>
                                </div>
                                <input type="text" class="form-control fi" name="numDocumento"
                                    placeholder="Número de Documento" value="<?php echo e(old('numDocumento')); ?>" required>
                                <i style="margin-bottom:-50px;"
                                    class="formulario__validacion-estado fa fa-times-circle"></i>
                                <span style="color: #c92020" title="Campo obligatorio">*</span>

                            </div>
                            <p class="formulario__input-error">El Número de Documento solo acepta valores numericos.
                            </p>
                        </div>
                    </div>
                    <div class="form-group row" id="grupo__direccion">
                        <div class="input-group a mb-3">
                            <div class="formulario__grupo-input input-group">
                                <div class="input-group-prepend">
                                    <span class="input-group-text"><span class="fas fa-map-marker-alt"></span><span
                                    class="tooltiptext">Ingrese Dirección</span></span>
                                </div>
                                <input type="text" class="form-control fi" name="direccion"
                                    placeholder="Dirección Ejm:Jr.Los Claveles 121 " value="<?php echo e(old('direccion')); ?>">
                                <i style="margin-bottom:-50px;"
                                    class="formulario__validacion-estado fa fa-times-circle"></i>
                            </div>
                            <p class="formulario__input-error">El nombre del consultorio debe tener de 3 a 40 caracteres
                                y puede a contener
                                los siguientes símbolos (-)(_).
                            </p>
                        </div>
                    </div>
                    <div class="form-group row" id="grupo__telefono">
                        <div class="input-group a mb-3">
                            <div class="formulario__grupo-input input-group">
                                <div class="input-group-prepend">
                                    <span class="input-group-text"><span class="fas fa-phone"></span><span
                                    class="tooltiptext">Ingrese número de Teléfono</span></span>
                                </div>
                                <input type="text" onkeypress='return event.charCode >= 48 && event.charCode <= 57'
                                    maxlength="10" class="form-control fi" name="telefono" placeholder="Teléfono"
                                    value="<?php echo e(old('telefono')); ?>">
                                <i style="margin-bottom:-50px;"
                                    class="formulario__validacion-estado fa fa-times-circle"></i>
                            </div>
                            <p class="formulario__input-error">El nombre del consultorio debe tener de 3 a 40 caracteres
                                y puede a contener
                                los siguientes símbolos (-)(_).
                            </p>
                        </div>
                    </div>
                    <div class="form-group row" id="grupo__email">
                        <div class="input-group a  mb-3">
                            <div class="formulario__grupo-input input-group">
                                <div class="input-group-prepend">
                                    <span class="input-group-text"><span class="fas fa-at"></span><span
                                    class="tooltiptext">Ingrese Correo Electrónico</span></span>
                                </div>
                                <input type="email" class="form-control fi" name="email" placeholder="Correo Electrónico"
                                    value="<?php echo e(old('email')); ?>" required>
                                <i style="margin-bottom:-50px;"
                                    class="formulario__validacion-estado fa fa-times-circle"></i>
                            </div>
                            <p class="formulario__input-error">El Correo electrónico debe tener el siguiente formato :
                                exemplo@gmail.com .
                            </p>
                        </div>
                    </div>
                    
                    <?php if(auth()->user()->tipo == 'SECRETARIA'): ?>
                        <input type="hidden" name="tipo" value="DOCTOR">
                    <?php else: ?>
                        <div class="form-group row" id="grupo__correoedit">
                            <div class="input-group a mb-3">
                                <div class="input-group-prepend">
                                    <span class="input-group-text"><i class="fas fa-user"></i><span
                                        class="tooltiptext">Seleccione un Rol</span></span>
                                </div>
                                <select class="custom-select tipo" name="tipo" required id="tipo">
                                    <option value="" hidden selected> Seleccionar un Rol </option>
                                    <?php $__currentLoopData = $tipos; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <?php if(old('tipo') == $item): ?>
                                            <option value="<?php echo e($item); ?>" selected>
                                                <?php echo e($item); ?></option>
                                        <?php else: ?>
                                            <option value="<?php echo e($item); ?>">
                                                <?php echo e($item); ?></option>
                                        <?php endif; ?>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                </select>
                            </div>
                        </div>
                    <?php endif; ?>
                    <div class="form-group row" id="codConsultorio">
                        <div class="input-group a mb-3">
                            <div class="input-group-prepend">
                                <span class="input-group-text"><i class="fas fa-user-tie"></i><span
                                    class="tooltiptext">Seleccione Consultorio</span></span>
                            </div>
                            <select class="form-control selectpicker" name="codConsultorio" required data-live-search="true">
                                
                                <?php $__currentLoopData = $consultorio; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <?php if($item->codConsultorio == old('codConsultorio')): ?>
                                        <option value="<?php echo e($item->codConsultorio); ?>" selected>
                                            <?php echo e($item->nomConsul); ?>

                                        </option>
                                    <?php else: ?>
                                        <option value="<?php echo e($item->codConsultorio); ?>">
                                            <?php echo e($item->nomConsul); ?></option>
                                    <?php endif; ?>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </select>
                        </div>
                    </div>
                    <div class="form-group row" id="grupo__correoedit">
                        <div class="input-group a mb-3">
                            <div class="input-group-prepend">
                                <span class="input-group-text"><i class="far fa-image"></i><span
                                    class="tooltiptext">Ingrese Fotografia</span></span>
                            </div>
                            <input type="file" class="form-control " id="Imagen" name="foto">
                        </div>
                    </div>
                    <div id="img" class="imagen"></div>
                </div>

                <div class="modal-footer">

                    <div style="margin: 0px auto 0px auto">
                        <button type="button" class="btn btn-danger" data-dismiss="modal">Cerrar</button>
                        <button type="submit" class="btn btn-info">Guardar</button>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
<?php echo e(Form::Close()); ?>

<?php /**PATH C:\SysWeb\sysclinica\resources\views/acceso/usuario/create.blade.php ENDPATH**/ ?>