<!DOCTYPE html>
<html lang="es">

<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <title>Clinica Médica</title>

    
    <link rel="shortcut icon" type="image/ico" href="<?php echo e(asset('Logo/' . $empresa_ini->logo)); ?>"/>
    <!-- Google Font: Source Sans Pro -->
    <link rel="stylesheet"
        href="https://fonts.googleapis.com/css?family=Source+Sans+Pro:300,400,400i,700&display=fallback">
    <!-- Font Awesome Icons -->
    <link rel="stylesheet" href="<?php echo e(asset('plugins/fontawesome-free/css/all.min.css')); ?>">
    <!-- IonIcons -->
    <link rel="stylesheet" href="https://code.ionicframework.com/ionicons/2.0.1/css/ionicons.min.css">
    <!-- Theme style -->
    <link rel="stylesheet" href="<?php echo e(asset('dist/css/adminlte.min.css')); ?>">
    <link rel="stylesheet" href="<?php echo e(asset('dist/css/bootstrap-select.min.css')); ?>">

    <link rel="stylesheet" href="<?php echo e(asset('dist/css/validacion.css')); ?>">
    <link rel="stylesheet" href="<?php echo e(asset('dist/css/mis_estilos.css')); ?>">
    <link rel="stylesheet" href="<?php echo e(asset('dist/css/toastr.css')); ?>">

    <link href="<?php echo e(asset('fullcalendar/main.css')); ?>" rel='stylesheet' />
    <link href="<?php echo e(asset('fullcalendar/css/personalizado.css')); ?>" rel='stylesheet' />

</head>
<!--
`body` tag options:

  Apply one or more of the following classes to to the body tag
  to get the desired effect

  * sidebar-collapse
  * sidebar-mini
-->

<body class="hold-transition sidebar-mini">
    <div class="wrapper">
        <!-- Navbar -->
        <nav class="main-header navbar navbar-expand navbar-light ">
            <!-- Left navbar links -->
            <ul class="navbar-nav">
                <li class="nav-item">
                    <a class="nav-link" data-widget="pushmenu" href="#" role="button"><i class="fas fa-bars"></i></a>
                </li>
            </ul>

            <!-- Right navbar links -->
            <ul class="navbar-nav ml-auto">
                <li class="nav-item dropdown">
                    <a class="nav-link" data-toggle="dropdown" href="#">
                        <i class="fas fa-sort-down"></i>
                    </a>
                    <div class="dropdown-menu dropdown-menu-lg dropdown-menu-right">
                        <span class="dropdown-header"><?php echo e(auth()->guard('webpaciente')->user()->nombres); ?><br>
                            <font style="font-weight: bold"><?php echo e('PACIENTE'); ?></font>
                        </span>

                        <div class="dropdown-divider"></div>
                        <form method="POST" action="<?php echo e(route('logout')); ?>">
                            <?php echo e(csrf_field()); ?>

                            <button class="dropdown-item dropdown-footer">
                                Cerrar Sesión <i class="fas fa-sign-out-alt" style="margin-left: 1em"></i></button>
                        </form>
                    </div>
                </li>
                <li class="nav-item">
                    <a class="nav-link" data-widget="fullscreen" href="#" role="button">
                        <i class="fas fa-expand-arrows-alt"></i>
                    </a>
                </li>
            </ul>
        </nav>
        <!-- /.navbar -->

        <!-- Main Sidebar Container -->
        <aside class="main-sidebar sidebar-light-dark elevation-4">
            <!-- Brand Logo -->
            <a href="#" class="brand-link">
                <?php if(!empty($empresa_ini->logo)): ?>
                <img src="<?php echo e(asset('logo/' . $empresa_ini->logo)); ?>" alt="AdminLTE Logo" class="brand-image img-circle elevation-3"
                    style="opacity: .8">
                <?php endif; ?>
                <span class="brand-text font-weight-light">
                    <?php if(isset($empresa_ini->nomEmpresa)): ?>
                        <font style="font-weight: bold; color: #6d6d6d; font-size: 0.8em;"><?php echo e($empresa_ini->nomEmpresa); ?></font>
                    <?php endif; ?>
                </span>
            </a>

            <!-- Sidebar -->
            <div class="sidebar">
                <!-- Sidebar user panel (optional) -->
                <div class="user-panel mt-3 pb-3 mb-3 d-flex">
                    <div class="image">
                        <?php if(auth()->guard('webpaciente')->user()->foto != ''): ?>
                            <img src="<?php echo e(asset('Imagenes/Fotos/' . auth()->guard('webpaciente')->user()->foto)); ?>"
                             class="img-circle elevation-2" alt="">
                        <?php endif; ?>
                    </div>

                    <div class="info">
                        <a href="#" class="d-block">
                            <?php ($nombre = explode(' ', auth()->guard('webpaciente')->user()->nombres)); ?>
                            <?php echo e(count($nombre) > 1 ? $nombre[0] . ' ' . $nombre[1] : auth()->guard('webpaciente')->user()->nombres); ?>

                        </a>
                    </div>
                </div>

                <!-- SidebarSearch Form -->


                <!-- Sidebar Menu -->
                <nav class="mt-2">
                    <ul class="nav nav-pills nav-sidebar   flex-column" data-widget="treeview" role="menu"
                        data-accordion="false">
                        <!-- Add icons to the links using the .nav-icon class
               with font-awesome or any other icon font library -->

                        <li class="nav-item menu-open">
                            <a href="#" class="nav-link <?php echo e('' == request()->segment(2) ? 'active' : ''); ?>">
                                <i class="nav-icon fas fa-clipboard-list"></i>
                                <p>
                                    Opciones
                                    <i class="right fas fa-angle-left"></i>
                                </p>
                            </a>
                            <ul class="nav nav-treeview">
                                <li class="nav-item">
                                    <a href="<?php echo e(asset('panel-paciente')); ?>"
                                        class="nav-link <?php echo e('panel-paciente' == request()->segment(1) ? 'bg-info' : ''); ?>">
                                        <i class="far fa-circle nav-icon"></i>
                                        <p>Inicio</p>
                                    </a>
                                </li>
                            </ul>
                            <ul class="nav nav-treeview">
                                <li class="nav-item">
                                    <a href="<?php echo e(asset('opciones/consultorio')); ?>"
                                        class="nav-link <?php echo e('consultorio' == request()->segment(2)
                                        || 'agenda_paciente' == request()->segment(2)  ? 'bg-info' : ''); ?>">
                                        <i class="far fa-circle nav-icon"></i>
                                        <p>Consultorios</p>
                                    </a>
                                </li>
                            </ul>
                            <ul class="nav nav-treeview">
                                <li class="nav-item">
                                    <a href="<?php echo e(asset('opciones/historial')); ?>"
                                        class="nav-link <?php echo e('historial' == request()->segment(2) ? 'bg-info' : ''); ?>">
                                        <i class="far fa-circle nav-icon"></i>
                                        <p>Historial</p>
                                    </a>
                                </li>
                            </ul>
                        </li>
                        <li class="nav-item menu-open">
                            <a href="#" class="nav-link <?php echo e('configuracion' == request()->segment(1) ? 'active' : ''); ?>">
                                <i class="nav-icon fas fa-tools"></i>
                                <p>
                                    Configuración
                                    <i class="right fas fa-angle-left"></i>
                                </p>
                            </a>
                            <ul class="nav nav-treeview">
                                <li class="nav-item">
                                    <a href="<?php echo e(asset('configuracion/mi_perfil2')); ?>"
                                        class="nav-link <?php echo e('mi_perfil2' == request()->segment(2) ? 'bg-info' : ''); ?>">
                                        <i class="far fa-circle nav-icon"></i>
                                        <p>Mi perfíl</p>
                                    </a>
                                </li>
                            </ul>
                        </li>

                    </ul>
                </nav>
                <!-- /.sidebar-menu -->
            </div>
            <!-- /.sidebar -->
        </aside>

        <!-- Content Wrapper. Contains page content -->
        <div class="content-wrapper">
            <!-- Content Header (Page header) -->
            <?php echo $__env->yieldContent('encabezado'); ?>
            <!-- /.content-header -->

            <!-- Main content -->
            <div class="content">
                <div class="container-fluid">
                    <?php echo $__env->yieldContent('contenido'); ?>
                </div>
                <!-- /.container-fluid -->
            </div>
            <!-- /.content -->
        </div>
        <!-- /.content-wrapper -->

        <!-- Control Sidebar -->
        <aside class="control-sidebar control-sidebar-dark">
            <!-- Control sidebar content goes here -->
        </aside>
        <!-- /.control-sidebar -->

        <!-- Main Footer -->
        <footer class="main-footer">
            
            <strong>Copyright &copy; CWILSOFT - 2021<a href="#"></a>.</strong>
            Todos los derechos Reservados
            <div class="float-right d-none d-sm-inline-block">
                <b>Sistema Control de Citas Médica </b>Versión 1.0
            </div>
        </footer>
    </div>
    <!-- ./wrapper -->

    <!-- REQUIRED SCRIPTS -->

    <!-- jQuery -->
    <script src="<?php echo e(asset('plugins/jquery/jquery.min.js')); ?>"></script>
    <!-- Bootstrap -->
    <script src="<?php echo e(asset('plugins/bootstrap/js/bootstrap.bundle.min.js')); ?>"></script>
    <script src="<?php echo e(asset('dist/js/bootstrap-select.min.js')); ?>"></script>

    <!-- AdminLTE -->
    <script src="<?php echo e(asset('dist/js/adminlte.js')); ?>"></script>
    <script src="<?php echo e(asset('dist/js/toastr.min.js')); ?>"></script>
    <?php echo $__env->yieldPushContent('scripts'); ?>
    <script src="<?php echo e(asset('dist/sweetalert2/sweetalert2.all.min.js')); ?>"></script>
    <script src="<?php echo e(asset('dist/sweetalert2/eliminar.js')); ?>"></script>
    <script src="<?php echo e(asset('dist/js/pages/formulario.js')); ?>"></script>


    
    <!-- Moments -->
    <script src="<?php echo e(asset('fullcalendar/moment/moment.main.js')); ?>"></script>
    <script src="<?php echo e(asset('fullcalendar/moment/moment-timezone.js')); ?>"></script>

    <script src="<?php echo e(asset('fullcalendar/main.js')); ?>"></script>
    <script src="<?php echo e(asset('fullcalendar/locales-all.js')); ?>"></script>

</body>

</html>
<?php /**PATH D:\SISTEMA\sysweb\syscitasmedicas\resources\views/layouts/person.blade.php ENDPATH**/ ?>