<?php $__env->startSection('contenido'); ?>
    <?php ($searchText = empty($searchText) ? -1 : $searchText); ?>
    <meta name="csrf-token" content="<?php echo e(csrf_token()); ?>">
    <link href='../lib/main.css' rel='stylesheet' />
    <script src='../lib/main.js'></script>
    <script>
        var calendar = null;
        document.addEventListener('DOMContentLoaded', function() {


            var calendarEl = document.getElementById('calendar');

            calendar = new FullCalendar.Calendar(calendarEl, {
                headerToolbar: {
                    left: 'prev,next today',
                    center: 'title',
                    right: 'dayGridMonth,timeGridWeek,timeGridDay,listMonth'
                },
                initialView: 'timeGridDay',
                locale: 'es',
                allDaySlot: false,
                slotMinTime: '<?php echo e($empresa->horaEntrada); ?>',
                slotMaxTime: '<?php echo e($empresa->horaSalida); ?>',
                editable: true,
                navLinks: true,
                selectable: true,
                selectMirror: true,
                slotLabelFormat: {
                    hour: '2-digit',
                    minute: '2-digit',
                    hour12: true
                },
                eventTimeFormat: {
                    hour: '2-digit',
                    minute: '2-digit',
                    hour12: true
                },
                select: function(arg) {

                    let f = moment(arg.start).format("YYYY-MM-DD");
                    let hi = moment(arg.start).format("HH:mm:ss");
                    console.log(hi);
                    $("#txtFecha").val(f);
                    $("#txtHoraInicial").val(hi);
                    $("#txtTiempo").val("<?php echo e($empresa->intervCita); ?>");
                    $("#agenda_modal").modal();

                    calendar.unselect()
                },
                eventClick: function(info) {
                    // recargarLista2();

                    $("#txtFecha_e").val(moment(info.event.start).format('YYYY-MM-DD'));
                    $("#txtHoraInicial_e").val(moment(info.event.start).format('HH:mm:ss'));
                    $("#id_e").val(info.event.id);
                    $("#ddlPacientes_e").val(info.event.extendedProps.codPaciente);
                    $("#ddlConsultorio_e").val(info.event.extendedProps.codConsultorio);
                    // $("#ddlDoctor_e").val(info.event.extendedProps.codUsuario);
                    $("#txtIndicaciones_e").val(info.event.extendedProps.indicaciones);
                    console.log(info.event.extendedProps.codUsuario);
                    $("#txtTiempo_e").val(info.event.extendedProps.tiempo);
                    $("#txtCosto_e").val(info.event.extendedProps.costo);
                    $("#txtEstado_e").val(info.event.extendedProps.estado);
                    $("#txtAsunto_e").val(info.event.extendedProps.asunto);
                    recargarLista2(info.event.extendedProps.codUsuario);

                    $("#agenda_modal_edit").modal();

                },
                editable: true,
                eventDrop: function(info) {
                    if (info.event.extendedProps.estado === 'CULMINADO') {
                        Swal.fire(
                            'El Registro no se podrá modificar',
                            'Este registro se encuentra "CULMINADO" y no es posible hacer ninguna modificación.',
                            'warning'
                        );
                        calendar.refetchEvents();
                    } else {
                        var fd = new FormData(document.getElementById("formulario_agenda_edit"));
                        fd.append("id", info.event.id);
                        fd.append("txtFecha", moment(info.event.start.toISOString()).format(
                            "YYYY-MM-DD"));
                        fd.append("txtHoraInicial", moment(info.event.start.toISOString()).format(
                            "HH:mm:ss"));
                        fd.append("txtHoraFinal", moment(info.event.end.toISOString()).format(
                            "HH:mm:ss"));
                        console.log(info.event.extendedProps.estado)
                        edit(fd);
                    }
                    // info.revert();
                },

                events: '/agenda/listar/' + '<?php echo e($searchText); ?>',
            });
            calendar.render();


        });


        function guardar() {
            var fd = new FormData(document.getElementById("formulario_agenda"));
            let fecha = $("#txtFecha").val();
            let hora = $("#txtHoraInicial").val();
            let tiempo = $("#txtTiempo").val();
            let hora_inicial = moment(fecha + " " + hora).format("HH:mm:ss");
            let hora_final = moment(fecha + " " + hora).add(tiempo, 'm').format("HH:mm:ss");

            fd.append("txtHoraInicial", hora_inicial);
            fd.append("txtHoraFinal", hora_final);


            const Toast = Swal.mixin({
                    toast: true,
                    position: 'top-end',
                    showConfirmButton: false,
                    timer: 3000,
                    timerProgressBar: true,
                    onOpen: (toast) => {
                        toast.addEventListener('mouseenter', Swal.stopTimer)
                        toast.addEventListener('mouseleave', Swal.resumeTimer)
                    }
                });
            if ($("#txtCosto").val() === '') {
                Toast.fire({
                    title: "Cancelado",
                    icon: 'error',
                    title: 'El valor del Costo no debe estar vacio.',
                    customClass: 'swal-pop',
                })
            }else if($("#txtTiempo").val() === ''){
                Toast.fire({
                    title: "Cancelado",
                    icon: 'error',
                    title: 'El valor del Tiempo no debe estar vacio.',
                    customClass: 'swal-pop',
                })
            }else if(parseInt($("#txtTiempo").val()) <= 0){
                Toast.fire({
                    title: "Cancelado",
                    icon: 'error',
                    title: 'El valor del Tiempo no puede ser negativo o cero.',
                    customClass: 'swal-pop',
                })
            }else if(hora_inicial < '<?php echo e($empresa->horaEntrada); ?>'){
                Toast.fire({
                    title: "Cancelado",
                    icon: 'error',
                    title: 'La cita no puede ser antes de las <?php echo e($empresa->horaEntrada); ?>',
                    customClass: 'swal-pop',
                })
            }else if(hora_final > '<?php echo e($empresa->horaSalida); ?>'){
                Toast.fire({
                    title: "Cancelado",
                    icon: 'error',
                    title: 'La cita no puede durar más de las <?php echo e($empresa->horaSalida); ?>',
                    customClass: 'swal-pop',
                })
            }else {
                $.ajax({
                    url: "/agenda/guardar",
                    type: "POST",
                    data: fd,
                    processData: false, // tell jQuery not to process the data
                    contentType: false // tell jQuery not to set contentType

                }).done(function(r) {
                    if (r && r.ok == 0) {
                        calendar.refetchEvents();
                        Swal.fire(
                            'Operación Correcta',
                            'Se registro la agenda!',
                            'success'
                        );
                        limpiar();
                        calendar.refetchEvents()
                    } else if (r && r.ok == 1) {
                        Swal.fire(
                            'Seleccione otra fecha',
                            'La fecha seleccionada es una fecha anterior a la fecha actual!',
                            'warning'
                        );
                    } else if (r && r.ok == 2) {
                        Swal.fire(
                            'Personal medico ocupado',
                            'El Personal medico seleccionado ya tiene una cita pendiente en esas horas!',
                            'warning'
                        );
                    } else if (r && r.ok == 3) {
                        Swal.fire(
                            'Paciente con cita pendiente',
                            'El paciente seleccionado ya tiene una cita pediente en estas horas!',
                            'warning'
                        );
                    } else {
                        // console.log(r.ok)
                        alert("Ocurrio un error");
                    }
                });
            }
        }

        function edit(fd) {
            console.log(fd);
            $.ajax({
                url: "/agenda/editar",
                type: "POST",
                data: fd,
                processData: false, // tell jQuery not to process the data
                contentType: false // tell jQuery not to set contentType

            }).done(function(r) {
                if (r && r.ok == 0) {
                    Swal.fire(
                        'Operación Correcta',
                        'Se registro la agenda!',
                        'success'
                    );
                    limpiar();
                } else if (r && r.ok == 1) {
                    Swal.fire(
                        'Seleccione otra fecha',
                        'La fecha seleccionada es una fecha anterior a la fecha actual!',
                        'warning'
                    );
                } else if (r && r.ok == 2) {
                    Swal.fire(
                        'Personal medico ocupado',
                        'El Personal medico seleccionado ya tiene una cita pendiente en esas horas!',
                        'warning'
                    );
                } else if (r && r.ok == 3) {
                    Swal.fire(
                        'Paciente con cita pendiente',
                        'El paciente seleccionado ya tiene una cita pediente en estas horas!',
                        'warning'
                    );
                } else {
                    // console.log(r.ok)
                    alert("Ocurrio un error");
                }
                calendar.refetchEvents();
            });
        }
        // Editar completo
        function editar() {
            if ($("#txtEstado_e").val() === 'CULMINADO') {
                Swal.fire(
                    'El Registro no se podrá modificar',
                    'Este registro se encuentra "CULMINADO" y no es posible hacer ninguna modificación.',
                    'warning'
                );
                calendar.refetchEvents();
            } else {
                var fd = new FormData(document.getElementById("formulario_agenda_edit2"));
                let fecha = $("#txtFecha_e").val();
                let hora = $("#txtHoraInicial_e").val();
                let tiempo = $("#txtTiempo_e").val();
                let hora_final = moment(fecha + " " + hora).add(tiempo, 'm').format("HH:mm:ss");

                fd.append("txtHoraFinal_e", hora_final);


                const Toast = Swal.mixin({
                    toast: true,
                    position: 'top-end',
                    showConfirmButton: false,
                    timer: 3000,
                    timerProgressBar: true,
                    onOpen: (toast) => {
                        toast.addEventListener('mouseenter', Swal.stopTimer)
                        toast.addEventListener('mouseleave', Swal.resumeTimer)
                    }
                });


                if ($("#txtCosto_e").val() === '') {
                Toast.fire({
                    title: "Cancelado",
                    icon: 'error',
                    title: 'El valor del Costo no debe estar vacio.',
                    customClass: 'swal-pop',
                })
                }else if($("#txtTiempo_e").val() === ''){
                    Toast.fire({
                        title: "Cancelado",
                        icon: 'error',
                        title: 'El valor del Tiempo no debe estar vacio.',
                        customClass: 'swal-pop',
                    })
                }else if(parseInt($("#txtTiempo_e").val()) <= 0){
                    Toast.fire({
                        title: "Cancelado",
                        icon: 'error',
                        title: 'El valor del Tiempo no puede ser negativo o cero.',
                        customClass: 'swal-pop',
                    })
                }else if(hora < '<?php echo e($empresa->horaEntrada); ?>'){
                    Toast.fire({
                        title: "Cancelado",
                        icon: 'error',
                        title: 'La cita no puede ser antes de las <?php echo e($empresa->horaEntrada); ?>',
                        customClass: 'swal-pop',
                    })
                }else if(hora_final > '<?php echo e($empresa->horaSalida); ?>'){
                    Toast.fire({
                        title: "Cancelado",
                        icon: 'error',
                        title: 'La cita no puede durar más de las <?php echo e($empresa->horaSalida); ?>',
                        customClass: 'swal-pop',
                    })
                }else {
                    $.ajax({
                        url: "/agenda/editar2",
                        type: "POST",
                        data: fd,
                        processData: false, // tell jQuery not to process the data
                        contentType: false // tell jQuery not to set contentType

                    }).done(function(r) {
                        if (r && r.ok == 0) {
                            // calendar.refetchEvents();
                            Swal.fire(
                                'Operación correcta',
                                'Se modificó la agenda!',
                                'success'
                            );
                            // limpiar();
                            $("#agenda_modal_edit").modal('hide');

                        } else if (r && r.ok == 1) {
                            Swal.fire(
                                'Seleccione otra fecha',
                                'La fecha seleccionada es una fecha anterior a la fecha actual!',
                                'warning'
                            );
                        } else if (r && r.ok == 2) {
                            Swal.fire(
                                'Personal medico ocupado',
                                'El Personal medico seleccionado ya tiene una cita pendiente en esas horas!',
                                'warning'
                            );
                        } else if (r && r.ok == 3) {
                            Swal.fire(
                                'Paciente con cita pendiente',
                                'El paciente seleccionado ya tiene una cita pediente en estas horas!',
                                'warning'
                            );
                        } else {
                            // console.log(r.ok)
                            alert("Ocurrio un error");
                        }
                        calendar.refetchEvents();

                    });
                }
            }
        }

        function limpiar() {
            $("#agenda_modal").modal('hide');
            $("#txtFecha").val("");
            $("#txtHoraInicial").val("");
            $("#txtTiempo").val("");
            $("#txtIndicaciones").val("");
            $("#txtAsunto").val("");
            $("#txtCosto").val("0.00");
            // $("#ddlUsuarios").val("");
        }
    </script>

    <?php echo $__env->make('historial.paciente.create', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>

    <?php echo Form::open(['url' => 'historial/cita', 'method' => 'GET', 'autocomplete' => 'off', 'role' => 'search']); ?>

    <section class="content-header" style="padding: 0px">
        <div class="container-fluid">
            <div class="row mb-2">
                <div class="col-sm-6">
                    <span class="title_header">CITAS</span><br>
                    <a class="btn btn-success btn-sm" href="" data-target="#modal-add" data-toggle="modal">
                        Nuevo Paciente<i class="fas fa-user-plus" style="color: #cef5e1; margin-left: 10px"></i>
                    </a>
                </div>
                <?php if(auth()->user()->tipo == 'SECRETARIA' || auth()->user()->tipo == 'ADMINISTRADOR'): ?>
                    <div class="col-sm-6">
                        <ol class="breadcrumb ">
                            <select name="searchText" id="" class="form-control selectpicker searchText"
                                data-live-search="true">
                                <option value="">TODO</option>
                                <?php $__currentLoopData = $doctor; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $d): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <?php if($searchText == $d->codUsuario): ?>
                                        <option value="<?php echo e($d->codUsuario); ?>" selected><?php echo e($d->nomConsul); ?> |
                                            <?php echo e($d->nombres); ?></option>
                                    <?php else: ?>
                                        <option value="<?php echo e($d->codUsuario); ?>"><?php echo e($d->nomConsul); ?> | <?php echo e($d->nombres); ?>

                                        </option>
                                    <?php endif; ?>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </select>
                            <div class="input-group-append" style="display: none">
                                <button type="submit" class="btn btn-default" id="buscar">
                                    <i class="fas fa-search"></i>
                                </button>
                            </div>
                        </ol>
                    </div>
                <?php endif; ?>
            </div>
        </div>
    </section>
    <?php echo e(Form::close()); ?>


    <div class="row">
        <div class="col-12">
            <div id='calendar' style="margin-top: 0px;"></div>
        </div>
    </div>

    <div>
        <form action="" id="formulario_agenda_edit">
            <?php echo csrf_field(); ?>
        </form>
    </div>

    <div class="modal fade" id="agenda_modal" data-backdrop="static" tabindex="-1">
        <div class="modal-dialog modal-lg">
            <div class="modal-content">
                <div class="modal-header bg-info">
                    <h5 class="modal-title" style="text-align: center; font-weight: bold">Agendar</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body">
                    <form action="" id="formulario_agenda">
                        <?php echo csrf_field(); ?>
                        <div class="row">
                            <div class="col-6">
                                <div class="form-group">
                                    <label for="">Fecha</label>
                                    <input type="date" class="form-control" id="txtFecha" name="txtFecha" required>
                                </div>
                            </div>
                            <div class="col-3">
                                <div class="form-group">
                                    <label for="">Hora Inicial</label>
                                    <input type="time" class="form-control" id="txtHoraInicial" required>
                                </div>
                            </div>
                            <div class="col-3">
                                <div class="form-group">
                                    <label for="">Tiempo (minutos)</label>
                                    <input type="number" class="form-control" id="txtTiempo" name="txtTiempo" min="<?php echo e($empresa->intervCita); ?>" required>
                                </div>
                            </div>
                        </div>
                        <div class="row">
                            <input type="hidden" name="ddlUsuarios">
                            <div class="col-6">
                                <div class="form-group">
                                    <label for="">Motivo de Cita</label>
                                    <input type="text" class="form-control" id="txtAsunto" name="txtAsunto"
                                        placeholder="Ejm. Dolor de cabeza.">
                                </div>
                                <div class="form-group">
                                    <label for="">Paciente</label>
                                    <select id="ddlPacientes" class="form-control selectpicker" name="ddlPacientes"
                                        data-live-search="true">
                                        <?php $__currentLoopData = $paciente; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <option value="<?php echo e($item->codPaciente); ?>"><?php echo e($item->numDocumento); ?> |
                                                <?php echo e($item->nombres); ?></option>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                    </select>
                                </div>
                                <?php if(auth()->user()->tipo == 'DOCTOR'): ?>
                                    <div class="form-group">
                                        <label for="">Consultorio</label>
                                        <select id="ddlConsultorio" class="form-control" disabled style="display: none">
                                            <?php $__currentLoopData = $consultorio; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                <?php if(auth()->user()->codConsultorio == $item->codConsultorio): ?>
                                                    <option value="<?php echo e($item->codConsultorio); ?>" selected>
                                                        <?php echo e($item->nomConsul); ?></option>
                                                <?php else: ?>
                                                    <option value="<?php echo e($item->codConsultorio); ?>"><?php echo e($item->nomConsul); ?>

                                                    </option>
                                                <?php endif; ?>
                                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                        </select>
                                        <input type="hidden" name="ddlConsultorio"
                                            value="<?php echo e(auth()->user()->codConsultorio); ?>">
                                        <?php $__currentLoopData = $consultorio; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <?php if(auth()->user()->codConsultorio == $item->codConsultorio): ?>
                                                <input type="text" class="form-control" value="<?php echo e($item->nomConsul); ?>"
                                                    disabled>
                                            <?php endif; ?>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>

                                    </div>
                                    <div class="form-group">
                                        <label for="">Doctor</label>
                                        <input type="text" readonly class="form-control"
                                            value="<?php echo e(auth()->user()->nombres); ?>">
                                    </div>
                                <?php else: ?>
                                    <?php if($searchText == -1): ?>
                                        <div class="form-group">
                                            <label for="">Consultorio</label>
                                            <select id="ddlConsultorio" class="form-control" name="ddlConsultorio">
                                                <?php $__currentLoopData = $consultorio; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                    <option value="<?php echo e($item->codConsultorio); ?>"><?php echo e($item->nomConsul); ?>

                                                    </option>
                                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                            </select>
                                        </div>
                                    <?php endif; ?>
                                <?php endif; ?>

                                <?php if($searchText == -1): ?>
                                    <?php ($estado_visibilidad = auth()->user()->tipo == 'SECRETARIA' || auth()->user()->tipo == 'ADMINISTRADOR' ? 'block' : 'none'); ?>
                                    <div id="select2lista" style="display: <?php echo e($estado_visibilidad); ?>">
                                    </div>
                                <?php else: ?>
                                    <label for="">Doctor</label>
                                    <?php $__currentLoopData = $doctor; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <?php if($item->codUsuario == $searchText): ?>
                                            <input type="hidden" name="ddlDoctor" id="ddlDoctor"
                                                value="<?php echo e($item->codUsuario); ?>">
                                            <input type="text" disabled class="form-control"
                                                value="<?php echo e($item->nombres); ?>">
                                        <?php endif; ?>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                <?php endif; ?>

                                
                            </div>
                            <div class="col-6">
                                <div class="form-group">
                                    <label for="">Costo</label>
                                    <input type="text" class="form-control txtCosto" id="txtCosto" name="txtCosto"
                                        value="0.00" required>
                                </div>
                                <div class="form-group">
                                    <label for="">Indicaciones</label>
                                    <textarea class="form-control" name="txtIndicaciones" id="txtIndicaciones" cols="30"
                                        rows="10"></textarea>
                                </div>
                            </div>
                        </div>
                    </form>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-secondary" data-dismiss="modal">Cancelar</button>
                    <button onclick="guardar()" type="button" class="btn btn-success">Guardar</button>
                </div>
            </div>
        </div>
    </div>
    
    <div class="modal fade" id="agenda_modal_edit" data-backdrop="static" tabindex="-1">
        <div class="modal-dialog modal-lg">
            <div class="modal-content">
                <div class="modal-header bg-info">
                    <h5 class="modal-title" style="text-align: center; font-weight: bold">Agendar</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body">
                    <form action="" id="formulario_agenda_edit2">
                        <?php echo csrf_field(); ?>
                        <div class="row">
                            <div class="col-6">
                                <div class="form-group">
                                    <label for="">Fecha</label>
                                    <input type="hidden" id="id_e" name="id_e">
                                    <input type="hidden" id="txtEstado_e" name="txtEstado_e">
                                    <input type="date" class="form-control" id="txtFecha_e" name="txtFecha_e">
                                </div>
                            </div>
                            <div class="col-3">
                                <div class="form-group">
                                    <label for="">Hora Inicial</label>
                                    <input type="time" class="form-control" id="txtHoraInicial_e" name="txtHoraInicial_e">
                                </div>
                            </div>
                            <div class="col-3">
                                <div class="form-group">
                                    <label for="">Tiempo (minutos)</label>
                                    <input type="number" class="form-control" id="txtTiempo_e" name="txtTiempo_e">
                                </div>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-6">
                                <div class="form-group">
                                    <label for="">Motivo de Cita</label>
                                    <input type="text" class="form-control" id="txtAsunto_e" name="txtAsunto_e"
                                        placeholder="Ejm. Dolor de cabeza.">
                                </div>
                                <div class="form-group">
                                    <label for="">Paciente</label>
                                    <select id="ddlPacientes_e" class="form-control" name="ddlPacientes_e">
                                        <?php $__currentLoopData = $paciente; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <option value="<?php echo e($item->codPaciente); ?>"><?php echo e($item->nombres); ?></option>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                    </select>
                                </div>
                                <div class="form-group">
                                    <label for="">Consultorio</label>
                                    <?php if(auth()->user()->tipo == 'DOCTOR'): ?>
                                        <select id="ddlConsultorio_e" name="ddlConsultorio_e" disabled
                                            style="display: none">
                                            <?php $__currentLoopData = $consultorio; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                <option value="<?php echo e($item->codConsultorio); ?>"><?php echo e($item->nomConsul); ?>

                                                </option>
                                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                        </select>
                                        <?php $__currentLoopData = $consultorio; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <?php if(auth()->user()->codConsultorio == $item->codConsultorio): ?>
                                                <input value="<?php echo e($item->nomConsul); ?>" class="form-control" disabled>
                                            <?php endif; ?>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                    <?php else: ?>
                                        <select id="ddlConsultorio_e" class="form-control" name="ddlConsultorio_e">
                                            <?php $__currentLoopData = $consultorio; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                <option value="<?php echo e($item->codConsultorio); ?>"><?php echo e($item->nomConsul); ?>

                                                </option>
                                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                        </select>
                                    <?php endif; ?>
                                </div>
                                
                                    <div id="select3lista"></div>
                                
                                <?php if(auth()->user()->tipo == 'DOCTOR'): ?>
                                    <div class="form-group">
                                        <label for="">Doctor</label>
                                        <input type="text" disabled class="form-control"
                                            value="<?php echo e(auth()->user()->nombres); ?>">
                                    </div>
                                <?php endif; ?>
                            </div>
                            <div class="col-6">
                                <div class="form-group">
                                    <label for="">Costo</label>
                                    <input type="text" class="form-control txtCosto_e" id="txtCosto_e" name="txtCosto_e"
                                        required>
                                </div>
                                <div class="form-group">
                                    <label for="">Indicaciones</label>
                                    <textarea class="form-control" name="txtIndicaciones_e" id="txtIndicaciones_e"
                                        cols="30" rows="10"></textarea>
                                </div>
                            </div>
                        </div>
                    </form>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-secondary" data-dismiss="modal">Cancelar</button>
                    <button onclick="editar()" type="button" class="btn btn-success">Editar</button>
                </div>
            </div>
        </div>
    </div>
    <?php if(auth()->user()->tipo == 'SECRETARIA' || auth()->user()->tipo == 'ADMINISTRADOR'): ?>
        <script>
            const selectElement = document.querySelector('.searchText');
            selectElement.addEventListener('change', (event) => {
                $("#buscar").click();
            });
        </script>
    <?php endif; ?>
    <?php $__env->startPush('scripts'); ?>
        <script>
            $('.txtCosto').on('input', function() {
                this.value = this.value.replace(/[^0-9,.]/g, '').replace(/,/g, '.');
            });
            $('.txtCosto_e').on('input', function() {
                this.value = this.value.replace(/[^0-9,.]/g, '').replace(/,/g, '.');
            });
        </script>
        <script type="text/javascript">
            $(document).ready(function() {
                recargarLista();
                $('#ddlConsultorio').change(function() {
                    recargarLista();
                });
                $('#ddlConsultorio_e').change(function() {
                    recargarLista2();
                });
            })
        </script>
        <?php if(Session::has('success')): ?>
            <script>
                toastr.success('<?php echo e(Session::get('success')); ?>', 'Operación Correcta', {
                    "positionClass": "toast-top-right"
                })
            </script>
        <?php endif; ?>
        <script type="text/javascript">
            function recargarLista() {
                $.ajax({
                    type: 'POST',
                    url: "<?php echo e(route('ajax_consultorio')); ?>",
                    data: {
                        "_token": $("meta[name='csrf-token']").attr("content"),
                        "mensaje": $('#ddlConsultorio').val()
                    },
                    success: function(r) {
                        $('#select2lista').html(r);
                    }
                });
            }
            // -------------
            function recargarLista2(id) {
                $.ajax({
                    type: 'POST',
                    url: "<?php echo e(route('ajax_consultorio2')); ?>",
                    data: {
                        "_token": $("meta[name='csrf-token']").attr("content"),
                        "mensaje": $('#ddlConsultorio_e').val()
                    },
                    success: function(r) {
                        $('#select3lista').html(r);
                        $("#ddlDoctor_e option[value=" + id + "]").attr("selected", true);
                    }
                });
            }
        </script>
        <?php if(count($errors) > 0): ?>
            <script type="text/javascript">
                $(document).ready(function() {
                    <?php if (old('nombres') == '') {?>
                    $('#modal-add').modal('show');
                    <?php }?>
                });
            </script>

        <?php endif; ?>

    <?php $__env->stopPush(); ?>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.admin', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\SysWeb\sysclinica\resources\views/historial/cita/index.blade.php ENDPATH**/ ?>