<?php use App\Http\Controllers\HistoriaController; ?>

<?php $__env->startSection('contenido'); ?>
<div class="row mt-2">
    <div class="col-md-12">
        <div class="card">
            <div class="card-header">
                <h5 class="modal-title title_header" id="exampleModalLongTitle">
                        Datos Triaje
                </h5>
            </div>
            <div class="card-body">
                
                <p  style="color: #b41717">
                    *Esta información solo puede ser modificada por un especialista (DOCTOR)
                </p>
                <div class="row">
                    <div class="col-md-12">
                        <div class="row">
                            <div class="col-md-6">
                                <label>Paciente</label>
                                <input type="text" class="form-control" value="<?php echo e($triaje->nomPaciente); ?>" disabled>
                                <input type="hidden" class="form-control" value="<?php echo e($triaje->codPaciente); ?>" name="codPaciente">
                            </div>
                            <div class="col-md-3">
                                <label>N° Documento</label>
                                <input type="text" class="form-control" value="<?php echo e($triaje->numDocumento); ?>" disabled>
                            </div>
                            <div class="col-md-3">
                                <label>Edad</label>
                                <?php ($val_fecha = !is_null($triaje->fechaNac) ? HistoriaController::calculaedad($triaje->fechaNac) : ''); ?>
                                <input type="text" class="form-control" value="<?php echo e($val_fecha); ?>" disabled>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                    <label>Especialista</label>
                                    <input type="text" class="form-control" value="<?php echo e($triaje->nomUsuario); ?>" disabled>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                    <label>Fecha Registro Triaje</label>
                                    <input type="text" class="form-control" value="<?php echo e(HistoriaController::fechaCastellano($triaje->fechaTriaje)); ?> <?php echo e($triaje->horaTriaje); ?>" disabled>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                    <label for="">Presion Arterial (mmHg):</label>
                                    <div class="input-group a mb-3">
                                        <?php ($val_precionArterial = empty(old('precionArterial')) ? $triaje->precionArterial : old('precionArterial')); ?>
                                        <input type="text" class="form-control fi <?php echo e($errors->has('precionArterial') ? 'is-invalid' : ''); ?>" name="precionArterial" placeholder="Ingrese la presion arterial"
                                        value="<?php echo e($val_precionArterial); ?>" id="precionArterial" disabled>
                                    </div>
                                    <?php if($errors->has('precionArterial')): ?>
                                        <div>
                                            <span class="text-danger"><?php echo e($errors->first('precionArterial')); ?></span>
                                        </div>
                                    <?php endif; ?>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                    <label for="">Temperatura (C°):</label>
                                    <div class="input-group a mb-3">
                                        <?php ($val_temperatura = empty(old('temperatura')) ? $triaje->temperatura : old('temperatura')); ?>
                                        <input type="text" class="form-control fi <?php echo e($errors->has('temperatura') ? 'is-invalid' : ''); ?>" name="temperatura" placeholder="Ingrese la Temperatura"
                                        value="<?php echo e($val_temperatura); ?>" id="temperatura" disabled>
                                    </div>
                                    <?php if($errors->has('temperatura')): ?>
                                        <div>
                                            <span class="text-danger"><?php echo e($errors->first('temperatura')); ?></span>
                                        </div>
                                    <?php endif; ?>
                                </div>
                            </div>
                            <div class="col-md-4">
                                <div class="form-group">
                                    <label for="">Frecuencia Respiratoria (x Minuto):</label>
                                    <div class="input-group a mb-3">
                                        <?php ($val_fRespiratoria = empty(old('fRespiratoria')) ? $triaje->fRespiratoria : old('fRespiratoria')); ?>
                                        <input type="text" class="form-control fi <?php echo e($errors->has('fRespiratoria') ? 'is-invalid' : ''); ?>" name="fRespiratoria" placeholder="Ingrese la Frecuencia Respiratoria"
                                        value="<?php echo e($val_fRespiratoria); ?>" id="fRespiratoria" disabled>
                                    </div>
                                    <?php if($errors->has('fRespiratoria')): ?>
                                        <div>
                                            <span class="text-danger"><?php echo e($errors->first('fRespiratoria')); ?></span>
                                        </div>
                                    <?php endif; ?>
                                </div>
                            </div>
                            <div class="col-md-4">
                                <div class="form-group">
                                    <label for="">Frecuencia Cardiaca (x Minuto):</label>
                                    <div class="input-group a mb-3">
                                        <?php ($val_fCardiaca = empty(old('fCardiaca')) ? $triaje->fCardiaca : old('fCardiaca')); ?>
                                        <input type="text" class="form-control fi <?php echo e($errors->has('fCardiaca') ? 'is-invalid' : ''); ?>" name="fCardiaca" placeholder="Ingrese la Frecuencia Cardiaca"
                                        value="<?php echo e($val_fCardiaca); ?>" id="fCardiaca" disabled>
                                    </div>
                                    <?php if($errors->has('fCardiaca')): ?>
                                        <div>
                                            <span class="text-danger"><?php echo e($errors->first('fCardiaca')); ?></span>
                                        </div>
                                    <?php endif; ?>
                                </div>
                            </div>
                            <div class="col-md-4">
                                <div class="form-group">
                                    <label for="">Saturación O2:</label>
                                    <div class="input-group a mb-3">
                                        <?php ($val_saturacion = empty(old('saturacion')) ? $triaje->saturacion : old('saturacion')); ?>
                                        <input type="text" class="form-control fi <?php echo e($errors->has('saturacion') ? 'is-invalid' : ''); ?>" name="saturacion" placeholder="Ingrese la Saturación O2"
                                        value="<?php echo e($val_saturacion); ?>" id="saturacion" disabled>
                                    </div>
                                    <?php if($errors->has('saturacion')): ?>
                                        <div>
                                            <span class="text-danger"><?php echo e($errors->first('saturacion')); ?></span>
                                        </div>
                                    <?php endif; ?>
                                </div>
                            </div>
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label for="">Peso (Kg):</label>
                                    <div class="input-group a mb-3">
                                        <?php ($val_peso = empty(old('peso')) ? $triaje->peso : old('peso')); ?>
                                        <input type="text" class="form-control fi <?php echo e($errors->has('peso') ? 'is-invalid' : ''); ?>" name="peso" id="peso" placeholder="Ingrese el Peso en Kg"
                                        value="<?php echo e($val_peso); ?>" disabled>
                                    </div>
                                    <?php if($errors->has('peso')): ?>
                                        <div>
                                            <span class="text-danger"><?php echo e($errors->first('peso')); ?></span>
                                        </div>
                                    <?php endif; ?>
                                </div>
                            </div>
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label for="">Talla:</label>
                                    <div class="input-group a mb-3">
                                        <?php ($val_talla = empty(old('talla')) ? $triaje->talla : old('talla')); ?>
                                        <input type="text" class="form-control fi <?php echo e($errors->has('talla') ? 'is-invalid' : ''); ?>" name="talla" id="talla" placeholder="Ingrese la talla"
                                        value="<?php echo e($val_talla); ?>" disabled>
                                    </div>
                                    <?php if($errors->has('talla')): ?>
                                        <div>
                                            <span class="text-danger"><?php echo e($errors->first('talla')); ?></span>
                                        </div>
                                    <?php endif; ?>
                                </div>
                            </div>
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label for="">Imc:</label>
                                    <div class="input-group a mb-3">
                                        <?php ($val_imc = empty(old('imc')) ? $triaje->imc : old('imc')); ?>
                                        <input type="text" class="form-control fi <?php echo e($errors->has('imc') ? 'is-invalid' : ''); ?>" name="imc" id="imc" placeholder="Valor del Imc"
                                        value="<?php echo e($val_imc); ?>" disabled>
                                    </div>
                                    <?php if($errors->has('imc')): ?>
                                        <div>
                                            <span class="text-danger"><?php echo e($errors->first('imc')); ?></span>
                                        </div>
                                    <?php endif; ?>
                                </div>
                            </div>
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label for="">Estado:</label>
                                    <div class="input-group a mb-3">
                                        <?php ($val_estadoFisico = empty(old('estadoFisico')) ? $triaje->estadoFisico : old('estadoFisico')); ?>
                                        <input type="text" class="form-control fi <?php echo e($errors->has('estadoFisico') ? 'is-invalid' : ''); ?>" name="estadoFisico" id="estadoFisico"
                                        value="<?php echo e($val_estadoFisico); ?>" disabled>
                                    </div>
                                    <?php if($errors->has('estadoFisico')): ?>
                                        <div>
                                            <span class="text-danger"><?php echo e($errors->first('estadoFisico')); ?></span>
                                        </div>
                                    <?php endif; ?>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="card-footer text-center">
                <div style="margin: 0px auto 0px auto">
                    <a href="<?php echo e(asset('historial/triaje')); ?>" type="button" class="btn btn-danger ">Volver Atras</a>
                </div>
            </div>
        </div>
    </div>
</div>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.admin', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\SysWeb\sysclinica\resources\views/historial/triaje/show.blade.php ENDPATH**/ ?>