<?php $__env->startSection('contenido'); ?>
    <link href='../lib/main.css' rel='stylesheet' />
    <script src='../lib/main.js'></script>
    <script>
        var calendar = null;
        document.addEventListener('DOMContentLoaded', function() {


            var calendarEl = document.getElementById('calendar');

            calendar = new FullCalendar.Calendar(calendarEl, {
                headerToolbar: {
                    left: 'prev,next today',
                    center: 'title',
                    right: 'dayGridMonth,timeGridWeek,timeGridDay,listMonth'
                },

                locale: 'es',
                editable: true,
                navLinks: true,
                selectable: true,
                selectMirror: true,
                select: function(arg) {

                    let f = moment(arg.start).format("YYYY-MM-DD");
                    let hi = moment(arg.start).format("HH:mm:ss");
                    console.log(hi);
                    $("#txtFecha").val(f);
                    $("#txtHoraInicial").val(hi);
                    $("#txtTiempo").val("30");
                    $("#agenda_modal").modal();

                    calendar.unselect()
                },
                eventClick: function(info) {
                    console.log(info);
                    alert("la gordita");
                },
                events: '/agenda/listar',




            });


            calendar.render();


        });


        function guardar() {
            var fd = new FormData(document.getElementById("formulario_agenda"));
            let fecha = $("#txtFecha").val();
            let hora = $("#txtHoraInicial").val();
            let tiempo = $("#txtTiempo").val();
            let hora_inicial = moment(fecha + " " + hora).format("HH:mm:ss");
            let hora_final = moment(fecha + " " + hora).add(tiempo, 'm').format("HH:mm:ss");

            fd.append("txtHoraInicial", hora_inicial);
            fd.append("txtHoraFinal", hora_final);

            $.ajax({
                url: "/agenda/guardar",
                type: "POST",
                data: fd,
                processData: false, // tell jQuery not to process the data
                contentType: false // tell jQuery not to set contentType

            }).done(function(r) {
                // console.log(r);

                if (r && r.ok) {
                    calendar.refetchEvents();
                    alert("Se registro la agenda");
                    limpiar();
                    calendar.refetchEvents()
                } else {
                    alert("La agenda ya contiene la fecha seleccionada");
                }
            });
        }

        function limpiar() {
            $("#agenda_modal").modal('hide');
            $("#txtFecha").val("");
            $("#txtHoraInicial").val("");
            $("#txtTiempo").val("");
            // $("#ddlUsuarios").val("");
        }
    </script>
    <section class="content-header">
        <div class="container-fluid">
            <div class="row mb-2">
                <div class="col-sm-6">
                    <span class="title_header">CITAS</span>
                </div>
                <div class="col-sm-6">
                    <ol class="breadcrumb float-sm-right">

                    </ol>
                </div>
            </div>
        </div>
    </section>

    <div class="row">
        <div class="col-12">

            <div id='calendar'></div>

        </div>
    </div>


    <div class="modal fade" id="agenda_modal" data-backdrop="static" tabindex="-1">
        <div class="modal-dialog modal-lg">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title">Agendar</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body">
                    <form action="" id="formulario_agenda">
                        <?php echo csrf_field(); ?>
                        <div class="row">
                            <div class="col-6">
                                <div class="form-group">
                                    <label for="">Fecha</label>
                                    <input type="date" class="form-control" id="txtFecha" name="txtFecha">
                                </div>
                            </div>
                            <div class="col-3">
                                <div class="form-group">
                                    <label for="">Hora Inicial</label>
                                    <input type="time" class="form-control" id="txtHoraInicial">
                                </div>
                            </div>
                            <div class="col-3">
                                <div class="form-group">
                                    <label for="">Tiempo (minutos)</label>
                                    <input type="number" class="form-control" id="txtTiempo">
                                </div>
                            </div>
                        </div>
                        <div class="row">

                            <input type="hidden" name="ddlUsuarios">
                            <div class="col-6">
                                <div class="form-group">
                                    <label for="">Consultorio</label>
                                    <select id="ddlConsultorio" class="form-control" name="ddlConsultorio">
                                        <?php $__currentLoopData = $consultorio; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <option value="<?php echo e($item->codConsultorio); ?>"><?php echo e($item->nomConsul); ?></option>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                    </select>
                                </div>
                            </div>
                            <div class="col-6">
                                <div class="form-group">
                                    <label for="">Doctor</label>
                                    <select id="ddlDoctor" class="form-control" name="ddlDoctor">
                                        <?php $__currentLoopData = $doctor; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <option value="<?php echo e($item->codUsuario); ?>"><?php echo e($item->nombres); ?></option>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                    </select>
                                </div>
                            </div>
                            <div class="col-6">
                                <div class="form-group">
                                    <label for="">Paciente</label>
                                    <select id="ddlPacientes" class="form-control" name="ddlPacientes">
                                        <?php $__currentLoopData = $paciente; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <option value="<?php echo e($item->codPaciente); ?>"><?php echo e($item->nombres); ?></option>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                    </select>
                                </div>
                            </div>
                            <div class="col-6">
                                <div class="form-group">
                                    <label for="">Descripcion</label>
                                    <textarea class="form-control" name="txtDescripcion" id="txtDescripcion" cols="30"
                                        rows="10"></textarea>
                                </div>
                            </div>
                        </div>
                    </form>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-secondary" data-dismiss="modal">Cancelar</button>
                    <button onclick="guardar()" type="button" class="btn btn-success">Guardar</button>
                </div>
            </div>
        </div>
    </div>


    <?php $__env->startPush('scripts'); ?>



    <?php $__env->stopPush(); ?>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.admin', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\proyectos\sysclinica2\sysclinica\resources\views/historial/cita/index.blade.php ENDPATH**/ ?>