<?php $__env->startSection('contenido'); ?>
    <section class="content-header">
        <div class="container-fluid">
            <div class="row mb-2">
                <div class="col-sm-6">
                    <span class="title_header">LISTADO DE CITAS</span>
                </div>
                <div class="col-sm-6">
                    <ol class="breadcrumb float-sm-right">
                        
                        
                    </ol>
                </div>
            </div>
        </div><!-- /.container-fluid -->
    </section>

    <div class="row">
        <div class="col-12">
            <div class="card">
                <?php echo $__env->make('historial.listado-cita.search', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
                <div class="card-body table-responsive p-0">
                    <table class="table table-hover text-nowrap">
                        <thead style="background: #eaf3fa; color: #12446b">
                            <tr>
                                <th>Nro.</th>
                                <th>Fecha</th>
                                <th>Hora Cita</th>
                                <th>Paciente</th>
                                <th>Doctor</th>
                                <th>Estado</th>
                                <th colspan="2">Opciones</th>
                            </tr>
                        </thead>
                        <tbody>
                            <?php ($cont = 1); ?>
                            <?php $__currentLoopData = $cita; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $c): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <tr>
                                    <td><?php echo e($cont++); ?></td>
                                    <td><?php echo e(date('d/m/Y', strtotime($c->fechaCita))); ?></td>
                                    <td><?php echo e($c->horaCita); ?></td>
                                    <td><?php echo e($c->nomPaciente); ?></td>
                                    <td><?php echo e($c->nomUsuario); ?></td>
                                    <td align="center">
                                        <?php if($c->estado == 'PENDIENTE'): ?>
                                            <span class="btn badge badge-info apertura" title="Eliminar <?php echo e($c->fechaCita); ?>" data-nombre="<?php echo e($c->codCita); ?>"><?php echo e($c->estado); ?>

                                            </span>
                                        <?php elseif($c->estado == 'CULMINADO'): ?>
                                            <span class=" badge badge-danger"><?php echo e($c->estado); ?></span>
                                        <?php endif; ?>
                                    </td>
                                    <td>
                                        <form
                                            action="<?php echo e(URL::action('CitaController@destroy', $c->codCita)); ?>"
                                            method="POST">
                                            <?php echo csrf_field(); ?>

                                            <?php echo method_field('DELETE'); ?>

                                            <button class="btn btn-default btn-sm borrar text-danger"
                                                title="Eliminar <?php echo e($c->codCita); ?>"
                                                data-nombre="Cita <?php echo e($c->nomUsuario); ?> - <?php echo e($c->nomPaciente); ?>"><i class="fa fa-trash"
                                                    aria-hidden="true"></i></button>
                                        </form>
                                    </td>
                                    <td>
                                        <a href="<?php echo e(route('detalle_cita.pdf',[$c->codCita])); ?>" target="_blank" title="Reporte en PDF"
                                        class="btn btn-default btn-sm" >
                                        <i class="far fa-file-pdf" style="color: #df4747"></i>
                                        </a>
                                    </td>
                                </tr>

                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>

                        </tbody>
                    </table>
                </div>
                <?php echo e($cita->appends(['searchText' => $searchText, 'searchText2' => $searchText2])); ?>

                <!-- /.card-body -->
            </div>
        </div>
    </div>


    <?php $__env->startPush('scripts'); ?>
        <script>
            $('.apertura').unbind().click(function() {
                var $button = $(this);
                var data_nombre = $button.attr('data-nombre');
            Swal.fire({
                title: '¿Culminar cita?',
                text: 'Ingrese el diagnostico de la cita para poder culminar, este registro no será modificado posteriormente.',
                input: 'textarea',
                inputAttributes: {
                    autocapitalize: 'off'
                },
                // showCancelButton: true,
                showDenyButton: true,
                denyButtonText: `Cancelar`,
                confirmButtonText: 'Culminar',
                showLoaderOnConfirm: true,
                preConfirm: (login) => {
                    // console.log(login)
                    if (login === ''){
                        Swal.showValidationMessage(
                        `Ingrese el diagnostico`
                        )
                    }
                }
                }).then((result) => {
                    if (result.isConfirmed) {
                        var d = '<?php echo e(URL::action('CitaController@show', 0)); ?>' + data_nombre + '_' + result.value
                        window.location.href = d;

                    }else if (result.isDenied) {
                        const Toast = Swal.mixin ({
                            toast: true,
                            position: 'top-end',
                            showConfirmButton: false,
                            timer: 3000,
                            timerProgressBar: true,
                            onOpen: (toast) => {
                                toast.addEventListener('mouseenter', Swal.stopTimer)
                                toast.addEventListener('mouseleave', Swal.resumeTimer)
                            }
                        });
                        Toast.fire ({
                            title: "Cancelado",
                            icon: 'error',
                            title: 'Se canceló la culminación de la cita.',
                            customClass: 'swal-pop',
                        })
                    }
                })
            });
        </script>

    <?php $__env->stopPush(); ?>

<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.admin', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\proyectos\sysclinica v3.0\sysclinica\resources\views/historial/listado-cita/index.blade.php ENDPATH**/ ?>