<?php $__env->startSection('contenido'); ?>
    <section class="content-header">
        <div class="container-fluid">
            <div class="row mb-2">
                <div class="col-sm-6">
                    <span class="title_header">
                        Listado de Pacientes
                    </span>
                </div>
                <div class="col-sm-6">
                    <ol class="breadcrumb float-sm-right">
                        <a href="<?php echo e(route('paciente.pdf',[$searchText])); ?>" target="_blank" title="Reporte en PDF" class="btn btn-default btn-md" >
                            <i class="fas fa-file-pdf" style="color: #df4747"></i>
                        </a>
                    </ol>
                </div>
            </div>
        </div><!-- /.container-fluid -->
    </section>
    <?php echo $__env->make('historial.paciente.create', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
    <div class="row">
        <div class="col-12">
            <div class="card">
                <?php echo $__env->make('historial.paciente.search', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
                <div class="card-body table-responsive p-0">
                    <table class="table table-hover text-nowrap">
                        <thead style="background: #eaf3fa; color: #12446b">
                            <tr>
                                <th></th>
                                
                                <th>Paciente</th>
                                <th>Género</th>
                                <th title="Fecha de Nacimiento">Fecha Nac.</th>
                                <th>Correo</th>
                                <th>Teléfono</th>
                                <th colspan="4" style="text-align: center">Opciones</th>
                            </tr>
                        </thead>
                        <tbody>
                            <?php ($cont = 1); ?>
                            <?php $__currentLoopData = $paciente; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $p): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <tr>
                                    
                                    <td><a href="<?php echo e(asset('historial/archivo?searchText=' . $p->codPaciente)); ?>" title="Gestión de archivos de <?php echo e($p->nombres); ?>"><i class="fas fa-folder-open text-warning"></i></a></td>
                                    <td><?php echo e($p->numDocumento); ?> | <?php echo e($p->nombres); ?></td>
                                    <td style="text-align: center"><?php echo e($p->genero); ?></td>
                                    <td><?php echo e($p->fechaNac); ?></td>
                                    <td><?php echo e($p->email); ?></td>
                                    <td><?php echo e($p->telefono); ?></td>
                                    <td style="text-align: center">
                                       <a href="<?php echo e(asset('historial/historia?searchText=' . $p->codPaciente)); ?>" ><span class="badge badge bg-teal">HISTORIAL</span></a>
                                    </td>

                                    <td align="center">
                                        <a href="<?php echo e(URL::action('PacienteController@edit',$p->codPaciente)); ?>" class="btn btn-default text-info btn-sm"
                                            title="EDITAR DATOS DEL PACIENTE <?php echo e($p->nombres); ?>">
                                            <i class="far fa-edit text-info" ></i>
                                        </a>
                                    </td>
                                    <td>
                                        <a href="<?php echo e(asset('historial/triaje?searchText=' . $p->codPaciente)); ?>" class="btn btn-sm btn-info" title="TRIAJE">
                                            <i class="fas fa-stethoscope"></i>
                                        </a>
                                    </td>
                                    <td>
                                        <form action="<?php echo e(URL::action('PacienteController@destroy', $p->codPaciente)); ?>"
                                            method="POST">
                                            <?php echo csrf_field(); ?>

                                            <?php echo method_field('DELETE'); ?>

                                            <button class="btn btn-default text-danger borrar btn-sm" title="ELIMINAR <?php echo e($p->nombres); ?>"
                                                data-nombre="<?php echo e($p->nombres); ?>"><i class="fa fa-trash"
                                                    aria-hidden="true"></i></button>
                                        </form>
                                    </td>
                                </tr>

                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        </tbody>
                    </table>
                </div>
            </div>
            <?php echo e($paciente->appends(['searchText' => $searchText])); ?>

        </div>
    </div>
    <script>
        document.getElementById("Imagen").onchange = function(e) {
            // Creamos el objeto de la clase FileReader
            let reader = new FileReader();

            // Leemos el archivo subido y se lo pasamos a nuestro fileReader
            reader.readAsDataURL(e.target.files[0]);

            // Le decimos que cuando este listo ejecute el código interno
            reader.onload = function() {
                let preview = document.getElementById('img'),
                    image = document.createElement('img');

                image.src = reader.result;

                preview.innerHTML = '';
                preview.append(image);
            };
        }
    </script>
<?php $__env->startPush('scripts'); ?>
<?php if(Session::has('success')): ?>
    <script>
        toastr.success('<?php echo e(Session::get('success')); ?>', 'Operación Correcta', {
            "positionClass": "toast-top-right"
        })
    </script>
<?php endif; ?>
        <script>
            $('.apertura').unbind().click(function() {
                var $button = $(this);
                var data_nombre = $button.attr('data-nombre');
                Swal.fire({
                    title: '¿Desea cambiar el estado del Usuario?',
                    showDenyButton: true,
                    confirmButtonText: `Cambiar`,
                    denyButtonText: `Cancelar`,
                }).then((result) => {
                    /* Read more about isConfirmed, isDenied below */
                    if (result.isConfirmed) {
                        var d = '<?php echo e(URL::action('PacienteController@show', 0)); ?>' + data_nombre
                        window.location.href = d;
                    } else if (result.isDenied) {
                        Swal.fire('No se realizó ningún cambio', '', 'info')
                    }
                })
                return false;
            });
        </script>
        <?php if(count($errors) > 0): ?>
            <script type="text/javascript">
                $(document).ready(function() {
                    <?php if (old('codPaciente') == '') {?>
                    $('#modal-add').modal('show');
                    $("#modal-add").on('hidden.bs.modal', function() {
                        location.reload();
                    });
                    <?php } else { ?>
                    $('#modal-add-<?php echo old('codPaciente'); ?>').modal('show');
                    $("#modal-add-<?php echo old('codPaciente'); ?>").on('hidden.bs.modal', function() {
                        location.reload();
                    });
                    <?php }?>
                });
            </script>

        <?php endif; ?>
    <?php $__env->stopPush(); ?>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.admin', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\xampp\htdocs\swcs-jolaya\resources\views/historial/paciente/index.blade.php ENDPATH**/ ?>