<?php $__env->startSection('contenido'); ?>
<section class="content-header">
    <div class="container-fluid">
        <div class="row mb-2">
            <div class="col-sm-6">
                <span class="title_header">
                    <?php if(auth()->user()->tipo == 'SECRETARIA'): ?>
                        Listado de Doctores
                    <?php else: ?>
                        Listado de Usuarios
                    <?php endif; ?>
                </span>
            </div>
            <div class="col-sm-6">
                <ol class="breadcrumb float-sm-right">
                    <a href="<?php echo e(route('usuario.pdf',[$searchText])); ?>" target="_blank" title="Reporte en PDF"
                        class="btn btn-default btn-sm" >
                        <i class="fas fa-file-pdf" style="color: #df4747"></i>
                    </a>
                </ol>
            </div>
        </div>
    </div><!-- /.container-fluid -->
</section>

<?php echo $__env->make('acceso.usuario.create', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
<div class="row">
    <div class="col-12">
        <div class="card">
            <?php echo $__env->make('acceso.usuario.search', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>

            <!-- /.card-header -->
            <div class="card-body table-responsive p-0">
                <table class="table table-hover text-nowrap">
                    <thead style="background: #eaf3fa; color: #24292c">
                        <tr>
                            <?php ($cont=1); ?>
                            
                            <th>N° Doc.</th>
                            <th>Nombres</th>
                            <th>N° Teléfono</th>
                            <th>Correo Electrónico</th>
                            <?php if(auth()->user()->tipo == 'ADMINISTRADOR'): ?>
                                <th>Rol</th>
                            <?php endif; ?>
                            <th>Consultorio</th>
                            <th style="text-align: center">Estado</th>
                            <th colspan="2" style="text-align: center">Opciones</th>
                        </tr>
                    </thead>
                    <tbody>
                        <?php $__currentLoopData = $usuario; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $u): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <tr>
                            
                            <td><?php echo e($u->numDocumento); ?></td>
                            <?php ($nombres = explode(' ', $u->nombres)); ?>
                            <td>
                                <?php ($nombres = count($nombres) > 1 ? $nombres[0] . ' ' . $nombres[1] : $u->nombres); ?>
                                <?php echo e($nombres); ?>

                            </td>
                            <td><?php echo e($u->telefono); ?></td>
                            <td><?php echo e($u->email); ?></td>
                            <?php if(auth()->user()->tipo == 'ADMINISTRADOR'): ?>
                                <td><?php echo e($u->tipo); ?></td>
                            <?php endif; ?>
                            <?php ($val_consultorio = $u->nomConsul == 'SIN CONSULTORIO' ? '' : $u->nomConsul); ?>
                            <td><?php echo e($val_consultorio); ?></td>
                            <td align="center">
                                <?php if($u->codUsuario != '1'): ?>
                                    <?php if($u->estado == "ACTIVO"): ?>
                                    <button class="btn apertura" title="Cambiar de estado a <?php echo e($u->nombres); ?>" data-nombre="<?php echo e($u->codUsuario); ?>">
                                        <span class="badge badge-success" ><?php echo e($u->estado); ?></span>
                                    <?php else: ?>
                                        <button class="btn apertura" title="Cambiar de estado a <?php echo e($u->nombres); ?>" data-nombre="<?php echo e($u->codUsuario); ?>">
                                            <span class="badge badge-danger"><?php echo e($u->estado); ?></span>
                                    <?php endif; ?>
                                <?php endif; ?>
                            </td>
                            <td align="center">
                                <a class="btn btn-default btn-sm" href="<?php echo e(URL::action('UsuarioController@edit',$u->codUsuario)); ?>">
                                    <i class="far fa-edit text-info"  title="Editar"></i>
                                </a>
                            </td>
                            <td>
                                <?php if($u->codUsuario != '1'): ?>
                                <form
                                    action="<?php echo e(URL::action('UsuarioController@destroy', $u->codUsuario)); ?>"
                                    method="POST">
                                    <?php echo csrf_field(); ?>

                                    <?php echo method_field('DELETE'); ?>

                                    <button class="btn btn-default borrar text-danger btn-sm"
                                        title="ELIMINAR <?php echo e($nombres); ?>"
                                        data-nombre="<?php echo e($nombres); ?>"><i class="fa fa-trash"
                                            aria-hidden="true"></i></button>
                                </form>
                                <?php endif; ?>
                            </td>
                        </tr>
                        
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    </tbody>
                </table>
                
            </div>
            <!-- /.card-body -->
        </div>
        <?php echo e($usuario->appends(['searchText' => $searchText])); ?>


        <!-- /.card -->
    </div>
</div>

<script>
    const selectElement = document.querySelector('.tipo');
    selectElement.addEventListener('change', (event) => {
        if(event.target.value.toString() === 'ADMINISTRADOR' || event.target.value.toString() === 'SECRETARIA'){
            document.getElementById('codConsultorio').style.display = 'none';
        }else{
            document.getElementById('codConsultorio').style.display = 'block';
        }

    });
</script>
<script>
    document.getElementById("Imagen").onchange = function(e) {
        // Creamos el objeto de la clase FileReader
        let reader = new FileReader();

        // Leemos el archivo subido y se lo pasamos a nuestro fileReader
        reader.readAsDataURL(e.target.files[0]);

        // Le decimos que cuando este listo ejecute el código interno
        reader.onload = function() {
            let preview = document.getElementById('img'),
                image = document.createElement('img');

            image.src = reader.result;

            preview.innerHTML = '';
            preview.append(image);
        };
    }
</script>

<?php $__env->startPush('scripts'); ?>
<?php if(Session::has('success')): ?>
<script>
    toastr.success('<?php echo e(Session::get('success')); ?>', 'Operación Correcta', {
        "positionClass": "toast-top-right"
    })
</script>
<?php endif; ?>
<script>
    $('.apertura').unbind().click(function() {
        var $button = $(this);
        var data_nombre = $button.attr('data-nombre');
        Swal.fire({
            title: '¿Desea cambiar el estado del Usuario?',
            showDenyButton: true,
            confirmButtonText: `Cambiar`,
            denyButtonText: `Cancelar`,
        }).then((result) => {
            /* Read more about isConfirmed, isDenied below */
            if (result.isConfirmed) {
                var d = '<?php echo e(URL::action('UsuarioController@show', 0)); ?>' + data_nombre
                window.location.href = d;
            } else if (result.isDenied) {
                Swal.fire('No se realizó ningún cambio', '', 'info')
            }
        })
        return false;
    });
</script>


<?php if(count($errors) > 0): ?>
    <script type="text/javascript">
        $(document).ready(function(){
        <?php if (old('codUsuario') == '') {?>
            $('#modal-add').modal('show');
            $("#modal-add").on('hidden.bs.modal', function () {
                location.reload();
            });
        <?php } else { ?>
            $('#modal-add-<?php echo old("codUsuario") ?>').modal('show');
            $("#modal-add-<?php echo old("codUsuario") ?>").on('hidden.bs.modal', function () {
                location.reload();
            });
        <?php }?>
        });
    </script>

<?php endif; ?>

<?php $__env->stopPush(); ?>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.admin', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\SysWeb2022\sysclinica\resources\views/acceso/usuario/index.blade.php ENDPATH**/ ?>