<?php $__env->startSection('contenido'); ?>
    <section class="content-header">
        <div class="container-fluid">
            <div class="row mb-2">
                <div class="col-sm-6">
                    <span class="title_header">Listado de Citas</span>
                </div>
                <div class="col-sm-6">
                    <ol class="breadcrumb float-sm-right">
                        <a href="<?php echo e(route('listado_cita.pdf',[$searchText, $searchText2, $searchText3, $searchText4])); ?>" target="_blank" title="Reporte en PDF del Listado de Citas"
                            class="btn btn-default btn-sm" >
                        <i class="fas fa-file-pdf" style="color: #df4747"></i>
                        </a>

                        
                        
                    </ol>

                </div>
            </div>
        </div><!-- /.container-fluid -->
    </section>

    <div class="row">
        <div class="col-12">
            <div class="card">
                <?php echo $__env->make('historial.listado-cita.search', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
                <div class="card-body table-responsive p-0">
                    <table class="table table-hover text-nowrap">
                        <thead style="background: #eaf3fa; color: #12446b">
                            <tr>
                                
                                <th>Fecha</th>
                                <th>Motivo Cita</th>
                                <th title="Hora Cita" style="text-align: center">H. Cita</th>
                                
                                <th>Consultorio</th>
                                <th>Paciente</th>
                                <th>Especialista</th>
                                <th style="text-align: right">Costo</th>
                                <th style="text-align: center">Estado</th>
                                <th colspan="2">Opciones</th>
                            </tr>
                        </thead>
                        <tbody>
                            <?php ($cont = 1); ?>
                            <?php $__currentLoopData = $cita; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $c): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <?php ($explod_nomPaciente = explode(' ', $c->nomPaciente)); ?>
                                <?php ($explod_nomUsuario = explode(' ', $c->nomUsuario)); ?>
                                <tr>
                                    
                                    <td><?php echo e(date('d/m/Y', strtotime($c->fechaCita))); ?></td>
                                    <td><?php echo e($c->asunto); ?></td>
                                    <td align="center"><?php echo e($c->horaCita); ?></td>
                                    
                                    <td><?php echo e($c->nomConsul); ?></td>
                                    <td>
                                        <?php echo e(count($explod_nomPaciente)>1 ? $explod_nomPaciente[0] . ' ' . $explod_nomPaciente[1] : $c->nomPaciente); ?>

                                    </td>
                                    <td>
                                        <?php echo e(count($explod_nomUsuario)>1 ? $explod_nomUsuario[0] . ' ' . $explod_nomUsuario[1] : $c->nomUsuario); ?>

                                    </td>
                                    <td align="right"><?php echo e($c->costo); ?></td>
                                    <td align="center">
                                        <?php if($c->estado == 'PENDIENTE'): ?>
                                            <a href="<?php echo e(URL::action('CitaController@show', $c->codCita)); ?>" class="btn badge badge-info">PENDIENTE</a>
                                            
                                        <?php elseif($c->estado == 'CULMINADO'): ?>
                                            <span class=" badge badge-danger"><?php echo e($c->estado); ?></span>
                                        <?php endif; ?>
                                    </td>
                                    <?php if(auth()->user()->tipo == 'ADMINISTRADOR'): ?>
                                        <td>
                                            <form
                                                action="<?php echo e(URL::action('CitaController@destroy', $c->codCita)); ?>"
                                                method="POST">
                                                <?php echo csrf_field(); ?>

                                                <?php echo method_field('DELETE'); ?>

                                                <button class="btn btn-default btn-sm borrar text-danger"
                                                    title="Eliminar <?php echo e($c->codCita); ?>"
                                                    data-nombre="Cita <?php echo e($c->nomUsuario); ?> - <?php echo e($c->nomPaciente); ?>"><i class="fa fa-trash"
                                                        aria-hidden="true"></i></button>
                                            </form>
                                        </td>
                                    <?php endif; ?>
                                    <td>
                                        <a href="<?php echo e(route('detalle_cita.pdf',[$c->codCita])); ?>" target="_blank" title="Reporte en PDF"
                                        class="btn btn-default btn-sm" >
                                        <i class="far fa-file-pdf" style="color: #df4747"></i>
                                        </a>
                                    </td>
                                </tr>

                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>

                        </tbody>
                    </table>
                </div>
            </div>
            <?php echo e($cita->appends(['searchText' => $searchText, 'searchText2' => $searchText2, 'searchText3' => $searchText3])); ?>

        </div>
    </div>
<?php $__env->startPush('scripts'); ?>
<?php if(Session::has('success')): ?>
<script>
    toastr.success('<?php echo e(Session::get('success')); ?>', 'Operación Correcta', {
        "positionClass": "toast-top-right"
    })
</script>
<?php endif; ?>
        

<?php $__env->stopPush(); ?>

<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.admin', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\SysWeb2022\sysclinica\resources\views/historial/listado-cita/index.blade.php ENDPATH**/ ?>