<?php use App\Http\Controllers\HistoriaController; ?>
<!DOCTYPE html>
<html lang="es">
<head>
    <meta charset="UTF-8">

    <title>HISTORIAL CLINICO DE  <?php echo e($paciente->nombres); ?></title>
    <style>
        body{
            font-family: Arial, Helvetica, sans-serif;
            font-size: 0.80em;
        }
        table {
            border-collapse: collapse; border-color: rgb(0, 0, 0);
            width: 100%;
        }
        td {
            padding: 3px; border: 1px solid rgb(37, 87, 134);
        }
        th {
            padding: 3px; border: 1px solid rgb(37, 87, 134);
            background: #eaf3fa;
            color: #12446b;
        }
        .data{
        float: right;
        margin: 2% 0% 0% 0%;
        }
    </style>
</head>
<body>
    <div>
        <img src="../public/logo/<?php echo e($empresa->logo); ?>" alt="" width="80" height="80">
        <p class="data">
            <?php echo e($empresa->nomEmpresa); ?> <br>
            Dirección: <?php echo e($empresa->direccion); ?> <br>
            <?php echo e($fecha_hora); ?>

        </p>
    </div>
    <table>
        <thead>
            <tr>
                <th colspan="2">HISTORIAL CLINICO DE  <?php echo e($paciente->nombres); ?></th>
            </tr>
            <tr>
                <th colspan="2"><u>DATOS PERSONALES</u></th>
            </tr>
        </thead>
        <tbody>
            <tr>
                <td colspan="2" align="center">
                    <?php if(isset($paciente->foto)): ?>
                        <img src="../public/Imagenes/Foto/<?php echo e($paciente->foto); ?>" alt="" width="80" height="80">
                    <?php endif; ?>
                </td>
            </tr>
            <tr>
                <td>Número de Documento: <?php echo e($paciente->numDocumento); ?></td>
                <?php ($val_genero = $paciente->genero == 'F' ? 'FEMENINO' : 'MASCULINO'); ?>
                <td>Género: <?php echo e($val_genero); ?></td>
            </tr>

            <tr>
                <td>Dirección: <?php echo e($paciente->direccion); ?></td>
                <td>Teléfono: <?php echo e($paciente->telefono); ?></td>
            </tr>
            <tr>
                <td>Fecha de Nacimiento: <?php echo e($paciente->fechaNac); ?></td>
                <?php if(!is_null($paciente->fechaNac)): ?>
                    <?php ($val_edad = HistoriaController::calculaedad($paciente->fechaNac)); ?>
                    <td>Edad: <?php echo e($val_edad); ?> año<?php echo e($val_edad == 1 ? '' : 's'); ?></td>
                <?php else: ?>
                    <td>Edad: </td>
                <?php endif; ?>

            </tr>
            <tr>
                <td colspan="2">Alergia: <?php echo e($paciente->alergia); ?></td>
            </tr>
            <tr>
                <td colspan="2">Enfermedad: <?php echo e($paciente->enfermedad); ?></td>
            </tr>
            <tr>
                <td colspan="2">Medicamento: <?php echo e($paciente->medicamento); ?></td>
            </tr>
        </tbody>
    </table>
    <br>
    <table>
        <thead>
            <tr><th colspan="7"><u>HISTORIAL</u></th></tr>
            <tr>
                <th>Fecha</th>
                <th>Asunto</th>
                <th>Hora Cita</th>
                <th>Hora Final</th>
                <th>Consultorio</th>
                <th>Doctor</th>
                <th>Diagnostico / Receta</th>
            </tr>
        </thead>
        <tbody>
            <?php $__currentLoopData = $cita; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $c): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
            <?php ($nomUsuario = explode(' ', $c->nombres)); ?>
                <tr>
                    <td align="center"><?php echo e(date('d/m/Y', strtotime($c->fechaCita))); ?></td>
                    <td><?php echo e($c->asunto); ?></td>
                    <td align="center"><?php echo e($c->horaCita); ?></td>
                    <td align="center"><?php echo e($c->horaFinal); ?></td>
                    <td><?php echo e($c->nomConsul); ?></td>
                    <td>
                        <?php ($nomUsuario = count($nomUsuario) > 1 ? $nomUsuario[0] . ' '. $nomUsuario[1] : $c->nombres); ?>
                        <?php echo e($nomUsuario); ?>

                    </td>
                    <td><?php echo e($c->diagnostico); ?></td>
                </tr>
            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
        </tbody>
    </table>
</body>
</html>
<?php /**PATH C:\SysWeb\sysclinica\resources\views/historial/historia/report.blade.php ENDPATH**/ ?>